2001-10-20  Gerd Moellmann  <gerd@gnu.org>

	* (Version 21.1 released.)

2001-10-19  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.el (auto-mode-alist): Associate .indent.pro with
	Fundamental mode.  Suggested by Samuel Padgett <spadgett1@nc.rr.com>.

2001-10-18  Sam Steingold  <sds@gnu.org>

	Put the *Compile-Log* buffer in `compilation-mode'.
	* emacs-lisp/bytecomp.el (byte-goto-log-buffer): New function.
	(byte-compile-log-1, byte-compile-log-file)
	(displaying-byte-compile-warnings): Use it

2001-10-18  Stefan Monnier  <monnier@cs.yale.edu>

	* mail/smtpmail.el (smtpmail-via-smtp): Use mail-envelope-from if set.

	* xml.el (xml-parse-tag): Use eq on char-after's return value.

2001-10-18  Gerd Moellmann  <gerd@gnu.org>

	* isearch.el (isearch-mode-map): Bind `mouse-movement' to nil.

	* obsolete/hilit19.el (hilit-lookup-face-create):
	Call set-face-font only if display-graphic-p.
	(toplevel): Remove references to window-system.

2001-10-18  Miles Bader  <miles@gnu.org>

	* simple.el (what-line): Avoid problems with field properties.

2001-10-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* wid-edit.el (widget-field-face, widget-single-line-field-face):
	Define special colors for a tty.

2001-10-17  Francesco Potorti`  <pot@gnu.org>

	* comint.el (comint-password-prompt-regexp): Make it less
	restrictive, letting comint recognise OpenSSH2 passphrase prompts.

2001-10-17  John Wiegley  <johnw@gnu.org>

	* eshell/em-unix.el (eshell/cat): Do a quick test if something is
	a regular file, before checking if it is a directory or symlink.
	This avoids a call to eshell-file-attributes, which can be
	expensive in some situations.

	* eshell/em-ls.el (eshell-ls-dired-initial-args): Added an extra
	customization variable, to differentiate ls-in-dired from regular
	uses of ls.

2001-10-17  Miles Bader  <miles@gnu.org>

	* custom.el (defface): Mention `:inherit' in doc-string.

2001-10-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* paren.el: Update the Commentary with installation instructions.

2001-10-15  Dave Love  <fx@gnu.org>

	* international/mule.el (set-auto-coding): Fix regexps for local
	variables section not to eat newlines.

2001-10-15  Miles Bader  <miles@gnu.org>

	* simple.el (display-message-or-buffer): Pass the correct buffer
	to `display-buffer'.

2001-10-14  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/executable.el (executable-binary-suffixes): Make varalias.
	(executable-find): Use exec-suffixes.
	(executable-set-magic): Don't use make-local-hook.

	* bindings.el (exec-suffixes): Initialize to a system-dependent value.

2001-10-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* bindings.el (completion-ignored-extensions) [ms-dos, windows-nt]:
	Add .ico, .pif, .lnk, .dll, .drv, .vxd, and .386.
	Add .so to the Unix and GNU branch.

	* international/latin-1.el:
	* international/latin-2.el:
	* international/latin-3.el:
	* international/latin-4.el:
	* international/latin-5.el:
	* international/latin-8.el:
	* international/latin-9.el: Add no-byte-compile: t, since
	Makefile.in instructs make-docfile to look at .el files.

2001-10-14  Miles Bader  <miles@gnu.org>

	* button.el (define-button-type): Allow supertype property to be
	specified with a keyword `:supertype' too.
	(button-put, make-text-button): Allow button type property to be
	specified using the keyword `:type' too.
	(button-type): New function.
	(button): Add `button-category-symbol' property.

2001-10-13  Stefan Monnier  <monnier@cs.yale.edu>

	* bindings.el (esc-map): Revert `j' and `C-j' bindings to
	indent-new-comment-line from comment-indent-new-line.

	* textmodes/refill.el (refill-mode):
	Bind DEL to backward-delete-char-untabify.
	Set backward-delete-char-untabify-method to `hungry'.

	* textmodes/bib-mode.el (bib-mode):
	* play/gomoku.el (gomoku-mode):
	* textmodes/page-ext.el (pages-directory-mode):
	* textmodes/scribe.el (scribe-mode): Use define-derived-mode.

	* textmodes/two-column.el (2C-mode): Don't use make-local-hook.

	* emacs-lisp/syntax.el (syntax-ppss): Autoload.

	* progmodes/sh-script.el (sh-font-lock-syntactic-keywords):
	Handle here-docs differently.
	(sh-font-lock-heredoc): Remove.
	(sh-here-doc-open-re, sh-here-doc-markers, sh-here-doc-re): New vars.
	(sh-font-lock-here-doc, sh-font-lock-close-heredoc)
	(sh-font-lock-open-heredoc): New functions.
	(sh-mode): Don't copy sh-font-lock-syntactic-keywords any more.
	(sh-font-lock-keywords-1): Use regexp-opt.
	(sh-in-comment-or-string): Use syntax-ppss.
	(sh-case, sh-for, sh-indexed-loop, sh-function, sh-if, sh-repeat)
	(sh-select, sh-tmp-file): Add explicit terminating \n.

	* net/ange-ftp.el (ange-ftp-raw-send-cmd, ange-ftp-wait-not-busy):
	Use with-current-buffer.
	(ange-ftp-cd): New arg `noerror' to prevent signalling an error.
	(ange-ftp-send-cmd): If a `cd' is used (because of a space in the
	filename), catch any error that occurs in `ange-ftp-cd'.
	If an error happened, don't bother sending `cmd' at all.
	Fix a parenthesis typo.
	(ange-ftp-write-region): Don't blindly use binary if the remote host
	is unix-like.

	* play/pong.el (pong-init): Don't use make-local-hook.

2001-10-13  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-ex.el (ex-edit): Make checks for modified buffer/file.
	(viper-get-ex-address-subr): More precise addr for the $ marker

2001-10-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* version.el (emacs-version): Bump to 21.1.50.

2001-10-13  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* mail/mailalias.el (mail-directory-stream): Do not double
	variables in the lambda-list.

	* play/gomoku.el (gomoku-init-display): Ditto.

	* play/landmark.el (lm-init-display): Ditto.

	* delim-col.el (delimit-columns-rectangle-max): Ditto.
	(delimit-columns-rectangle-line): Ditto.

2001-10-12  Stefan Monnier  <monnier@cs.yale.edu>

	* newcomment.el (comment-region-internal): Don't rebind
	invisibility_spec now that the C routines handle it correctly.

	* help-funs.el (locate-library): Use load-suffixes and abbrev filename.

	* frame.el (special-display-popup-frame): Obey new specs `same-window'
	and `same-frame'.

	* menu-bar.el (minibuffer-local-*map): Take inheritance into account.

	* simple.el (minibuffer-local*-map): Remove redundant bindings.

	* bindings.el (minibuffer-local-map): Also bind next, C-n, C-s, prior,
	C-p and C-r.  Remove redundant bindings from inheriting maps.

	* progmodes/cperl-mode.el: Merged in changes from v4.32.
	 After 4.23 and: After 4.24:
	(cperl-contract-levels): Restore position.
	(cperl-beautify-level): Likewise.
	(cperl-beautify-regexp): Likewise.
	(cperl-commentify): Rudimental support for length=1 runs
	(cperl-find-pods-heres): Process 1-char long REx comments too /a#/x
	 After 4.25:
	(cperl-commentify): Was recognizing length=2 "strings" as length=1.
	(imenu-example--create-perl-index): Was not enforcing
	syntaxification-to-the-end.
	(cperl-invert-if-unless): Allow `for', `foreach'.
	(cperl-find-pods-heres): Quote `cperl-nonoverridable-face'.
	Mark qw(), m()x as indentable.
	(cperl-init-faces): Highlight `sysopen' too.
	Highlight $var in `for my $var' too.
	(cperl-invert-if-unless): Was leaving whitespace at end.
	(cperl-linefeed): Was splitting $var{$foo} if point after `{'.
	(cperl-calculate-indent): Remove old commented out code.
	Support (primitive) indentation of qw(), m()x.
	 After 4.26:
	(cperl-problems): Mention `fill-paragraph' on comment. \"" and
	q [] with intervening newlines.
	(cperl-autoindent-on-semi): New customization variable.
	(cperl-electric-semi): Use `cperl-autoindent-on-semi'.
	(cperl-tips): Mention how to make CPerl the default mode.
	(cperl-mode): Support `outline-minor-mode'.  From Mark A. Hershberger.
	(cperl-outline-level): New function.
	(cperl-highlight-variables-indiscriminately): New customization var.
	(cperl-init-faces): Use `cperl-highlight-variables-indiscriminately'.
	From Sean Kamath <kamath@pogo.wv.tek.com>.
	(cperl-after-block-p): Support CHECK and INIT.
	(cperl-init-faces, cperl-short-docs): Likewise and "our".
	From Doug MacEachern <dougm@covalent.net>.
	 After 4.27:
	(cperl-find-pods-heres): Recognize \"" as a string.
	Mark whitespace between q and [] as `syntax-type' => `prestring'.
	Allow whitespace between << and "FOO".
	(cperl-problems): Remove \"" and q [] with intervening newlines.
	Mention multiple <<EOF as unsupported.
	(cperl-highlight-variables-indiscriminately): Doc misprint fixed.
	(cperl-indent-parens-as-block): New configuration variable.
	(cperl-calculate-indent): Merge cases of indenting non-BLOCK groups.
	Use `cperl-indent-parens-as-block'.
	(cperl-find-pods-heres): Test for =cut without empty line instead of
	complaining about no =cut.
	(cperl-electric-pod): Change the REx for POD from "\n\n=" to "^\n=".
	(cperl-find-pods-heres): Likewise.
	(cperl-electric-pod): Change `forward-sexp' to `forward-word':
	POD could've been marked as comment already.
	(cperl-unwind-to-safe): Unwind before start of POD too.
	 After 4.28:
	(cperl-forward-re): Throw an error at proper moment REx unfinished.
	 After 4.29:
	(x-color-defined-p): Make an extra case to peacify the warning.
	Toplevel: `defvar' to peacify the warnings.
	(cperl-find-pods-heres): Could access `font-lock-comment-face' in -nw.
	No -nw-compile time warnings now.
	(cperl-find-tags): TAGS file had too short substring-to-search.
	Be less verbose in non-interactive mode
	(imenu-example--create-perl-index): Set index-marker after name
	(cperl-outline-regexp): New variable.
	(cperl-outline-level): Made compatible with `cperl-outline-regexp'.
	(cperl-mode): Made use `cperl-outline-regexp'.
	 After 4.30:
	(cperl-find-pods-heres): =cut the last thing, no blank line, was error.
	(cperl-outline-level): Make start-of-file same level as `package'.
	 After 4.31:
	(cperl-electric-pod): `head1' and `over' electric only if empty.
	(cperl-unreadable-ok): New variable.
	(cperl-find-tags): Use `cperl-unreadable-ok', do not fail
	on an unreadable file.
	(cperl-write-tags): Use `cperl-unreadable-ok', do not fail
	on an unreadable directory.

	* progmodes/compile.el (compile-mouse-goto-error, compile-goto-error):
	Consider the text between two errors as belonging to the first error.
	(compilation-goto-locus): Use pop-to-buffer rather than
	switch-to-buffer-other-frame.

	* progmodes/awk-mode.el (awk-mode-syntax-table): / has string syntax.
	(awk-font-lock-syntactic-keywords): New var.
	(awk-mode): Use it.

	* expand.el (expand-c-for-skeleton): Add explicit terminating \n.

	* faces.el (describe-face): Call help-setup-xref earlier.

	* jka-compr.el (jka-compr-load-suffixes): New var.
	(jka-compr-install): Add its content to load-suffixes.
	(jka-compr-uninstall): Remove its content from load-suffixes.

2001-10-12  Sam Steingold  <sds@gnu.org>

	* bindings.el (completion-ignored-extensions): CL-related
	extensions are platform-independent.

	* net/ange-ftp.el (ange-ftp-copy-files-async): New function for
	asynchronous multiple file copying.

2001-10-12  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-check-lambda-list):
	Turn error for repeated variables into warning.

	* emacs-lisp/bytecomp.el (byte-compile-check-lambda-list):
	New function checking that lambda-list consists of non-constant
	symbols, that &rest and &optional are followed by variable names,
	that &rest VAR is the last element, and that variables aren't doubled.
	(byte-compile-lambda): Use it.

2001-10-12  Eli Barzilay  <eli@barzilay.org>

	* calculator.el (calculator-eng-display): Don't call concat
	with an integer argument.

2001-10-12  Miles Bader  <miles@gnu.org>

	* help-mode.el (help-customize-face): New button-type.

	* faces.el (list-faces-display): Fix args to `help-xref-button'.
	(describe-face): Fix args to `help-xref-button'.
	Don't switch to help-buffer around call to `help-setup-xref'.
	Use `help-buffer' instead of hard-wired "*Help*".
	Require `help-mode'.

2001-10-11  Stefan Monnier  <monnier@cs.yale.edu>

	* net/goto-addr.el (goto-address-mail-regexp): Allow + in username.

	* help-mode.el (help-buffer): New function.
	Returns the buffer-name to use for help output.
	Change all the code to use it instead of hard-coding *Help*.
	(help-mode-map): Put back the mouse-2 binding.
	(help-xref-stack): Change the format and make buffer-local.
	(help-xref-stack-item): Make buffer-local.
	(help-setup-xref): Do the `push' here rather than in help-do-xref.
	(help-xref-interned): Display the face doc as well.
	(help-follow-mouse): Re-introduce.
	(help-xref-go-back): Adapt to the new use of help-xref-stack.
	(help-do-xref): Don't `push' any more.
	(help-follow): Also follow face names.

	* help-funs.el (describe-function-1): Remove unused `parens' arg.
	Don't call help-setup-xref anymore and remove its `interactive-p' arg.
	Autoload and cleanup.
	(describe-function): Call help-setup-xref.
	(describe-variable): Call help-setup-xref earlier.

	* help.el (describe-bindings-internal): New fun moved from keymap.c.
	(view-lossage): Call help-setup-xref correctly and earlier.
	(describe-bindings): Call help-setup-xref earlier.
	(describe-key): Call help-setup-xref.  Fix call to describe-function-1.
	(describe-mode): Don't autoload.  Call help-setup-xref earlier.

2001-10-11  Gerd Moellmann  <gerd@gnu.org>

	* master.el (master-mode): Use define-minor-mode instead of
	easy-mmode-define-minor-mode.  Add autload cookie.
	(Commentary): Remove the line showing how to autoload master-mode,
	since it's always autoloaded.

	* master.el: New file.

2001-10-11  Dave Love  <fx@gnu.org>

	* emacs-lisp/byte-opt.el (byte-optimize-lapcode)
	<byte-constref-ops>: Consider byte-constant2 and clarify the code.
	<const-C varset-X const-C>: Fix car/cdr typo.

2001-10-11  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-display-log-head-p):
	New function extracted from byte-compile-log-1.
	(byte-compile-log-1): Change output to be more in line with
	the output of other GNU tools.
	(byte-compile-warn): Emit `warning' instead of `**' for warnings.
	(byte-compile-report-error): Downcase error message.
	Use `error' instead of `!!' for error messages.
	(byte-compile-print-syms): Treat non-interactive case specially.
	(displaying-byte-compile-warnings): Use backquote.
	(byte-compile-from-buffer): Bind byte-compile-last-line.
	(batch-byte-compile): Remove `Done' message.

2001-10-11  Stefan Monnier  <monnier@cs.yale.edu>

	* emacs-lisp/copyright.el (copyright): Add final \n.

2001-10-11  Miles Bader  <miles@gnu.org>

	* diff.el (diff): Display default values in prompts as
	`(default ...)', not `(...)'.

	* info.el (Info-follow-reference): Likewise.

2001-10-10  Stefan Monnier  <monnier@cs.yale.edu>

	* emacs-lisp/autoload.el (doc-string-elt): Remove.

	* newcomment.el (comment-indent): Be a little more robust in case
	comment-indent-function does funny things.
	(comment-normalize-vars): Autoload.
	(comment-region-internal): Fiddle with the visibility spec.
	(comment-valid-prefix): New function.
	(comment-indent-new-line): Use it.  Ignore adaptive-fill-prefixes
	that would turn comment-text into non-comment-text.

	* emacs-lisp/syntax.el: New file.

	* progmodes/tcl.el: Change maintainer to FSF and remove loads of
	compatibility cruft.
	(tcl-using-emacs-19, tcl-using-emacs-19-23, tcl-using-xemacs-19)
	(tcl-version, tcl-maintainer, tcl-use-hairy-comment-detector): Remove.
	(tcl-mode-map): Remove bindings for tcl-beginning-of-defun,
	tcl-end-of-defun, tcl-mark-defun, tcl-indent-for-comment,
	tcl-submit-bug-report.
	(tcl-mode-syntax-table): Leave \f alone.
	(inferior-tcl-mode-map): Remove bindings for tcl-beginning-of-defun,
	tcl-end-of-defun, tcl-submit-bug-report.
	(tcl-xemacs-menu): Fix up and pass it directly to easymenu.
	(tcl-add-emacs-menu): Remove.
	(tcl-fill-mode-map, tcl-fill-inferior-map): Moved into the defvar.
	(tcl-keyword-list): Add `chain'.
	(tcl-font-lock-syntactic-keywords): New variable.
	(tcl-pps-has-arg-6): Remove.
	(tcl-internal-beginning-of-defun, tcl-internal-end-of-defun)
	(tcl-internal-mark-defun): Remove.
	(tcl-set-proc-regexp, tcl-set-font-lock-keywords): Use regexp-opt.
	(tcl-mode): Use define-derived-mode.  Simplify.
	Set comment-indent-function.
	(tcl-indent-command): Use line-beginning-position and comment-indent.
	(tcl-calculate-indent): Renamed from calculate-tcl-indent.
	(tcl-indent-line): Use tcl-calculate-indent.
	(tcl-indent-exp): Renamed from indent-tcl-exp.  Use new names.
	(tcl-add-log-defun): Renamed from add-log-tcl-defun.  Use match-string.
	(tcl-filter): Use with-current-buffer, simplify.
	(inferior-tcl-mode): Use define-derived-mode.
	(tcl-hairy-in-comment): Renamed tcl-in-comment.
	(tcl-simple-in-comment, tcl-in-comment): Removed.
	(tcl-files-alist): New function.
	(tcl-help-snarf-commands): Use it and return the result directly
	rather than through a global variable.
	(tcl-reread-help-files): Fix up the call to tcl-help-snarf-commands.
	(tcl-help-on-word): Provide the default value to completing-read.
	(tcl-hilit): Remove.
	(tcl-hashify-buffer, tcl-popup-menu): Simplify.
	(tcl-comment-indent): New function.
	(tcl-submit-bug-report): Remove.
	(tcl-uncomment-region, tcl-indent-for-comment, add-log-tcl-defun)
	(indent-tcl-exp, calculate-tcl-indent, tcl-beginning-of-defun)
	(tcl-end-of-defun, tcl-mark-defun, tcl-mark): Redefine as aliases.

2001-10-10  Miles Bader  <miles@gnu.org>

	* info.el (Info-insert-dir): Don't call `Info-fontify-menu-headers'.
	(Info-fontify-node): Don't fontify the node if it's already been done.

2001-10-10  Gerd Moellmann  <gerd@gnu.org>

	* international/iso-transl.el (iso-transl-e-caret)
	(iso-transl-i-caret, iso-transl-o-caret, iso-transl-u-caret):
	Fix duplicates.  From Dave Love <d.love@dl.ac.uk>.

	* simple.el (end-of-buffer): Fix code scrolling specially
	for the buffer end.

	* startup.el (command-line-1): Bind tab-width to 8.

2001-10-10  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* emulation/tpu-edt.el: Use defalias instead of fset for
	user-visible commands.  From Rob Riepel
	<riepel@Networking.Stanford.EDU>.

2001-10-09  Gerd Moellmann  <gerd@gnu.org>

	* ruler-mode.el: New file.

2001-10-09  Miles Bader  <miles@gnu.org>

	* apropos.el (button): New require.

	* help-funs.el: New file, contents mostly from `help.el'.
	(describe-variable): Use `condition-case' instead of `ignore-errors'.

	* help-mode.el: New file, contents mostly from `help.el'.

	* help.el: Don't require `view' when compiling.
	(help-with-tutorial, describe-function, describe-function-1)
	(variable-at-point, describe-variable, locate-library):
	Functions moved into `help-funs.el'.
	(help-manyarg-func-alist): Variable moved into `help-funs.el'.
	(help-mode, help-mode-setup, help-mode-finish, help-button-action)
	(help-setup-xref, help-xref-following, help-make-xrefs)
	(help-xref-button, help-insert-xref-button, help-xref-interned)
	(help-xref-go-back, help-go-back, help-do-xref, help-follow)
	(help-xref-on-pp): Functions moved into `help-mode.el'
	(help-mode-map, help-xref-stack, help-xref-stack-item)
	(help-highlight-p, help-highlight-face, help-back-label)
	(help-xref-symbol-regexp, help-xref-mule-regexp)
	(help-xref-info-regexp): Variables moved into `help-mode.el'.
	(help-symbol, help-back, help-info, help-customize-variable)
	(help-function-def, help-variable-def):
	Button-types moved into `help-mode.el'.
	(load-symbol-file-load-history, symbol-file):
	Functions moved into `subr.el'.
	(symbol-file-load-history-loaded): Variable moved into `subr.el'.
	(view-lossage): Call `help-setup-xref' instead of doing it manually.

	* subr.el (symbol-file-load-history-loaded)
	(load-symbol-file-load-history, symbol-file): Moved from `help.el'.

	* loadup.el ("button"): Load removed.

	* button.el (define-button-type): Respect any `supertype' property.
	(button-type-subtype-p, button-has-type-p): New functions.

	* rfn-eshadow.el (rfn-eshadow-regexp): Deal correctly with escaped
	dollar-signs.

	* comint.el (comint-insert-previous-argument): New function.
	(comint-mode-map): Bind `C-c .' to `comint-input-previous-argument'.
	(comint-insert-previous-argument-last-start-pos)
	(comint-insert-previous-argument-last-index): New variables.

	* apropos.el (apropos-next-label-button): Use the presence of a
	`apropos-label' property to detect label buttons.

2001-10-08  Miles Bader  <miles@gnu.org>

	* button.el (next-button, previous-button): Remove N and WRAP
	parameters.  Don't pay attention to `skip' properties.
	(forward-button): Implement wrapping, iterating, and skipping here
	instead.
	(button-activate): USE-MOUSE-ACTION is optional.
	(button-nop): Function removed.
	(default-button): Use `ignore' as default button action.

	* apropos.el (apropos-next-label-button): Update arguments to
	`next-button'.
	(apropos-symbol): Add `skip' property.
	(apropos-function, apropos-macro, apropos-command)
	(apropos-variable, apropos-face, apropos-group, apropos-widget)
	(apropos-plist): New button types.
	(apropos-label-properties): Variable removed.
	(apropos-print): Pass button-type to apropos-print-doc, rather
	than help function and label text.
	(apropos-print-doc): Remove ACTION and STR args, add TYPE arg.
	Get button label from TYPE.

2001-10-07  Stefan Monnier  <monnier@cs.yale.edu>

	* help.el (help-mode): Use define-derived-mode.
	(describe-mode): Add optional `buffer' arg.
	Use it instead of going through help-xref-mode.
	Avoid doubling the word `minor' when prettifying.
	(describe-function-1): List the corresponding key bindings.
	(describe-variable): Say if the var is automatically buffer-local.
	If the source is `loaddefs.el', look for the real source.
	(help-xref-mode): Remove.

	* emacs-lisp/bytecomp.el (byte-compile-file): Return success when
	the file says no-byte-compile.

2001-10-08  Miles Bader  <miles@gnu.org>

	* button.el (next-button, previous-button): Respect `skip' property.

2001-10-07  Miles Bader  <miles@gnu.org>

	* woman.el (woman-mode-map): Copy button-buffer-map instead of
	making a new keymap.  Don't bind mouse-2.  Bind M-mouse-2 to
	`woman-follow-word' instead of `woman-mouse-2'.
	(woman-follow-word): Renamed from `woman-mouse-2'.
	Follow current unconditionally, since this function is now only
	bound to M-mouse-2.  Use accessor functions.
	(WoMan-highlight-references): Use `make-text-button'.
	(woman-xref): New button type.

	* loadup.el ("faces"): Move load before loading "loaddefs.el".
	("button"): New load, just before "help" (which uses it).

	* help.el (help-mode-map): Make button-buffer-map our parent.
	Don't bind mouse events or tab/backtab.
	(help-function, help-variable, help-face, help-coding-system)
	(help-input-method, help-character-set, help-back, help-info)
	(help-customize-variable,  help-function-def, help-variable-def):
	New button types.
	(help-button-action): New function.
	(describe-function-1): Pass help button-types to
	`help-xref-button' rather than help function and help-echo string.
	Don't put multiple help-function args in a list to pass them to
	help-xref-button, just pass them as multiple arguments.
	Use `help-insert-xref-button' to make [back]-button, rather than
	`help-xref-button'.
	(help-xref-button): Take a button-type TYPE as a parameter rather
	than a function.  Remove HELP-ECHO parameter.  Remove DATA parameter
	and add a &rest parameter ARGS to serve the same purpose.
	Use `make-text-button' to add the button.
	(help-insert-xref-button): Use `insert-text-button' to add the button.
	(help-follow-mouse, help-next-ref, help-previous-ref):
	Functions removed.
	(help-do-xref): New function.
	(help-follow): Use `push-button' and `help-do-xref' to do most of
	the work.

	* apropos.el (apropos-symbol, apropos-label): New button types.
	(apropos-symbol-button-display-help)
	(apropos-label-button-display-help, apropos-next-label-button):
	New functions.
	(apropos-mode-map): Make button-buffer-map our parent.
	Don't bind mouse events.
	(apropos-print, apropos-print-doc): Create buttons instead of text
	properties.
	(apropos-mouse-follow): Function removed.
	(apropos-follow): Use buttons.

	* button.el: New file.

2001-10-07  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/cl.el (most-positive-fixnum, most-negative-fixnum):
	Remove.

2001-10-05  Richard M. Stallman  <rms@gnu.org>

	* add-log.el (add-change-log-entry): Skip copyright notice
	and copying permission notice at start of file, if any.
	Make use of terms "entry" and "item" accord with Emacs manual.
	Simplify the logic for moving point while entering or creating
	an entry and then an item.
	(add-change-log-entry-other-window): Doc fix.

2001-10-06  Miles Bader  <miles@gnu.org>

	* rfn-eshadow.el (read-file-name-electric-shadow): Autoload cookie
	removed; they apparently don't work with faces.

2001-10-05  Sam Steingold  <sds@gnu.org>

	* textmodes/sgml-mode.el (html-xhtml): New user option.
	(html-tag-alist, html-horizontal-rule, html-image, html-line)
	(html-ordered-list, html-unordered-list, html-list-item)
	(html-paragraph, html-checkboxes, html-radio-buttons): Use it.
	(sgml-skip-close-p): New function.
	(sgml-value): Use it.

2001-10-05  Sam Steingold  <sds@gnu.org>

	* calendar/diary-lib.el (diary-entry-compare): When times are
	identical, compare the entries lexicographically.

2001-10-06  Miles Bader  <miles@gnu.org>

	* rfn-eshadow.el (rfn-eshadow-update-overlay):
	Use `minibuffer-prompt-end'.

	* simple.el (previous-matching-history-element): Fix misplaced
	parentheses.

2001-10-05  Miles Bader  <miles@gnu.org>

	* rfn-eshadow.el: New file.

2001-10-05  Miles Bader  <miles@gnu.org>

	* cus-face.el (custom-face-attributes): Make sure each attribute
	has a valid default value.  Remove hacks that mapped `nil' to
	`off' and used nil to mean `unspecified'.  Remove `unspecified'
	choices from all attributes (unspecified is handled by the parent
	checklist).
	* cus-edit.el (custom-face-edit-convert-widget)
	(custom-face-edit-deactivate, custom-face-edit-activate)
	(custom-face-edit-delete, custom-face-edit-attribute-tag):
	New functions.
	(custom-face-edit): Specify a custom :convert-widget.
	(custom-pre-filter-face-spec, custom-post-filter-face-spec):
	Don't pass in default filters that map between `nil' and `off' and
	`unspecified' and `nil'.

2001-10-05  Gerd Moellmann  <gerd@gnu.org>

	* progmodes/compile.el (compilation-buffer-name): New function.
	(compile-internal): Use it to determine the name of the
	compilation buffer.

2001-10-05  Miles Bader  <miles@gnu.org>

	* progmodes/compile.el (grep-use-null-device): New variable.
	(grep-command): Mention `grep-use-null-device'.
	(grep-compute-defaults): Compute `grep-use-null-device' if necessary.
	Make computation of `grep-command' respect `grep-use-null-device'.
	(grep): Respect `grep-use-null-device'.
	Call `grep-compute-defaults' even if grep-command is set, if
	grep-use-null-device is still tentative.

	* subr.el (call-process-shell-command): New function.

2001-10-05  Miles Bader  <miles@gnu.org>

	* simple.el (previous-matching-history-element)
	(next-history-element, next-complete-history-element): Use
	`minibuffer-' functions instead of calling `field-' functions directly.
	(minibuffer-prompt-end, minibuffer-contents):
	(minibuffer-contents-no-properties, delete-minibuffer-contents):
	Functions removed (now subrs).
	(minibuffer-prompt-width): Use `minibuffer-prompt-end'.

	* minibuf-eldef.el (minibuf-eldef-setup-minibuffer)
	(minibuf-eldef-update-minibuffer): Use `minibuffer-' functions
	instead of calling `field-' functions directly.
	(minibuf-eldef-setup-minibuffer): Remove unused variable `prompt'.

2001-10-05  Gerd Moellmann  <gerd@gnu.org>

	* files.el (find-file-noselect): If file's read-only status has
	changed on disk, ask if buffer's read-only status should be
	changed, unless NOWARN is set.

	* emacs-lisp/cl-macs.el (define-setf-expander): Make it an
	alias for define-setf-method.

	* bindings.el: Remove no-byte-compile from file local variables
	to enable bootstrapping.

2001-10-04  Andrew Innes  <andrewi@gnu.org>

	* faces.el (face-font-registry-alternatives) [windows-nt]:
	Make gb2312 an alias for gb2312.1980.

2001-10-04  Stefan Monnier  <monnier@cs.yale.edu>

	* uniquify.el (uniquify-get-proposed-name): Don't assume dirsep is /.
	(uniquify-reverse-components): Remove.

	* emacs-lisp/bytecomp.el (byte-recompile-directory):
	Make sure the file is readable.
	(byte-compile-file): Don't compile if `no-byte-compile' is set.
	(byte-compile-defvar): Update to reflect the change in Fdefvar.
	(batch-byte-recompile-directory): Pass arg=0.

	* progmodes/perl-mode.el (perl-indent-continued-arguments): New var.
	(perl-calculate-indent): Use it.
	(perl-backward-to-noncomment): Use forward-comment.

	* derived.el (define-derived-mode, derived-mode-make-docstring):
	Allow `parent' to be nil.

	* textmodes/nroff-mode.el (nroff-mode-abbrev-table, nroff-mode):
	Use define-derived-mode.
	(nroff-mode-map, nroff-mode-syntax-table): Massage.

	* mail/mailabbrev.el (mail-abbrev-in-expansion-header-p): Simplify.

	* emacs-lisp/lselect.el: Use facep iso find-face.

	* emacs-lisp/lisp-mode.el (lisp-imenu-generic-expression):
	Use regexp-opt.
	(doc-string-elt): Set symbols' prop.  Copied from autoload.el.
	(lisp-font-lock-syntactic-face-function): New function.
	(lisp-mode-variables): Use it.  Make arg optional.
	(emacs-lisp-mode): Don't pass an arg to lisp-mode-variables.
	(lisp-mode): Don't pass an arg to lisp-mode-variables.
	Set comment-start-skip.

	* emacs-lisp/lisp-mnt.el (lm-history-header): Accept `ChangeLog'.

	* emacs-lisp/cl-macs.el (frame-parameter): Add a setf method.
	(ignore-errors): Don't bother using a `err' symbol.

	* emacs-lisp/autoload.el (autoload-ensure-default-file)
	(autoload-insert-section-header, autoload-before-p)
	(autoload-remove-section): New functions.
	(generate-file-autoloads): Use them.
	(update-file-autoloads): Use them.  Return FILE if there's no cookie.
	Make sure the autoload file is properly formatted when creating it.
	(update-autoloads-from-directories): Use them as well.
	Only update autoloads for files whose timestamp has changed.
	Add a dummy entry to remember the files which had no autoload cookies.

	* timer.el (timer-relative-time): Fix computation for negative `micro'.

	* subr.el (define-key-after): Allow `key' to be longer than 1.
	(make-local-hook): Make obsolete.
	(add-hook, remove-hook): Don't use make-local-hook any more.
	(make-syntax-table): Inherit all chars from s-s-t.

2001-10-04  Gerd Moellmann  <gerd@gnu.org>

	This is a fix for a report saying that resuming a search with C-s
	C-s doesn't use the case-fold-search setting of the previous
	search (C-s ... M-c ... then C-s C-s).

	* isearch.el (isearch-last-case-fold-search): New variable.
	(isearch-mode): Remember value of isearch-case-fold-search
	in isearch-last-case-fold-search.
	(isearch-done): Quote value of isearch-case-fold-search.
	(isearch-repeat): When resuming a search, restore
	isearch-case-fold-search from isearch-last-case-fold-search.

	Added to NEWS.

	* startup.el (inhibit-startup-buffer-menu): New user-option.
	(command-line-1): If inhibit-startup-buffer-menu is set, don't
	display the buffer menu.  From Simon Josefsson <jas@extundo.com>.

	This allows upto 99999 messages in the summary without screwing up
	the summary sorting.  Previously 9999 was the maximum.  Added to NEWS.

	* mail/rmailsum.el (rmail-make-summary-line)
	(rmail-make-summary-line-1, rmail-summary-next-same-subject)
	(rmail-summary-goto-msg, rmail-summary-goto-msg):
	Allow 5-digit message ids instead of 4.

	This adds expansion of environment variables in the value
	specified with M-x setenv.  Added to NEWS.

	* env.el (substitute-env-vars): New function.
	(setenv): Add parameter SUBSTITUTE-ENV-VARS.  If set, substitute
	environment variables in VALUE.  Return VALUE.

2001-10-04  Gerd Moellmann  <gerd@gnu.org>

	* Branch for 21.1.

2001-10-03  Stefan Monnier  <monnier@cs.yale.edu>

	* pcvs-util.el (cvs-prefix-define): Typo cons->concat.

2001-10-03  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* emulation/tpu-edt.el: Make messages match original TPU/edt
	editor.  From riepel@Stanford.EDU (Rob Riepel).

2001-10-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* rect.el: Update maintainer's email address.

2001-10-02  Andreas Schwab  <schwab@suse.de>

	* net/ange-ftp.el (ange-ftp-skip-msgs): Add 227 and 228 for Long
	and Extended Passive Mode, resp.

2001-10-01  Eli Zaretskii  <eliz@is.elta.co.il>

	These changes add support for Calendar-related items in the
	menu bar on tty's as well:

	* calendar/calendar.el (calendar-mode-map): Require cal-menu
	unconditionally.
	(calendar-mode): Set up activate-menubar-hook unconditionally.

	* calendar/cal-menu.el (cal-menu-x-popup-menu): New function,
	calls x-popup-menu only if popup menus are supported.
	(calendar-mouse-insert-hebrew-diary-entry)
	(calendar-mouse-insert-islamic-diary-entry)
	(calendar-mouse-holidays, calendar-mouse-view-diary-entries)
	(calendar-mouse-view-other-diary-entries)
	(calendar-mouse-print-dates, calendar-mouse-2-date-menu)
	(calendar-mouse-cal-tex-menu, cal-tex-mouse-filofax):
	Call cal-menu-x-popup-menu instead of x-popup-menu.

2001-10-01  Gerd Moellmann  <gerd@gnu.org>

	* gs.el (gs-set-ghostview-window-prop): Fix args of `elt'.

	* emacs-lisp/edebug.el (rx): Add def-edebug-spec.

	* emacs-lisp/rx.el: New file.

2001-10-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* help.el (help-for-help): Doc fix.  From Pavel@Janik.cz (Pavel Janik).

2001-09-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* frame.el (select-frame-by-name, other-frame): Doc fix.

2001-09-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* play/snake.el (snake-score-file): Use temporary-file-directory
	instead of a literal "/tmp".  Suggested by Robert
	<robert@chezmarshall.freeserve.co.uk>.

	* play/tetris.el (tetris-score-file): Ditto.

2001-09-28  Eli Zaretskii  <eliz@is.elta.co.il>

	* apropos.el (apropos-print): Make the directions inserted at the
	beginning of the *Apropos* buffer more clear.

2001-09-27  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-mult.el (ediff-get-meta-info): Installed Gerd's changes.
	Added comments.

2001-09-27  Stefan Monnier  <monnier@cs.yale.edu>

	* newcomment.el (comment-normalize-vars): Use " \t" rather than
	"\\s-" when defining comment-end-skip.

2001-09-27  Gerd Moellmann  <gerd@gnu.org>

	* mail/feedmail.el (feedmail-queue-send-edit-prompt-help):
	Call get-buffer-window first second arg `visible'.

	* international/mule-diag.el (list-input-methods-1):
	Output something that's independent of Emacs' version.

	* tar-mode.el (tar-mode-write-file): Don't signal an error by
	calling byte-to-position with a nil tar-header-offset.

2001-09-27  Simon Josefsson  <jas@extundo.com>

	* mail/sendmail.el (send-mail-function): Doc fix.
	(mail-do-fcc): Error if header-end is not a marker.
	(mail-do-fcc): Add a comment.
	(mail-reply-to): Doc fix.
	(mail-signature): Make ATPOINT optional.
	(mail-yank-original): Use cond instead of nestled if.

2001-09-26  Stefan Monnier  <monnier@cs.yale.edu>

	* info.el (Info-on-current-buffer): Default arg to "Top".

2001-09-25  Eli Barzilay  <eli@barzilay.org>

	* calculator.el (calculator-copy-displayer): New user-option.
	(calculator-displayer-prev, calculator-displayer-next):
	Renamed from calculator-displayed-{left,right}.
	(calculator, calculator-standard-displayer)
	(calculator-num-to-string, calculator-update-display)
	(calculator-copy, calculator-put-value): Bug and display fixes.

2001-09-24  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ebnf2ps.el: Eliminate make-local-hook calls.  Doc fix.
	(ebnf-version): New version (3.6.1).

	* ebnf-bnf.el: Fix character range regexp.  Doc fix.
	(ebnf-bnf-non-terminal-chars): New internal const.
	(ebnf-bnf-lex): Fix code.

	* ebnf-iso.el: Fix character range regexp.  Doc fix.
	(ebnf-iso-non-terminal-chars): New internal const.
	(ebnf-iso-lex): Fix code.

	* ebnf-yac.el: Fix character range regexp.  Doc fix.
	(ebnf-yac-skip-chars): New internal const.
	(ebnf-yac-skip-code): Fix code.

2001-09-24  Stefan Monnier  <monnier@cs.yale.edu>

	* vc.el (vc-checkin): Use vc-delete-automatic-version-backups.

	* pcvs-parse.el (cvs-parse-commit): Expand the file name before
	passing it to VC.

	* vc-hooks.el (vc-delete-automatic-version-backups): Handle the
	case where the file is relative.

2001-09-24  Gerd Moellmann  <gerd@gnu.org>

	* xml.el (xml-parse-attlist): Quotes around attributes must be the
	same on each side.  Make sure we properly handle simple quotes.
	From Daiki Ueno <ueno@unixuser.org>.

2001-09-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/sendmail.el (mail-mode): Doc fix.  From Simon Josefsson
	<jas@extundo.com>.

	* menu-bar.el (top-level): Minor fixes for text of help-echo in
	some items of the Options menu.

2001-09-22  Stefan Monnier  <monnier@cs.yale.edu>

	* pcvs-parse.el (cvs-parse-commit): Remove the temp files used by VC.

	* vc-hooks.el (vc-delete-automatic-version-backups):
	Don't fail if the directory doesn't exist.

	* diff-mode.el (diff-default-read-only): New var.
	(diff-mode): Use it.

2001-09-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* hexl.el (hexl-mode-map): Fix the change of 2001-08-23:
	Use make-keymap instead of copy-keymap, since copying the global
	keymap messes up the menu bar.

	* info.el (Info-goto-node, Info-menu): Doc fix.  Suggested by
	Roland Winkler <Roland.Winkler@physik.uni-erlangen.de>.

2001-09-21  Eli Zaretskii  <eliz@is.elta.co.il>

	* dired.el (dired-build-subdir-alist): Accept optional arg SWITCHES.

	* dired-aux.el (dired-insert-subdir): Pass switches to
	dired-build-subdir-alist.

2001-09-21  Stephen Gildea  <gildea@stop.mail-abuse.org>

	* time-stamp.el (time-stamp-string-preprocess): Fix bug that
	caused %#a and %#b to be mis-formatted.

2001-09-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-file-list-for-emacs): Add elements for ada-mode,
	ccmode, emacs-mime, and eudc manuals.

2001-09-19  Sam Steingold  <sds@gnu.org>

	w32 find cannot be used with `grep-find'.
	* progmodes/compile.el (find-program): New variable.
	(grep-compute-defaults): Use it to set `grep-find-command'.

2001-09-19  Gerd Moellmann  <gerd@gnu.org>

	* ps-bdf.el (bdf-read-bitmap): Initialize returned values to defaults.

2001-09-19  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ebnf2ps.el: Replace "Prologue" by "Prolog" in PostScript
	programming.  Doc fix.
	(ebnf-version): New version (3.6).
	(ebnf-eps-begin): Data fix.
	(ebnf-begin-file): Code fix.

	* ebnf-bnf.el: Doc fix.
	(ebnf-bnf-lex): Fix regexp for non-terminal and terminal tokens.

	* ebnf-iso.el, ebnf-otz.el, ebnf-yac.el: Doc fix.

2001-09-18  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Better face mapping for black/white PostScript printers.
	Check if mark is active when printing a region.  Doc fix.
	(ps-print-version): New version number (6.5.5).
	(ps-print-color-p): Customization fix.
	(ps-black-white-faces): New option.
	(ps-black-white-faces-alist): New internal var.
	(ps-count-lines-preprint, ps-print-preprint-region): New funs.
	(ps-print-region, ps-print-region-with-faces, ps-nb-pages-buffer)
	(ps-nb-pages-region): Interactive fix.
	(ps-extend-face-list, ps-extend-face, ps-setup, ps-begin-job)
	(ps-face-attributes, ps-generate-postscript-with-faces): Code fix.

2001-09-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* dired.el (dired-move-to-filename-regexp): Allow one digit in the
	numeric month value, and allow the Kanji character after the it to
	be missing (happens with ls-lisp's output on Japanese versions of
	MS-Windows).

2001-09-18  Miles Bader  <miles@gnu.org>

	* diff-mode.el (diff-mode): Don't make the buffer read-only if
	it's empty (and thus probably a new patch file about to be edited).

2001-09-17  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine):
	Check for '(' in column 0 of doc string.

	* gs.el (gs-set-ghostview-window-prop): Use `elt' instead
	of `nth' so that using a vector as bounding-box works.
	From David.Kastrup@neuroinformatik.ruhr-uni-bochum.de.

2001-09-17  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-annotate): Use current workfile version explicitly as
	a default, suggested by Gustav H,Ae(Bllberg <gustav@virtutech.se>.

2001-09-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* ps-bdf.el (bdf-cache-file) <ms-dos>: Use _bdfcache.el, since
	convert-standard-filename doesn't guarantee that the .el extension
	is preserved.

	* dos-fns.el (convert-standard-filename): Replace invalid
	characters only after converting dash/underscore to a period.
	(original-make-auto-save-file-name): New.
	(make-auto-save-file-name): New function, overrides the definition
	on files.el and calls the original function via
	original-make-auto-save-file-name.

	* mail/rmail.el (top-level): Require mule-utils when compiling.
	(rmail-decode-babyl-format): Use detect-coding-with-priority
	instead of detect-coding-region, to favor detection of emacs-mule
	encoded Babyl files written by rmailout.el etc.  Suggested by
	Kenichi Handa <handa@etl.go.jp>.

2001-09-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* eshell/em-unix.el (eshell-shuffle-files, eshell-shuffle-files):
	Use `equal', not `=', since the device number can be a cons cell.

2001-09-14  Gerd Moellmann  <gerd@gnu.org>

	* simple.el: Comment out change of 2001-09-13.

2001-09-13  Milan Zamazal  <pdm@zamazal.org>

	* progmodes/compile.el (grep-compute-defaults): Don't set
	grep-command/grep-find-command when it is already non-nil.
	(grep-command): Make it a user option.
	(grep-find-command): Likewise.

2001-09-13  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-cmd.el (viper-replace-char-subr, viper-envelop-ESC-key):
	inhibit quit.

2001-09-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.el (make-auto-save-file-name): If long file names are not
	supported on MS-DOS, truncate the file name to DOS 8+3 limits before
	generating an auto-save file name from it.

2001-09-13  Gerd Moellmann  <gerd@gnu.org>

	* ps-print.el (ps-print-region, ps-print-region-with-faces)
	(ps-nb-pages-region): Signal an error if called interactively
	and the mark is not active.

	* simple.el (minibuffer-prompt-modification)
	(minibuffer-prompt-insertion): New functions.
	(minibuffer-prompt-properties): Use `modification-hooks' and
	`insert-in-front-hooks'.

2001-09-12  Richard M. Stallman  <rms@gnu.org>

	* textmodes/outline.el (outline-regexp): Doc fix.
	Initialize it in the defcustom, the usual way.

2001-09-12  Gerd Moellmann  <gerd@gnu.org>

	* ediff-mult.el (ediff-get-meta-info): Take into account that data
	from `ediff-meta-info' properties need not be an overlay.
	From David Ponce <dponce@voila.fr>.

	* isearch.el (isearch-intersects-p): Fix end checks.

2001-09-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* gud.el (dbx) <gud-dbx-use-stopformat-p>: Move this case into the
	`t' branch of `cond', since Irix 6.1 and up is a special case of
	the standard dbx interface.

2001-09-11  Miles Bader  <miles@gnu.org>

	* comint.el (comint-send-input): When waiting for echoed input,
	don't save the expected end position in `echo-end', so that things
	work properly even if the buffer is modified elsewhere at the same
	time [this happens if `comint-truncate-buffer' is used].

2001-09-11  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/outline.el (outline-mode): Use `^' and a shy group
	when constructing imenu-generic-expression from outline-regexp.

2001-09-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* eshell/em-unix.el (eshell-shuffle-files): Compare inodes with
	`equal' instead of `=', since they can be cons cells.  From Nils
	Goesche <cartan@cartan.de>.

2001-09-10  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-annotate): Rewrote doc string.

2001-09-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* time-stamp.el: Update Stephen Gildea's email address.

2001-09-10  Gerd Moellmann  <gerd@gnu.org>

	* mail/sendmail.el (mail-send): Obey mail-send-nonascii when
	enable-multibyte-characters = nil.  From Hallvard B Furuseth
	<h.b.furuseth@usit.uio.no>.

2001-09-09  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-init.el (ediff-highest-priority): Bug fix.

	* viper-cmd.el (viper-special-read-and-insert-char): New function
	that reads a character and uses the current input method or
	iso-accents when appropriate.

	* viper.el and all others: Corrections to the comment blocks at
	the top.

2001-09-09  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-goto-node): Doc fix.

2001-09-07  Gerd Moellmann  <gerd@gnu.org>

	* isearch.el (isearch-intersects-p): New function.
	(isearch-close-unnecessary-overlays): Renamed from *unecessary*,
	use isearch-intersects-p, and clean up.

2001-09-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* textmodes/ispell.el (ispell-dictionary-alist-4): Add "german"
	and "german8", for the new German orthography dictionaries,
	(ispell-dictionary-alist-5, ispell-dictionary-alist-6): Rearrange
	the entries, to keep the line length balanced for loaddefs.el.

2001-09-07  Dr Francis J. Wright  <F.J.Wright@qmw.ac.uk>

	* comint.el (comint-send-input): Handle comint-process-echoes
	differently.

2001-09-07  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* locate.el (locate-insert-header): Remove unnecessary whitespace.

2001-09-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* arc-mode.el (archive-dostime): Fix a typo in minutes' computation.

2001-09-07  Gerd Moellmann  <gerd@gnu.org>

	* server.el (server-switch-buffer):
	* textmodes/refer.el (refer-find-entry-internal):
	* term/sup-mouse.el (sup-pos-to-window):
	* term/bg-mouse.el (bg-window-from-x-y):
	* emacs-lisp/edebug.el (edebug-window-live-p):
	Use get-window-with-predicate.

	* window.el (get-window-with-predicate): Renamed from some-window.
	(some-window): Make it an alias.

2001-09-06  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (undo): Remove positions from buffer-undo-list up to
	the next undo boundary only.

2001-09-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* makefile.nt (install): Don't copy sc.el.  Reported by Richard
	Kim <ryk@dspwiz.com>

	* cus-edit.el (custom-buffer-create-internal): Remove "100%" from
	the message "Creating customization items...done".

2001-09-05  Gerd Moellmann  <gerd@gnu.org>

	* font-lock.el (toplevel): Require `jit-lock' only if
	font-lock-support-mode is set to jit-lock-mode.

2001-09-05  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/quail.el (quail-use-package, quail-inactivate)
	(quail-activate): Mention the hooks these functions run in their
	doc strings.

2001-09-05  Edward M. Reingold  <reingold@iit.edu>

	* cal-menu.el (calendar-mouse-view-other-diary-entries): Fix name
	of file in header of menu.

2001-09-04  Gerd Moellmann  <gerd@gnu.org>

	* env.el (setenv): Interactively, if VARIABLE has a current value,
	add that to the front of the history, as the doc string says.

	* comint.el (comint-send-input): Change help-echo.
	From "Dr Francis J. Wright" <F.J.Wright@qmw.ac.uk>.

	* bookmark.el (bookmark-write-file): Bind print-length and
	print-level to nil.  From Tom Capey <tomc@edina.co.uk>.

	* obsolete/uncompress.el: Moved there from lisp/.

	* comint.el (comint-insert-clicked-input): Goto point-max before
	deleting previous input.  From "Dr Francis J. Wright"
	<F.J.Wright@qmw.ac.uk>.

	* simple.el (backward-word): Doc fix.

2001-09-03  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* emacs-lisp/levents.el, emacs-lisp/lucid.el, emacs-lisp/pp.el
	* uncompress.el, uniquify.el, vc.el, view.el, window.el
	* w32-fns.el: Add Keywords header.

2001-09-04  Eli Zaretskii  <eliz@is.elta.co.il>

	* menu-bar.el: Fix separators in the Edit menu.  Bring "Fill" near
	"Text Properties".  Suggested by Simon Marshall
	<Simon.Marshall@midas-kapiti.com>.

2001-09-04  Andrew Choi  <akochoi@cse.cuhk.edu.hk>

	* term/mac-win.el (mac-drag-n-drop): Decode file name by
	consulting the value of file-name-coding-system.

2001-09-03  Stefan Monnier  <monnier@cs.yale.edu>

	* help.el (describe-function-1): Save precomputed `file-name' rather
	than recomputing it (incorrectly) with `symbol-file'.

2001-09-03  Gerd Moellmann  <gerd@gnu.org>

	* international/isearch-x.el (isearch-exit-recursive-edit):
	Take three parameters, since it's used as an after-change-function.

	* emacs-lisp/backquote.el (backquote-backquote-symbol)
	(backquote-unquote-symbol, backquote-splice-symbol): Remove `*'
	from doc strings.

2001-09-02  Milan Zamazal  <pdm@zamazal.org>

	* progmodes/glasses.el (glasses-convert-to-unreadable):
	Consider underscores as in `glasses-make-readable'.

2001-09-02  Eli Zaretskii  <eliz@is.elta.co.il>

	* progmodes/cmacexp.el (c-macro-preprocessor): Use "gcc -E" for
	MS-DOS, since cpp might not be available.

	* menu-bar.el (menu-bar-edit-menu) <yank-menu, yank>:
	Mention "yank" in the help-echo text.
	Suggested by Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

2001-09-01  Stefan Monnier  <monnier@cs.yale.edu>

	* newcomment.el (comment-indent): Insert spaces more carefully.

2001-08-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/emacsbug.el (report-emacs-bug): Make sure *Messages*
	exists.  From Andy Petrusenco <andy@int.spb.ru>.

	* hi-lock.el (hi-lock-unface-buffer): Don't call x-popup-menu if
	display-popup-menus-p returns nil.  Suggested by Andy Petrusenco
	<andy@int.spb.ru>.

2001-08-31  Gerd Moellmann  <gerd@gnu.org>

	* isearch.el (isearch-mouse-2): Renamed from isearch-mouse-yank.
	Instead of running mouse-yank-at-click, see what the event is
	bound to outside Isearch and run that.

2001-08-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* menu-bar.el (menu-bar-options-menu) <transient-mark-mode>:
	Fix the menu entry to mention transient-mark-mode.

2001-08-30  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (eval-expression-print-level): Fix last change.

	* bindings.el (mode-line-coding-system-map): New variable.
	(mode-line-mule-info): Give the "%Z" a local-map keymap.

	* simple.el (eval-expression-print-level): Change the type
	of the defcustom to allow nil.

	* emacs-lisp/find-gc.el: Moved here from lisp/.

	* international/quail.el (quail-completion-1):
	Reverse the ((CHAR . DEFN) ...) list before processing it.
	From Kenichi Handa <handa@etl.go.jp>.

	* obsolete/rsz-mini.el, obsolete/sun-curs.el, obsolete/sun-fns.el
	* obsolete/x-apollo.el, obsolete/x-menu.el: Moved here from lisp/.

2001-08-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* toolbar/tool-bar.el (tool-bar-mode): Make it a no-op if images
	aren't supported.  This avoids the annoying gray strip drawn by
	the Windows version instead of the missing tool bar.

2001-08-29  Gerd Moellmann  <gerd@gnu.org>

	* menu-bar.el (menu-bar-options-menu): Make option text, messages
	and tooltips more consistent.  From "Marshall, Simon"
	<Simon.Marshall@midas-kapiti.com>.

	* startup.el (fancy-splash-screens): Temporarily set
	minor-mode-map-alist to nil while displaying splash screens.

2001-08-29  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* buff-menu.el: Add Keywords header.
	Doc fix (C-x C-b is bound to list-buffers).

	* dired-x.el: Add keyword files to get listed in finder.
	Remove confusing notes about GNU Emacs 19.

	* dired.el, dired-aux.el: Add Keywords header.

2001-08-28  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-revert-file): Call the backend even if the FILE's
	contents can be reverted locally; pass new arg CONTENTS-DONE
	down to the backend.

	* vc-cvs.el, vc-rcs.el, vc-sccs.el (vc-*-revert-file): Handle new
	optional arg CONTENTS-DONE.

2001-08-28  Andrew Innes  <andrewi@gnu.org>

	* makefile.nt (DONTCOMPILE): Sync list from makefile.w32-in.

2001-08-28  Eli Zaretskii  <eliz@is.elta.co.il>

	* makefile.nt (install): Copy more *.el files.

2001-08-28  Gerd Moellmann  <gerd@gnu.org>

	* dired.el (dired-mode-map): Bind `y' to dired-show-file-type
	instead of `w' which is already in use.

	* gs.el (gs-load-image): Use sleep-for.
	From David.Kastrup@neuroinformatik.ruhr-uni-bochum.de.

2001-08-28  Miles Bader  <miles@gnu.org>

	* replace.el (query-replace-regexp-eval): Return args from
	`interactive' form in correct order.

2001-08-28  Eli Zaretskii  <eliz@is.elta.co.il>

	* mouse.el (mouse-buffer-menu): If the buffer menu is split by
	major modes, don't create panes for modes for which
	mouse-buffer-menu-alist returns an empty alist.

2001-08-28  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/hideshow.el: Update first-line description.
	Sync comments w/ maintainer version 5.31.

	(hs-isearch-open): Default value now `code'.
	Fix docstring to use "code blocks" vs "comment blocks",
	as opposed to "block" vs "comment".
	(hs-flag-region): Accept `hs-isearch-open' value
	of `block' as synonymous w/ `code'.
	(hs-hide-block-at-point): For code blocks, pass `code'
	to `hs-flag-region' instead of `block'.

2001-08-28  Miles Bader  <miles@gnu.org>

	* comint.el (comint-next-prompt): Don't loop infinitely if
	{next,previous}-single-char-property-change returns its input
	position when the search fails.

2001-08-27  Miles Bader  <miles@gnu.org>

	* comint.el (comint-get-old-input-default): Don't signal an error
	if point is not on an input field; instead, return the current
	line (using `comint-bol' to skip any prompt, in case we're not
	using fields at all).

	* man.el (Man-mode-line-format): Variable removed.
	(Man-mode): Change `mode-line-buffer-identification' instead of
	`mode-line-format'.

2001-08-27  Gerd Moellmann  <gerd@gnu.org>

	* mail/sendmail.el (mail-send-hook): Remove a duplicate defcustom.
	From Simon Josefsson <jas@extundo.com>.

2001-08-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* textmodes/texnfo-upd.el: Remove dots and exclams at end of error
	messages.  From Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

	* emacs-lisp/levents.el: Specify FSF as Maintainer.  From Pavel
	Jan,Bm(Bk <Pavel@Janik.cz>.

	* emacs-lisp/lselect.el: Ditto.

	* hexl.el (hexl-insert-multibyte-char, hexl-insert-char):
	Remove periods from the end of error message strings.
	From Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

	* progmodes/antlr-mode.el: Add Keywords header.  From Pavel
	Jan,Bm(Bk <Pavel@Janik.cz>.

	* net/telnet.el: Ditto.

2001-08-26  Gerd Moellmann  <gerd@gnu.org>

	* hl-line.el (hl-line-mode): Add args INIT-VALUE, LIGHTER, and
	KEYMAP to the call to define-minor-mode.

2001-08-24  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/internal.el (IT-character-translations) <hebrew-iso8859-8>:
	Replace some of the undefined characters with emulations of bidi
	formatting characters and Niqud as per SI 1311-1.
	(IT-unicode-translations): Ditto.
	(IT-display-table-setup, IT-setup-unicode-display):
	Fill characters without translations with dos-unsupported-char-glyph.

2001-08-24  Simon Josefsson  <jas@extundo.com>

	* hl-line.el (hl-line-mode): Don't be a global mode.
	(global-hl-line-mode): New function.

2001-08-24  Gerd Moellmann  <gerd@gnu.org>

	* gs.el (gs-load-image): Wait for GHOSTVIEW window property
	being reset by Ghostscript.  Don't kill the gs process.
	From David.Kastrup@neuroinformatik.ruhr-uni-bochum.de.

2001-08-24  Andrew Choi  <akochoi@cse.cuhk.edu.hk>

	* term/mac-win.el: Require scroll-bar.

2001-08-23  Stefan Monnier  <monnier@cs.yale.edu>

	* ebuff-menu.el (electric-buffer-list): Use list-buffers-noselect.

2001-08-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* hexl.el (hexl-insert-multibyte-char) New function.
	(hexl-quoted-insert, hexl-self-insert-command)
	(hexl-insert-hex-char, hexl-insert-decimal-char)
	(hexl-insert-octal-char): Call it instead of hexl-insert-char.
	Fix the doc strings accordingly.
	(hexl-insert-char): Reject characters whose code is above 255.
	Doc fix.
	(hexl-mode-map): Copy the global keymap instead of creating a
	sparse keymap, and bind all self-inserting characters to
	hexl-self-insert-command.

2001-08-22  Stefan Monnier  <monnier@cs.yale.edu>

	* wid-edit.el (text): Re-order docstring correctly.

	* mail/sendmail.el (mail-mode): Use adaptive-fill-regexp.

	* textmodes/fill.el (adaptive-fill-regexp): Admit tabs as well.

2001-08-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (line-number-mode): Mention the variable
	line-number-display-limit-width in the doc string.

2001-08-22  Gerd Moellmann  <gerd@gnu.org>

	* bindings.el (mode-line-unbury-buffer): Add EVENT parameter.
	Temporarily select EVENT's window for switching buffers.
	(mode-line-bury-buffer): New function.
	(mode-line-buffer-identification-keymap): Use it instead of
	bury-buffer.  Bind down-mouse events to prevent global down-mouse
	events from shining through.

2001-08-21  Stefan Monnier  <monnier@cs.yale.edu>

	* newcomment.el (comment-beginning): Make sure the comment-start
	we found isn't a comment-end (in cases where confusion is possible).

2001-08-22  Miles Bader  <miles@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-file): Remove TARGET-FILE
	before writing it, so that hard-links don't see new version.

2001-08-21  Gerd Moellmann  <gerd@gnu.org>

	* gs.el (gs-set-ghostview-colors-window-prop):
	Call x-change-window-property with 3rd arg FRAME.
	(gs-load-image): Wait for a previous Ghostscript process
	to complete before starting a new one.

	* image.el (image-type-regexps): Make sure that the TIFF
	pattern is only matched at the beginning of a string.
	From Markus Rost <rost@math.ohio-state.edu>.

	* international/swedish.el: Pre-Mule file removed.  From Jonas
	Oberg <jonas@gnu.org>.

2001-08-20  Rajesh Vaidheeswarran  <rv@gnu.org>

	* whitespace.el (whitespace-abort-on-error): Add custom variable
	to whitespace to abort a write-file if whitespace is detected in file.

	* whitespace.el (whitespace-write-file-hook): Hook to be called
	when writing a file. If `whitespace-abort-on-error' is set, the
	write will abort on detecting whitespaces.
	If `whitespace-auto-cleanup' is set, the file will be cleaned
	automatically prior to writing.

	* whitespace.el (whitespace-buffer-search): Let's not insert bogus
	whitespaces in the error output!

	* whitespace.el (whitespace-check-indent-whitespace): Defaults to
	`indent-tabs-mode', since the latter notes user preferences on
	TABs anyway.

	* whitespace.el (whitespace-version): 3.1. All of the above issues
	were raised by Fran,Ag(Bois Pinard, which led to the fixes described.

2001-08-20  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/texnfo-upd.el (texinfo-every-node-update): Remove
	some spaces from a message.  From Pavel Jan,Bm(Bk  <Pavel@Janik.cz>.

	* whitespace.el (whitespace-global-mode): Add autoload cookie.

2001-08-20  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-db2): Doc change.

2001-08-20  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-postgres): Add the database at the end of the
	parameters instead of at the beginning.
	(sql-postgres-options): Doc change.

2001-08-17  Gerd Moellmann  <gerd@gnu.org>

	* custom.el (defcustom): Doc fix.

2001-08-16  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-mule.el (find-composition): Check if (char-after POS)
	returns a valid character.

2001-08-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* hexl.el (hexl-mode, hexl-mode-exit): Adjust hexl-max-address and
	original-point for extra CR characters that are added/removed when
	the buffer is written/read whose EOL type is -dos.

2001-08-16  Miles Bader  <miles@gnu.org>

	* simple.el (line-move): Undo previous change.

	* comint.el (comint-send-input): Add `inhibit-line-move-field-capture'
	property to input-terminating `boundary' overlays to avoid
	line-move wierdness.

2001-08-16  Gerd Moellmann  <gerd@gnu.org>

	* lazy-lock.el (lazy-lock-fontify-region): Widen the current
	buffer in a save-restriction.  Under one test case with Ediff,
	window-scroll-functions are run with a window start that's
	temporarily outside of the restriction.

2001-08-16  Robert J. Chassell  <bug-texinfo@gnu.org>

	* textmodes/texnfo-upd.el: Update copyright notice, fix minor typos.
	(texinfo-find-lower-level-node, texinfo-find-higher-level-node)
	(texinfo-menu-locate-entry-p, texinfo-start-menu-description)
	(texinfo-update-menu-region-beginning)
	(texinfo-update-menu-region-end, texinfo-find-pointer): Add new
	command, @ifnottex, to regexps, so it is found.

2001-08-16  Andrew Innes  <andrewi@gnu.org>

	* makefile.nt (DONTCOMPILE): Omit bindings.el.
	(DONTCOMPILE): Omit sc.el.

	* makefile.w32-in (DONTCOMPILE): Omit bindings.el.
	(DONTCOMPILE): Omit sc.el.

2001-08-16  Gerd Moellmann  <gerd@gnu.org>

	* replace.el (occur): Bind inhibit-read-only to t.

2001-08-16  Miles Bader  <miles@gnu.org>

	* simple.el (line-move): Pass an ESCAPE-FROM-EDGE argument of t when
	calling `constrain-to-field', to avoid problems with comint prompts.

2001-08-15  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/cl-indent.el (lisp-indent-defmethod): New function.
	(toplevel): Set it as `common-lisp-indent-function' for `defmethod'.

	* ediff-mult.el (ediff-get-meta-info): Fix the condition
	of a while-loop.

	* Makefile.in (DONTCOMPILE): Remove sc.el.

	* Makefile.in (finder_setwins): Renamed from nonobsolete_setwins.
	Don't include term/.

	* mail/sc.el:  Moved to obsolete/.

2001-08-14  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Change error function arguments to follow Emacs
	message convention.  Doc fix.
	(ps-print-version): New version number (6.5.4).
	(coding-system-for-write): Change declaration position to avoid
	XEmacs compilation gripes.
	(coding-system-for-read, buffer-file-coding-system):
	Declarations to avoid XEmacs compilation gripes.

	* ps-mule.el: Doc fix.
	(ps-mule-encode-header-string): If STRING is not a string, replace
	STRING by empty string.

2001-08-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* frame.el (show-trailing-whitespace): Doc fix.

2001-08-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* desktop.el (desktop-save): Insert the coding: tag before
	desktop-header.

2001-08-13  Gerd Moellmann  <gerd@gnu.org>

	* Makefile.in (TAGS, TAGS-LISP): Remove "loaddefs.el" including
	its path from $els.

	* image.el (image-jpeg-p): Fix call of substring.

2001-08-10  Gerd Moellmann  <gerd@gnu.org>

	* play/animate.el (animate-string): Doc fix.  Use a buffer
	name with stars in it.
	(animate-sequence): New function.
	From Richard Stallman <rms@gnu.org>.

	* frame.el (select-frame-set-input-focus): New function
	extracted from other-frame.
	(other-frame): Use it.
	(next-multiframe-window, previous-multiframe-window): Use it.

	* isearch.el (isearch-other-meta-char): Don't switch to the
	buffer of a window clicked on, when the current buffer is
	in Isearch mode.

	* image.el (image-jpeg-p): Test for APPn markers in the range
	#xe0..#xef.

2001-08-09  Gerd Moellmann  <gerd@gnu.org>

	* desktop.el (desktop-save): Don't use concat to form a file
	name, use expand-file-name.

	* mouse.el (mouse-delete-window): Do nothing if frame has just
	one window.

	* bindings.el (minor-mode-alist): Use mode-line-minor-mode-keymap
	for the minor mode name.

	* view.el (toplevel): Use mode-line-minor-mode-keymap for the
	minor mode name.

	* time.el (display-time-string-forms): Use make-mode-line-mouse-map
	instead of make-mode-line-mouse2-map.

	* subr.el (add-minor-mode): Use mode-line-minor-mode-keymap for
	the minor mode name.

	* emacs-lisp/easy-mmode.el (define-minor-mode):
	Use  mode-line-minor-mode-keymap for the minor mode name.

	* calendar/calendar.el (calendar-mode-line-format):
	Use make-mode-line-mouse-map instead of make-mode-line-mouse2-map.

	* bindings.el (make-mode-line-mouse-map): Renamed from
	make-mode-line-mouse2-map.  Take additional arg MOUSE.
	(mode-line-modified): Use mouse-3 instead of mouse-2.
	(mode-line-buffer-identification-keymap): Bind keys differently.
	(propertized-buffer-identification): Adapt help-echo to new bindings.

	* bindings.el (mode-line-format): Specify help-echo for line
	number, column number and buffer-percent part of the mode-line.

	* image.el (image-type-regexps): Allow whitespace at the start
	of the image data for XPM, XBM and Postscript, which are
	text files.
	(image-jpeg-p): Correct calculation of next field offset.

2001-08-08  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* battery.el: Fix typo.

2001-08-08  Gerd Moellmann  <gerd@gnu.org>

	* image.el (image-type-regexps): Allow predicates.  Change the way
	JPEG images are recognized.
	(image-jpeg-p): New function.
	(image-type-from-data): Handle predicates in image-type-regexps.

	* emacs-lisp/edebug.el (edebug-read-function): Fix handling of
	#:, #x, #o, and similar constructs.

2001-08-07  Gerd Moellmann  <gerd@gnu.org>

	* vc.el (vc-transfer-file): Fix malformed autoload cookie.

	* emulation/viper-util.el (viper-file-checked-in-p): Use `and'
	instead of `progn'.

	* tar-mode.el (tar-extract): Avoid generating a new buffer
	for each file visited.  From Markus Rost <rost@math.ohio-state.edu>.

	* textmodes/paragraphs.el (forward-sentence): Avoid building
	a regexp from sentence-end.  From Kenichi Handa <handa@etl.go.jp>.

	* progmodes/executable.el (executable-set-magic):
	If executable-find returns a quoted file name, unquote it before
	inserting it.

	* image.el (image-type-regexps): For JPEG files, use a regexp
	derived from the JFIF spec.

	* image.el (image-type-regexps): Use `\`' instead of `^' in
	most regular expressions.

2001-08-06  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* play/animate.el: Re-insert a reference to re-inserted function.

2001-08-06  Gerd Moellmann  <gerd@gnu.org>

	* help.el (describe-function-1): Use find-function-search-for-symbol
	instead of find-function-noselect because the latter follows aliases.

	* play/animate.el (animate-birthday-present): Re-insert.

	* toolbar/tool-bar.el (tool-bar-add-item-from-menu):
	Handle old-style menu definitions.

2001-08-06  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* textmodes/makeinfo.el, textmodes/page-ext.el, textmodes/page.el,
	* textmodes/text-mode.el, textmodes/two-column.el: Keywords added.

	* play/studly.el, mail/unrmail.el, emacs-lisp/lucid.el,
	* emulation/pc-mode.el, diff.el, textmodes/fill.el, abbrev.el,
	* add-log.el, faces.el, mail/sc.el: Specify FSF as Maintainer.

2001-08-05  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* textmodes/tildify.el: Milan Zamazal has new address.

2001-08-03  Gerd Moellmann  <gerd@gnu.org>

	* custom.el (custom-set-variables): Don't test `custom-requests'
	properties, check the third element of the options passed to
	custom-set-variables instead.

	* info.el (info-insert-file-contents): Use info-file-exists-p
	instead of file-exists-p.

	* play/zone.el (zone-pgm-stress): Use unwind-protect to make sure
	the mode-line face is restored.  Fix several bugs.

	* replace.el (perform-replace): Doc fix.

2001-08-02  Francesco Potorti`  <pot@gnu.org>

	* uniquify.el (uniquify-ref-base, uniquify-ref-filename)
	(uniquify-ref-buffer, uniquify-ref-proposed): New functions.
	(uniquify-fix-item-base, uniquify-fix-item-filename)
	(uniquify-fix-item-buffer, uniquify-fix-item-proposed): Deleted.
	Callers changed.
	(uniquify-set-proposed): Changed to work with a vector item.
	(uniquify-rationalize-file-buffer-names): Use a list of arrays for
	the fix list, and a list of strings for the non-file buffer
	names.  Both changes reduce consing.
	(uniquify-rationalize-a-list): Local variable renaming.
	(uniquify-rationalize-conflicting-sublist): Use member instead of
	assoc.
	(uniquify-rename-buffer): Use unless instead of if not.

2001-08-02  Gerd Moellmann  <gerd@gnu.org>

	* recentf.el (recentf-dump-variable): Handle a value of nil correctly.

	* custom.el (custom-set-variables): Set options with :require
	clauses last.

	* custom.el (defcustom): Doc fix.

	* Makefile.in (TAGS, TAGS-LISP): Exclude loaddefs.el.

2001-08-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* man.el (man): Mention Man-switches in the doc string.
	(Man-switches): Mention -a in the doc string.

	* textmodes/ispell.el (ispell-alternate-dictionary):
	Add /usr/share/lib/dict/words, for Irix.

	* bindings.el: Bind shifted and control-shifted kp-* keys to the
	corresponding non-kp keys.  Suggested by Stephen Gildea
	<gildea@stop.mail-abuse.org>.

2001-08-01  Francesco Potorti`  <pot@gnu.org>

	* uniquify.el: These changes correct a corner case that the old
	code managed correctly.
	(uniquify-fix-item-proposed): Renamed from
	uniquify-fix-item-min-proposed.
	(uniquify-set-proposed): New function.
	(uniquify-rationalize-file-buffer-names): Code reshuffled for
	clarity and speed.
	(uniquify-item-greaterp): Substitutes uniquify-item-lessp.
	This is equivalent to what the old code did.
	(uniquify-rationalize-a-list): Never recompute the proposed
	name.  Sort the conflicting sublist before rationalising it: this
	is equivalent to what the old code did, but one directory element
	at a time, and only when necessary.
	(uniquify-rationalize-conflicting-sublist): Recompute here the
	proposed name.

2001-08-01  Gerd Moellmann  <gerd@gnu.org>

	* play/animate.el: Add Keywords and Maintainer.  Remove a
	reference to a removed function.

	* play/animate.el (animate-string): Handle case that the string is
	longer than the window is wide.

2001-07-31  Gerd Moellmann  <gerd@gnu.org>

	* desktop.el (desktop-save): Bind coding-system-for-write to
	`emacs-mule' for write-region.

	* delsel.el (delete-selection-pre-hook): Don't set this-command
	to `ignore' if the region is empty.

	* international/mule.el (set-keyboard-coding-system):
	Set keyboard-coding-system.

	* smerge-mode.el (smerge-mode): Check if `font-lock-mode' is bound
	before accessing it.

2001-07-30  Andreas Schwab  <schwab@suse.de>

	* menu-bar.el (toggle-highlight-paren-mode):
	Use `(show-paren-mode)' as body.

2001-07-30  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-checkout-hook): New hook.
	(vc-checkout): Run it.

2001-07-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* progmodes/make-mode.el (makefile-macroassign-regex):
	Recognize the ?= operator.  From Jonathan Kamens <jik@curl.com>.

2001-07-30  Gerd Moellmann  <gerd@gnu.org>

	* vc.el (vc-switch-backend): Fix autoload cookie.

	* desktop.el (desktop-save): Add `-*- coding: emacs-mule -*-' to
	the desktop file.

2001-07-30  Simon Josefsson  <jas@extundo.com>

	* mail/mail-utils.el (mail-strip-quoted-names): Replace text
	literally.  Reported by Sean Rima <sean@**Delete**.tcob1.net>.

2001-07-27  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/lisp-mode.el (last-sexp-setup-props): New function.
	(last-sexp-toggle-display): Renamed from last-sexp-print.
	(last-sexp-toggle-display, eval-last-sexp-1):
	Use last-sexp-setup-props.

	* mwheel.el (mouse-wheel-down-button, mouse-wheel-up-button):
	New user-options.
	(mouse-wheel-change-button): New function.
	(mouse-wheel-mode): Use mouse-wheel-{up,down}-button.
	(mwheel-scroll): Ditto.

2001-07-26  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/lisp-mode.el (eval-last-sexp-1): Don't search for
	`...', compare with unabbreviated printed representation instead.
	(last-sexp-print): Bind print-length and print-level to nil.

	* emacs-lisp/lisp-mode.el (eval-last-sexp-1): Look for a `...'
	before assigning text properties.  Make properties rear-nonsticky.

	* emacs-lisp/lisp-mode.el (last-sexp-print): New function.
	(eval-last-sexp-1): Give printed text a `keymap' property and bind
	<mouse-2> and <RET> in that map to a function printing the
	unabbreviated value.

	* emacs-lisp/lisp-mode.el (eval-last-sexp-1): If standard-output
	is a buffer, put a text property `printed-value' on the printed
	representation, with the Lisp object printed as value.

2001-07-25  Eli Zaretskii  <eliz@is.elta.co.il>

	* emacs-lisp/lisp-mode.el (eval-print-last-sexp, eval-defun):
	Mention the effect of eval-expression-print-length and
	eval-expression-print-level in the doc strings.  Suggested by
	Kevin Gallagher <kevingal@onramp.net>.

2001-07-25  Gerd Moellmann  <gerd@gnu.org>

	* xt-mouse.el (xterm-mouse-event): Recognize control sequences
	for buttons > 3.
	(xterm-mouse-translate): Handle the case that we don't get a
	down-event.

	* emacs-lisp/find-func.el (find-function-regexp):
	Add easy-mmode-define-global-mode to the regexp.  Allow newlines
	in front of the function name.

	* isearch.el (isearch-other-meta-char): Fix last change.

	* isearch.el (isearch-other-meta-char): Don't modify mode-line and
	similar events for which fake prefix keys are generated.  It's no
	longer necessary since read_key_sequence doesn't modify these
	events for internal purposes anymore.

	* files.el (auto-mode-alist): Use nroff-mode for files ending
	in `.9'.  From Assar Westerlund  <assar@stacken.kth.se>.

2001-07-24  Eli Zaretskii  <eliz@is.elta.co.il>

	* avoid.el (mouse-avoidance-too-close-p): If the frame lacks a
	tool-bar-lines parameter, behave as if its value were zero.
	(mouse-avoidance-set-pointer-shape): Don't do anything if
	x-pointer-shape is not boundp.

2001-07-23  Francesco Potorti`  <pot@gnu.org>

	* uniquify.el: Overall speedup changes when using many buffers.
	(uniquify-fix-item-base, uniquify-fix-item-filename)
	(uniquify-fix-item-buffer): Changed defmacro to defalias (cosmetic).
	(uniquify-fix-item-unrationalized-buffer): Deleted: was the fourth
	place in the item, but was never used.
	(uniquify-fix-item-min-proposed): New defalias: the fourth place
	in the item is now used as cache for the proposed name.
	(uniquify-rationalize-file-buffer-names): Move computation made on
	newbuffile out of the loop, in the newbuffile-nd local var.
	Use dolist (cosmetic change).  Compute the proposed name for the most
	common case and cache it in the fourth place in the item.
	(uniquify-rationalize-file-buffer-names): Used to return a a list
	of buffer whose name was changed, but that return value was never used.
	(uniquify-item-lessp): Replaces uniquify-filename-lessp, works on
	the cached proposed name, does much less consing and is quicker.
	(uniquify-filename-lessp): Deleted.
	(uniquify-rationalize-a-list): Use dolist (cosmetic change).
	Do not bind locally the uniquify-possibly-resolvable flag.  Use the
	cached proposed name is possible.
	(uniquify-get-proposed-name): Arguments changed, callers changed.
	(uniquify-rationalize-conflicting-sublist): Explicitely reset the
	uniquify-possibly-resolvable flag, which is no more bound locally.
	(uniquify-rename-buffer): Do not set the old unrationalised-buffer
	flag, which does not exist any more.

2001-07-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/internal.el (IT-unicode-translations): Fix the appearance of
	"6`".

	* progmodes/compile.el (compile-internal): If EMACS is already
	defined in the environment, don't override its value.

2001-07-23  Gerd Moellmann  <gerd@gnu.org>

	* play/fortune.el: Undo change of 2001-07-13.
	Fix autoload cookies.  Add types to defcustoms.
	(fortune) <defgroup>: Add :link.
	(fortune-from-region): Use eq, not eql.
	From Dave Love <fx@gnu.org>.

	* play/animate.el (animate-birthday-present): Function removed.

	* play/animate.el: New file.

2001-07-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* startup.el (normal-top-level-add-subdirs-to-load-path):
	On Windows, put into normal-top-level-add-subdirs-inode-list the
	canonicalized names of the directories instead of inode numbers.

2001-07-21  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-util.el: Copyright years.
	(ediff-choose-syntax-table): New function.
	(ediff-setup): Use ediff-choose-syntax-table.
	(ediff-file-checked-out-p,ediff-file-checked-in-p): Check if
	vc-state is available.
	(ediff-make-temp-file): Use ediff-coding-system-for-write.

	* ediff-init.el (ediff-with-syntax-table): New macro, uses
	with-syntax-table.
	(ediff-coding-system-for-read): From ediff-diff.el
	(ediff-coding-system-for-write): New variable.
	(ediff-highest-priority): Fixed the bug having to do with disappearing
	overlays.
	(ediff-file-remote-p): Use file-remote-p, if available.
	(ediff-listable-file): New function.
	(ediff-file-attributes): Use ediff-listable-file.

	* ediff-mult.el (ediff-meta-insert-file-info1):
	Use ediff-listable-file.

	* ediff-ptch.el (ediff-prompt-for-patch-file):
	Use ediff-coding-system-for-read.
	(ediff-patch-file-internal): Use ediff-coding-system-for-write.

	* ediff-diff.el (ediff-coding-system-for-read): Moved to ediff-init.el.
	(ediff-match-diff3-line,ediff-get-diff3-group): Improved pattern.

	* ediff.el: Date of last update, copyright years.

	* ediff-wind.el (ediff-setup-control-frame): Nill->nil.

	* viper-ex.el (ex-token-list,ex-cmd-execute): Revamped, courtesy
	of Scott Bronson.
	(ex-cmd-assoc,ex-compile,ex-cmd-one-letr): New functions.
	(viper-check-sub,viper-get-ex-command,viper-execute-ex-command):
	Deleted functions.
	(viper-get-ex-com-subr,viper-ex,ex-mark): Changed to use the new
	ex-token-list.
	(viper-get-ex-address-subr): Convert registers to char data type.

	* viper-util.el (viper-int-to-char,viper-char-equal): New functions.
	(viper-memq-char): Use viper-int-to-char.
	(viper-file-checked-in-p): Use vc-locking-user, if vc doesn't have
	vc-locking-state.
	(viper-read-key): Use viper-read-key-sequence.

	* viper.el (viper-major-mode-modifier-list):
	Added inferior-emacs-lisp-mode.
	(this-major-mode-requires-vi-state): New function that uses simple
	heuristics to decide if vi state is appropriate.
	(set-viper-state-in-major-mode): Use this-major-mode-requires-vi-state.
	(viper-non-hook-settings): Don't advise read-key-sequence.
	(viper-read-key-sequence): New function that replaces the
	previously used advice to read-key-sequence.

	* viper-cmd.el (viper-test-com-defun,viper-exec-change)
	(viper-exec-Change,viper-execute-com,viper-insert,viper-append)
	(viper-Append,viper-Insert,viper-open-line,viper-Open-line)
	(viper-open-line-at-point,viper-substitute,viper-overwrite)
	(viper-replace-char-subr,viper-forward-word,viper-forward-Word):
	Got rid of the negative character hack.
	(viper-escape-to-state,viper-replace-state-exit-cmd):
	Use viper-read-key-sequence.
	(viper-envelop-ESC-key): No need for ad-get-orig-definition.
	(viper-minibuffer-standard-hook,viper-read-string-with-history):
	Don't override existing minibuffer-setup-hook.
	(viper-mark-point,viper-goto-mark-subr,viper-brac-function):
	Convert registers to char data type.
	(viper-autoindent): Use viper-indent-line.

	* viper-keym.el: Use viper-exec-key-in-emacs.

2001-07-20  Stefan Monnier  <monnier@cs.yale.edu>

	* server.el (server-visit-files): Fix variable name typo.

2001-07-20  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (delete-trailing-whitespace): Save match data
	around looking-at.  From Markus Rost <rost@math.ohio-state.edu>.

2001-07-19  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/compile.el (compilation-parse-errors): `linenum' might
	return a this-error using the alternative format (a pair of markers).

2001-07-19  Gerd Moellmann  <gerd@gnu.org>

	* font-lock.el (c++-keywords): Add Standard C++ operator names.

	* mail/mh-utils.el (mh-find-progs): Also search in `lib'.
	From Mats Bengtsson <mats.bengtsson@s3.kth.se>,

2001-07-17  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* international/iso-transl.el: Fix typo in the header of the file.

	* textmodes/picture.el (picture): Doc fix.

	* international/ja-dic-cnv.el (skkdic-convert): Some fixes to
	follow coding conventions in generated files.

2001-07-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* toolbar/tool-bar.el (tool-bar-add-item-from-menu)
	(tool-bar-add-item): Don't call image-related primitives if the
	display doesn't support images.

	* frame.el (display-images-p): New function.

2001-07-17  Gerd Moellmann  <gerd@gnu.org>

	* server.el (server-visit-files): Handle the case the specified
	column number is <= 0.

2001-07-17  Jan Nieuwenhuizen  <jan@netland.nl>

	* startup.el (command-line-1): Add support for +LINE:COLUMN
	command line argument.

2000-07-17  Han-Wen Nienhuys  <hanwen@cs.uu.nl>

	* server.el (server-process-filter, server-visit-files):
	Add support for +LINE:COLUMN style emacsclient calls.

2001-07-16  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* emacs-lisp/easy-mmode.el: Add Keywords header.

	* play/pong.el: Author has new address.

	* play/landmark.el: Author is no more reachable.

	* play/handwrite.el: Author is no more reachable.

2001-07-17  Stefan Monnier  <monnier@cs.yale.edu>

	* term/sun.el (ignore-key, sun-esc-bracket, meta-flag): Remove.
	(sun-raw-prefix): Replace t3, t4, t6, and t7 with f3, f4, f6 and f7.
	Complete bindings for F<1..12> keys.
	(global-map): Remove `undo' binding (already in the default).
	Replace `t<n>' bindings with `f<n>' bindings.

2001-07-16  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/tcl.el (tcl-fill-mode-map): Use tcl-indent-exp.
	(tcl-mode): Use tcl-add-log-defun.
	(tcl-indent-line): Use tcl-calculate-indent.
	(tcl-calculate-indent): Renamed from calculate-tcl-indent.
	(tcl-indent-exp): Renamed from indent-tcl-exp.
	(tcl-add-log-defun): Renamed from add-log-tcl-defun.
	(tcl-indent-for-comment): Call comment-indent-function properly
	and handle the case where it returns nil.

2001-07-16  Gerd Moellmann  <gerd@gnu.org>

	* calendar/cal-islam.el (calendar-goto-islamic-date):
	Remove autoload cookie.

	* calendar/calendar.el (calendar-goto-islamic-date):
	Add call to autoload.

2001-07-16  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/ada-mode.el (ada-mode): Avoid unneeded version checks.
	Don't change compile-auto-highlight globally.
	Don't bother with `font-lock-defaults' property since XEmacs
	also understands the `font-lock-defaults' variable.
	Use make-local-variable rather than make-variable-buffer-local.
	Don't `defconst' comment-indent-function: keep the default.
	Call easy-menu-add unconditionally.
	(ada-create-keymap): Use [(shift tab)] so it works on both Emacsen.
	(ada-create-menu): Use :included for Emacs as well.

	* vc.el (vc-do-command): Autoload.

	* progmodes/ada-xref.el (ada-xref-initialize): Fix call to add-hook.

2001-07-16  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* ps-print.el: Fix Author: header.

2001-07-16  Gerd Moellmann  <gerd@gnu.org>

	* mouse-sel.el (mouse-sel-bindings): Instead of unbinding
	mouse-1 etc., bind them to `ignore'.

	* eshell/esh-mode.el (eshell-send-invisible): Renamed from
	send-invisible, which is already defined in Comint.
	(eshell-watch-for-password-prompt): Use it.

2001-07-16  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* which-func.el (which-func-mode): Doc fix.

	* align.el, apropos.el, autorevert.el, battery.el, bookmark.el,
	* calculator.el, calendar/todo-mode.el, complete.el, cus-dep.el,
	* cus-edit.el, cus-face.el, delim-col.el, dos-fns.el, double.el,
	* edmacro.el, elide-head.el, emacs-lisp/autoload.el,
	* emacs-lisp/checkdoc.el, emacs-lisp/cl-compat.el,
	* emacs-lisp/cl-specs.el, emacs-lisp/copyright.el,
	* emacs-lisp/cust-print.el, emacs-lisp/easy-mmode.el,
	* emacs-lisp/elint.el, emacs-lisp/ewoc.el, emacs-lisp/find-func.el,
	* emacs-lisp/pp.el, emacs-lisp/re-builder.el, emacs-lisp/shadow.el,
	* emacs-lisp/sregex.el, emerge.el, emulation/edt-lk201.el,
	* emulation/edt-mapper.el, emulation/edt-pc.el,
	* emulation/edt-vt100.el, emulation/edt.el, emulation/pc-select.el,
	* emulation/tpu-edt.el, emulation/tpu-extras.el,
	* emulation/tpu-mapper.el, emulation/vip.el, expand.el, finder.el,
	* foldout.el, follow.el, format.el, forms-d2.el, forms.el,
	* generic.el, hi-lock.el, hilit-chg.el, hippie-exp.el, info-look.el,
	* international/isearch-x.el, international/iso-cvt.el,
	* international/ogonek.el, international/quail.el,
	* international/utf-8.el, jit-lock.el, language/devan-util.el,
	* language/devanagari.el, language/ethio-util.el,
	* language/ethiopic.el, language/european.el, language/indian.el,
	* language/romanian.el, language/tibet-util.el, language/tibetan.el,
	* mail/feedmail.el, mail/footnote.el, mail/mail-hist.el,
	* mail/mailheader.el, mail/mspools.el, mail/supercite.el,
	* mouse-sel.el, net/browse-url.el, net/net-utils.el,
	* net/quickurl.el, net/snmp-mode.el, net/webjump.el,
	* net/zone-mode.el, pcomplete.el, progmodes/antlr-mode.el,
	* progmodes/autoconf.el, progmodes/cmacexp.el,
	* progmodes/cperl-mode.el, progmodes/cpp.el, progmodes/cwarn.el,
	* progmodes/delphi.el, progmodes/ebnf-bnf.el, progmodes/ebnf-iso.el,
	* progmodes/ebnf-otz.el, progmodes/ebnf-yac.el,
	* progmodes/ebnf2ps.el, progmodes/executable.el,
	* progmodes/fortran.el, progmodes/idlw-shell.el,
	* progmodes/idlw-toolbar.el, progmodes/idlwave.el,
	* progmodes/m4-mode.el, progmodes/mantemp.el,
	* progmodes/meta-mode.el, progmodes/octave-inf.el,
	* progmodes/ps-mode.el, progmodes/scheme.el, progmodes/simula.el,
	* progmodes/tcl.el, ps-bdf.el, ps-mule.el, ps-print.el, recentf.el,
	* rect.el, regi.el, rsz-mini.el, s-region.el, scroll-all.el,
	* shadowfile.el, speedbar.el, term/AT386.el, term/internal.el,
	* term/iris-ansi.el, term/mac-win.el, term/tvi970.el,
	* textmodes/artist.el, textmodes/flyspell.el, textmodes/ispell.el,
	* textmodes/page-ext.el, textmodes/refer.el, textmodes/texinfmt.el,
	* textmodes/texinfo.el, textmodes/texnfo-upd.el,
	* textmodes/two-column.el, time-stamp.el, timezone.el,
	* toolbar/tool-bar.el, vc-rcs.el, vc-sccs.el, view.el, w32-fns.el,
	* which-func.el, whitespace.el, wid-browse.el, widget.el,
	* windmove.el, woman.el, xt-mouse.el: Some fixes to follow coding
	conventions.

2001-07-16  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (set-variable): Require 'cus-edit' instead of
	`wid-edit', so that the Custom widgets get defined.

2001-07-16  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* allout.el: A fix to follow coding conventions.

	* find-lisp.el: A fix to follow coding conventions.

	* term/w32-win.el: A fix to follow coding conventions.

	* textmodes/sgml-mode.el: A fix to follow coding conventions.

	* term/xterm.el: A fix to follow coding conventions.

	* term/news.el: A fix to follow coding conventions.

	* emulation/vi.el: A fix to follow coding conventions, Maintainer:
	header line fixed.

	* sun-curs.el: Fix Maintainer: header line.

	* emacs-lisp/easymenu.el: Address of the author added.

2001-07-16  Gerd Moellmann  <gerd@gnu.org>

	* dired.el (dired-insert-set-properties): Fix invalid mouse-face
	property.

2001-07-16  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* play/5x5.el, play/decipher.el, play/dunnet.el, play/fortune.el,
	* play/gamegrid.el, play/handwrite.el, play/landmark.el,
	* play/morse.el, play/pong.el, play/snake.el, play/tetris.el:
	Some fixes to follow coding conventions.

2001-07-16  Gerd Moellmann  <gerd@gnu.org>

	* which-func.el (which-func-mode): Doc fix.

2001-07-15  Stefan Monnier  <monnier@cs.yale.edu>

	* net/rcompile.el (remote-compile): Use make-local-variable.

	* progmodes/hideshow.el (hs-minor-mode): Use make-local-variable.

	* progmodes/make-mode.el (makefile-browse): Use make-local-variable.

	* mail/reporter.el (reporter-submit-bug-report):
	Don't abuse make-variable-buffer-local.  Fix call to add-hook.

2001-07-15  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* calendar/cal-china.el, calendar/cal-coptic.el,
	* calendar/cal-dst.el, calendar/cal-french.el,
	* calendar/cal-hebrew.el, calendar/cal-islam.el,
	* calendar/cal-iso.el, calendar/cal-julian.el,
	* calendar/cal-mayan.el, calendar/cal-persia.el,
	* calendar/cal-tex.el, calendar/calendar.el, calendar/diary-lib.el,
	* calendar/lunar.el, calendar/solar.el, ediff-diff.el,
	* ediff-help.el, ediff-hook.el, ediff-init.el, ediff-merg.el,
	* ediff-ptch.el, ediff-util.el, ediff-vers.el, ediff-wind.el,
	* net/eudc-bob.el, net/eudc-export.el, net/eudc-hotlist.el,
	* net/eudc-vars.el, net/ldap.el, pcvs-defs.el, pcvs-info.el,
	* pcvs-parse.el, pcvs-util.el, pcvs.el, progmodes/ada-mode.el,
	* progmodes/ada-prj.el, progmodes/ada-stmt.el,
	* progmodes/ada-xref.el, progmodes/cc-align.el,
	* progmodes/cc-bytecomp.el, progmodes/cc-cmds.el,
	* progmodes/cc-defs.el, progmodes/cc-engine.el,
	* progmodes/cc-langs.el, progmodes/cc-menus.el,
	* progmodes/cc-styles.el, progmodes/cc-vars.el,
	* textmodes/reftex-auc.el, textmodes/reftex-cite.el,
	* textmodes/reftex-dcr.el, textmodes/reftex-global.el,
	* textmodes/reftex-index.el, textmodes/reftex-parse.el,
	* textmodes/reftex-ref.el, textmodes/reftex-sel.el,
	* textmodes/reftex-toc.el, textmodes/reftex-vars.el,
	* textmodes/reftex.el: Some fixes to follow coding
	conventions in Elisp files with known maintainers.

	* emulation/viper.el: A fix to follow coding conventions.

	* eshell/em-alias.el, eshell/em-banner.el, eshell/em-basic.el,
	* eshell/em-cmpl.el, eshell/em-dirs.el, eshell/em-glob.el,
	* eshell/em-hist.el, eshell/em-ls.el, eshell/em-pred.el,
	* eshell/em-prompt.el, eshell/em-rebind.el, eshell/em-script.el,
	* eshell/em-smart.el, eshell/em-term.el, eshell/em-unix.el,
	* eshell/em-xtra.el, eshell/esh-arg.el, eshell/esh-cmd.el,
	* eshell/esh-ext.el, eshell/esh-io.el, eshell/esh-maint.el,
	* eshell/esh-mode.el, eshell/esh-module.el, eshell/esh-opt.el,
	* eshell/esh-proc.el, eshell/esh-test.el, eshell/esh-util.el,
	* eshell/esh-var.el, eshell/eshell.el: Some fixes to follow coding
	conventions in Elisp files.

	* composite.el, diff.el, emacs-lisp/levents.el,
	* emacs-lisp/lmenu.el, emacs-lisp/lselect.el, emacs-lisp/lucid.el,
	* emulation/pc-mode.el, emulation/viper-cmd.el,
	* emulation/viper-ex.el, emulation/viper-init.el,
	* emulation/viper-keym.el, emulation/viper-macs.el,
	* emulation/viper-mous.el, emulation/viper-util.el,
	* emulation/viper.el, forms-pass.el, international/ccl.el,
	* international/characters.el, international/encoded-kb.el,
	* international/fontset.el, international/ja-dic-cnv.el,
	* international/ja-dic-utl.el, international/kinsoku.el,
	* international/kkc.el, international/mule-cmds.el,
	* international/mule-diag.el, international/mule-util.el,
	* international/mule.el, international/titdic-cnv.el,
	* language/china-util.el, language/chinese.el,
	* language/cyril-util.el, language/cyrillic.el, language/english.el,
	* language/greek.el, language/hebrew.el, language/japan-util.el,
	* language/japanese.el, language/korea-util.el, language/korean.el,
	* language/lao-util.el, language/lao.el, language/misc-lang.el,
	* language/slovak.el, language/thai-util.el, language/thai.el,
	* language/viet-util.el, language/vietnamese.el, mail/mh-comp.el,
	* mail/mh-e.el, mail/mh-funcs.el, mail/mh-mime.el, mail/mh-pick.el,
	* mail/mh-seq.el, mail/mh-utils.el, mail/sc.el, mail/unrmail.el,
	* midnight.el, patcomp.el, pcmpl-cvs.el, pcmpl-gnu.el,
	* pcmpl-linux.el, pcmpl-rpm.el, pcmpl-unix.el, play/studly.el,
	* play/zone.el, replace.el, select.el, subr.el, talk.el, term.el,
	* term/apollo.el, term/bobcat.el, term/linux.el, term/lk201.el,
	* term/vt102.el, term/vt125.el, term/vt200.el, term/vt201.el,
	* term/vt220.el, term/vt240.el, term/vt300.el, term/vt320.el,
	* term/vt400.el, term/vt420.el, x-apollo.el, x-menu.el: Some fixes
	to follow coding conventions in files without maintainer or in files
	with clear maintainer (but without Maintainer header stating so).

	* emacs-lisp/elp.el: A fix to follow coding conventions.

	* gnus/binhex.el, gnus/binhex.el, gnus/earcon.el,
	* gnus/gnus-agent.el, gnus/gnus-art.el, gnus/gnus-audio.el,
	* gnus/gnus-logic.el, gnus/gnus-ml.el, gnus/gnus-mlspl.el,
	* gnus/gnus-setup.el, gnus/gnus-srvr.el, gnus/gnus-sum.el,
	* gnus/gnus-uu.el, gnus/gnus-vm.el, gnus/ietf-drums.el,
	* gnus/mail-parse.el, gnus/mail-prsvr.el, gnus/mail-source.el,
	* gnus/mm-bodies.el, gnus/mm-decode.el, gnus/mm-encode.el,
	* gnus/mm-partial.el, gnus/mm-util.el, gnus/mm-uu.el,
	* gnus/mm-view.el, gnus/mml.el, gnus/nnimap.el, gnus/nnoo.el,
	* gnus/parse-time.el, gnus/rfc1843.el, gnus/rfc2045.el,
	* gnus/rfc2047.el, gnus/rfc2104.el, gnus/rfc2231.el,
	* gnus/time-date.el, gnus/uudecode.el: Some fixes to follow coding
	conventions in files from Gnus.

	* abbrevlist.el, array.el, buff-menu.el, calendar/appt.el,
	* case-table.el, cdl.el, cmuscheme.el, compare-w.el, completion.el,
	* custom.el, derived.el, dired-aux.el, disp-table.el, dos-vars.el,
	* echistory.el, electric.el, emacs-lisp/authors.el,
	* emacs-lisp/backquote.el, emacs-lisp/byte-opt.el,
	* emacs-lisp/bytecomp.el, emacs-lisp/float.el, emacs-lisp/gulp.el,
	* emacs-lisp/helper.el, emacs-lisp/lisp-mode.el,
	* emacs-lisp/regexp-opt.el, emulation/mlconvert.el,
	* emulation/mlsupport.el, env.el, fast-lock.el, find-dired.el,
	* float-sup.el, frame.el, gnus/gnus-mule.el, gnus/pop3.el, gs.el,
	* gud.el, help-macro.el, hexl.el, imenu.el, info.el, informat.el,
	* international/codepage.el, international/iso-ascii.el,
	* international/iso-insert.el, international/iso-transl.el,
	* international/swedish.el, isearch.el, jka-compr.el, kermit.el,
	* lazy-lock.el, ledit.el, loadup.el, lpr.el, ls-lisp.el, macros.el,
	* mail/blessmail.el, mail/emacsbug.el, mail/mail-extr.el,
	* mail/mailabbrev.el, mail/mailpost.el, mail/rmail.el,
	* mail/rmailedit.el, mail/rmailkwd.el, mail/rmailmsc.el,
	* mail/rmailout.el, mail/rmailsort.el, mail/rmailsum.el,
	* mail/vms-pmail.el, man.el, map-ynp.el, menu-bar.el, misc.el,
	* msb.el, net/ange-ftp.el, net/goto-addr.el, novice.el,
	* obsolete/auto-show.el, obsolete/hilit19.el, obsolete/ooutline.el,
	* obsolete/rnews.el, obsolete/rnewspost.el, options.el, paren.el,
	* paths.el, play/dissociate.el, play/doctor.el, play/hanoi.el,
	* play/meese.el, progmodes/compile.el, progmodes/ebrowse.el,
	* progmodes/hideif.el, progmodes/modula2.el, register.el, rot13.el,
	* saveplace.el, scroll-bar.el, server.el, sort.el, soundex.el,
	* term/bg-mouse.el, term/pc-win.el, term/sup-mouse.el,
	* term/tty-colors.el, terminal.el, textmodes/bib-mode.el,
	* textmodes/makeinfo.el, textmodes/page.el, textmodes/paragraphs.el,
	* textmodes/picture.el, textmodes/scribe.el, textmodes/spell.el,
	* textmodes/tex-mode.el, textmodes/text-mode.el,
	* textmodes/underline.el, thingatpt.el, time.el, timer.el,
	* unused.el, vcursor.el, version.el, vms-patch.el, vmsproc.el,
	* vt100-led.el, window.el: Some fixes to follow coding conventions in
	files maintained by FSF.

2001-07-13  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* arc-mode.el: A fix to follow coding conventions.

	* bindings.el: Ditto.

	* cdl.el: Ditto.

	* comint.el: Ditto.

	* cus-start.el: Ditto.

	* shell.el: Ditto.

	* skeleton.el: Ditto.

2001-07-13  Stefan Monnier  <monnier@cs.yale.edu>

	* info.el (Info-build-node-completions):
	Make Info-current-file-completions buffer local.

2001-07-13  Gerd Moellmann  <gerd@gnu.org>

	* which-func.el (which-func-mode, which-func-ff-hook)
	(which-function-mode): Remove references to which-func-mode-global.

	* calendar/cal-islam.el (calendar-goto-islamic-date):
	Add autoload cookie.

	* play/fortune.el: Add types to defcustoms.

2001-07-12  Pavel Jan,Bm(Bk  <Pavel@Janik.cz>

	* language/czech.el: A fix to follow coding conventions.

2001-07-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* speedbar.el (speedbar-supported-extension-expressions): Add .g
	to the extension list, for antlr-mode.  From Christoph Wedler
	<Christoph.Wedler@sap.com>.

2001-07-11  Stefan Monnier  <monnier@cs.yale.edu>

	* vc.el (vc-prefix-map): Moved back to vc-hooks.el.
	(vc-dired-mode-map): Fix the madness.

	* vc-hooks.el (vc-mode): Dummy function for doc purposes.
	(vc-prefix-map): Moved back from vc.el.

2001-07-11  Gerd Moellmann  <gerd@gnu.org>

	* mail/mail-extr.el (mail-extr-all-top-level-domains):
	Increase the size of the obarray.
	(mail-extr-all-top-level-domains): Add more toplevel domains,
	add more long names.
	From: Per Starback <starback@ling.uu.se>.

2001-07-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* progmodes/ada-prj.el: Say that the file _is_ part of Emacs.
	From Pavel Jan,Bm(Bk <Pavel@Janik.cz>

	* progmodes/ada-mode.el: Ditto.

	* progmodes/ada-xref.el: Ditto.

2001-07-11  Miles Bader  <miles@gnu.org>

	* finder.el (finder-insert-at-column): Also move to the next line
	if exactly at COLUMN.

2001-07-10  Gerd Moellmann  <gerd@gnu.org>

	* help.el (describe-function-1): When printing FUNCTION's
	documentation, don't assume FUNCTION is a symbol.

	* startup.el (normal-top-level): Don't operate on the initial
	frame if we failed to create one.

2001-07-10  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-indent-exp): Keep the indentation of the block
	itself, i.e. only indent the contents in it.

2001-07-10  Markus Rost  <rost@math.ohio-state.edu>

	* mail/rmail.el (rmail-show-message): Show beginning of message in
	all windows containing it.

2001-07-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/tty-colors.el: Fix the header line and copyright years.

2001-07-09  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/advice.el (ad-make-advised-definition): If the
	original definition has an interactive form, but is Elp
	instrumented, use the interactive form of the function called by
	elp-wrapper.

	* winner.el (winner-equal): Make it a defun.  Don't compare Winner
	configurations with compare-window-configuration; they aren't
	window configurations.

	* net/ange-ftp.el (ange-ftp-file-modtime): Check a 213 response
	from the server for the format we expect.  Don't use it if it
	doesn't look like what the Internet draft for FTP extensions specifies.

	* toolbar/*.pbm: Cleaned up.
	From Luis Fernandes <elf@ee.ryerson.ca>.

2001-07-09  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el: Extended the kludge to interoperate with the
	delsel and pending-del packages wrt to the new function
	`c-electric-delete-forward'.

2001-07-08  Stefan Monnier  <monnier@cs.yale.edu>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Use eval-after-load
	to delay the call to <mode> for global minor modes.
	(easy-mmode-define-navigation): Only recenter if interactive.

2001-07-06  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-mode-shared-map): Bind TAB
	to lisp-indent-line.

	* net/ange-ftp.el (ange-ftp-file-modtime): Ignore 226 responses
	from the server.  Call encode-time only when we are sure that we
	got a 213 response.

2001-07-06  Simon Josefsson  <jas@extundo.com>

	* mail/sendmail.el (mail-specify-envelope-from): Doc fix.
	(mail-envelope-from): New user option.
	(sendmail-send-it): Use it.

2001-07-06  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Use locale dependant date to print date in header.
	Doc fix.
	(ps-print-version): New version number (6.5.3).
	(ps-right-header, ps-right-footer): Initialization and doc fix.
	(ps-time-stamp-locale-default): New fun.

2001-07-06  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mail/rmailout.el (rmail-output): Fix duplicate MIME-Version:
	field problem with MIME-mode.

	* mail/rmailout.el (rmail-output): Fix bug in MIME-mode.

2001-07-06  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mail/rmail.el (rmail-reply): Don't forget to narrow header in
	MIME-mode.

2001-07-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* bindings.el (mode-line-mule-info): Don't show the tip with
	buffer-file-coding-system if that is nil.

2001-07-05  Gerd Moellmann  <gerd@gnu.org>

	* calendar/todo-mode.el (todo-top-priorities): Use delete-region
	instead of kill-line.

	* play/pong.el: Fix first line.  From Pavel Jan,Bm(Bk
	<Pavel@Janik.cz>.

	* battery.el (battery-update): Add help-echo.  From Pavel Jan,Bm(Bk
	<Pavel@Janik.cz>.

2001-07-04  Gerd Moellmann  <gerd@gnu.org>

	* font-lock.el (c-font-lock-keywords-3): When matching something
	like `struct X Y', finish with point after Y.

2001-07-04  Simon Josefsson  <jas@extundo.com>

	* mail/sendmail.el (sendmail-send-it): Look at `sendmail-program'
	in caller buffer.

2001-07-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* find-file.el (ff-find-the-other-file): Use file-name-nondirectory
	instead of string-match to find the basename of the file.
	From Pascal Obry <p.obry@wanadoo.fr>.

	* net/browse-url.el (browse-url-default-windows-browser):
	Support the MS-DOS port when it runs on Windows.
	(browse-url-browser-function) [ms-dos]: Default to
	browse-url-default-windows-browser.

	* help.el (locate-library): Enable code that looks for compressed
	libraries if auto-compression-mode is on.

2001-07-02  Stefan Monnier  <monnier@cs.yale.edu>

	* info.el (Info-clone-buffer-hook): Really unconditionally copy marker.

2001-07-02  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/cl-macs.el (cl-do-arglist): Revert change of 2000-10-15.

2001-07-02  Eli Zaretskii  <eliz@is.elta.co.il>

	* allout.el: Fix the header line, so that finder.el recognizes it.
	From Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

	* emacs-lisp/lisp-mnt.el (lm-header-prefix): Doc fix.
	From Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

2001-06-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/w32-win.el (x-colors): Add colors from the recent rgb.txt file.

	* ps-bdf.el (bdf-directory-list): Use the value relative to
	installation-directory for MS-Windows as well.

2001-06-29  Richard M. Stallman  <rms@gnu.org>

	* wid-edit.el (widget-color-sample-face-get):
	Return ((foreground-color . COLOR)) instead of constructing a face.

2001-06-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* faces.el (region): Change the background color for the
	light-background color display to lightgoldenrod2, to make it
	visible on some laptops.

2001-06-28  Richard M. Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-reformat-message): Bind inhibit-read-only to t.
	(rmail-msg-restore-non-pruned-header): Likewise.
	If point was in the old pruned header, put it at the top.
	(rmail-msg-prune-header): If point was at the top, keep it there.

	* mail/rmail.el (rmail-narrow-to-non-pruned-header): New function.
	(rmail-retry-failure): Use rmail-narrow-to-non-pruned-header.

2001-06-28  Stefan Monnier  <monnier@cs.yale.edu>

	* info.el (Info-clone-buffer-hook): Unconditionally copy marker.

2001-06-28  Karl Fogel  <kfogel@red-bean.com>

	* saveplace.el: Update maintainer email address.

2001-06-27  Francesco Potorti`  <pot@gnu.org>

	* uniquify.el: (uniquify-rationalize-file-buffer-names):
	  Undo previous change.

2001-06-27  Francesco Potorti`  <pot@gnu.org>

	* uniquify.el (uniquify-rationalize-file-buffer-names): Do a
	preliminary quick reordering.  Can speed things up dramatically.

2001-06-26  Richard M. Stallman  <rms@gnu.org>

	* dired.el (dired-get-filename): A file name starting with ~
	is not absolute in this context.

	* which-func.el (which-func-maxout): Increase default to 500000.
	(which-function-mode): This is now the "real" name of the function.
	(which-func-mode): Now an alias.
	(which-func-mode-global): Name deleted.

	* progmodes/hideshow.el (hs-minor-mode-map): Use mouse-2, not
	button-2, when binding hs-mouse-toggle-hiding.

2001-06-26  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mail/rmail.el (rmail-msg-restore-non-pruned-header): New function.
	(rmail-msg-prune-header): Likewise.
	(rmail-toggle-header): Use `rmail-msg-restore-non-pruned-header'
	and `rmail-msg-prune-header'.

2001-06-25  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/fill.el (fill-region-as-paragraph): Don't look further
	back than LINEBEG.

2001-06-25  Eli Zaretskii  <eliz@is.elta.co.il>

	* xt-mouse.el (xterm-mouse-event): If the buffer displayed in the
	window where they clicked the mouse has a header line, adjust
	vertical movement by one.

2001-06-25  Milan Zamazal  <pdm@zamazal.org>

	* progmodes/glasses.el (glasses-make-readable): Consider underscores
	too when separating a parenthesis.

2001-06-24  Eli Zaretskii  <eliz@is.elta.co.il>

	* bookmark.el (bookmark-insert-location, bookmark-bmenu-list)
	(bookmark-bmenu-hide-filenames): Add help-echo to
	mouse-highlighted text.
	(bookmark-bmenu-show-filenames): Remove help-echo property from
	the whitespace.

2001-06-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.el (auto-mode-alist): Add configure.ac (autoconf).
	From Karl Eichwalder <ke@suse.de>.

2001-06-23  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/lisp-mode.el (eval-last-sexp): Doc fix.

	* progmodes/cc-styles.el (c-set-style): Don't specify initial
	contents for completing-read.

2001-06-22  Richard M. Stallman  <rms@gnu.org>

	* menu-bar.el (menu-bar-make-toggle): Construct the
	function's doc string from HELP, not DOC, and make it accurate by
	adding "Toggle whether to " at the front and downcasing the initial.
	Change the HELP arg in some calls to make it fit this usage.

	* menu-bar.el (toggle-debug-on-quit, toggle-debug-on-error):
	Undo previous change.

2001-06-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* indent.el (indent-relative-maybe, indent-relative): Doc fix.

	* menu-bar.el (toggle-debug-on-quit, toggle-debug-on-error): Doc fix.

2001-06-21  Eli Zaretskii  <eliz@is.elta.co.il>

	* toolbar/tool-bar.el (tool-bar-setup): Remove the EXIT button.

	* dabbrev.el (dabbrev--select-buffers): Fix last change.

2001-06-20  Richard M. Stallman  <rms@gnu.org>

	* dabbrev.el (dabbrev--make-friend-buffer-list): New function,
	broken out from dabbrev--find-expansion.  Handle minibuffer
	specially here.
	(dabbrev--find-expansion): Simplify code in various ways.
	Don't treat minibuffers specially.
	Call dabbrev--make-friend-buffer-list.
	(dabbrev--select-buffers): Don't treat minibuffers specially.  Simplify.
	(dabbrev--scanning-message): Do nothing when minibuffer is current.

2001-06-19  John Wiegley  <johnw@gnu.org>

	* eshell/eshell.el: Don't load in esh-util if it's already loaded.
	Also, added a comment describing how to greatly speedup Eshell
	loadup time, by concatenating together all of Eshell's .elc files.

2001-06-19  John Wiegley  <johnw@gnu.org>

	* eshell/esh-mode.el: Disabled a test that often yields false failures.

2001-06-19  Eli Zaretskii  <eliz@is.elta.co.il>

	* woman.el (WoMan-highlight-references): Add help-echo to
	mouse-highlighted text.

2001-06-18  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/sgml-mode.el (sgml-mode-map): Fix thinko.

2001-06-18  Gerd Moellmann  <gerd@gnu.org>

	* international/quail.el (quail-start-conversion):
	Reset quail-translating to nil.

	* antlr-mode.el (antlr-mode): Check that `c-Java-access-key' is
	bound.  Suggested by David B. Malkovsky <David.Malkovsky@sas.com>.

2001-06-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* bs.el (bs--get-name, bs--get-file-name): Add help-echo to
	mouse-highlighted text.

	* dired.el (dired-mark-pop-up): Fix last change.

2001-06-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* calendar/calendar.el (generate-calendar-month): Add help-echo to
	mouse-highlighted text.

	* net/quickurl.el (quickurl-url-file): Run through
	convert-standard-filename.
	(quickurl-list-populate-buffer): Add help-echo to
	mouse-highlighted text.
	(top-level): Update Dave's URL.

	* textmodes/tex-mode.el (tex-validate-buffer): Add help-echo to
	mouse-highlighted text.

	* textmodes/page-ext.el (pages-copy-header-and-position):
	Add help-echo to mouse-highlighted text.

	* tar-mode.el (tar-header-block-summarize): Add help-echo to
	mouse-highlighted text.

	* replace.el (occur): Add help-echo to mouse-highlighted text.

	* progmodes/sh-script.el (sh-mark-line): Add help-echo to
	mouse-highlighted text.

	* progmodes/cpp.el (cpp-make-button): Add help-echo to
	mouse-highlighted text.

	* progmodes/compile.el (compile-reinitialize-errors):
	Add help-echo to mouse-highlighted messages.
	(compilation-forget-errors): Remove help-echo property as well.

	* play/landmark.el (lm-plot-square, lm-init-display):
	Add help-echo to mouse-highlighted text.

	* play/gomoku.el (gomoku-plot-square, gomoku-init-display):
	Add help-echo to mouse-highlighted text.

	* dired.el (dired-insert-set-properties): Add help-echo to
	mouse-highlighted text.
	(dired-mark-pop-up): Remove help-echo property from the file name.

	* comint.el (comint-send-input): Add help-echo to
	mouse-highlighted text.

	* buff-menu.el (list-buffers-noselect): Add help-echo to
	mouse-highlighted text.

	* arc-mode.el (archive-summarize-files): Add help-echo to
	mouse-highlighted text.

	* ffap.el (ffap-machine-p): Always return nil if
	open-network-stream is not fboundp.

2001-06-17  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/sgml-mode.el: Move `provide' to the end.  Update copyright.
	(sgml-mode-map): Use `make-keymap' rather than make the keymap by hand.
	Bind the latin-1 charset-char to sgml-maybe-name-self rather than
	incorrectly binding chars between 128 and 256 to it.
	(sgml-maybe-name-self): Handle latin-1 chars properly.
	(sgml-tags-invisible): Bind buffer-file-name to nil.
	Use unwind-protect and restore-buffer-modified-p.
	(sgml-point-entered): Use buffer-substring-no-properties.
	(html-tag-alist): Add `div' and `span' and fix backquote/unquote typos.
	(html-mode): Don't force `imenu-sort-function'.

2001-06-15  Eli Zaretskii  <eliz@is.elta.co.il>

	* tar-mode.el: Fix the copyright notice.

	* font-lock.el (font-lock-comment-face): For tty's with dark
	background, use "red1", since "lightred" is not one of the colors
	recognized by tty-colors.el.

	* tar-mode.el (tar-extract): Call generate-new-buffer-name to
	create a buffer for extracted file, in case there's more than one
	file by that name in an archive, possibly in different
	directories.  From Kevin Rodgers <kevinr@ihs.com>.

	* format.el (format-alist): Doc fix.  Suggested by Alex Schroeder
	<alex@gnu.org>.

2001-06-15  Miles Bader  <miles@gnu.org>

	* textmodes/texinfmt.el (texinfo-format-syntax-table):
	Revert previous change.

2001-06-14  Richard M. Stallman  <rms@gnu.org>

	* replace.el (keep-lines-read-args): Return just a regexp.
	Provide nil for the region args.
	(keep-lines, flush-lines, how-many):
	Calculate the defaults for the region here, when args are nil.

2001-06-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* rot13.el (rot13-other-window): Some more doc fix.

2001-06-14  Per Starback  <starback@ling.uu.se>

	* replace.el (case-replace, query-replace-from-history-variable)
	(query-replace-to-history-variable, keep-lines-read-args)
	(occur-revert-function, query-replace-help): Dox fix.

2001-06-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* rot13.el (rot13-other-window): Doc fix.

2001-06-14  Miles Bader  <miles@gnu.org>

	* textmodes/texinfo.el (texinfo-mode-syntax-table): Change syntax
	of " and \ to "." (punctuation).
	* textmodes/texinfmt.el (texinfo-format-syntax-table): Likewise.

2001-06-13  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/backquote.el (backquote-process): Handle `[,@SYMBOL].

	* simple.el (shell-command-on-region): Never kill the
	*Shell Command Output* buffer.

2001-06-13  Stefan Monnier  <monnier@cs.yale.edu>

	* diff-mode.el (diff-font-lock-keywords): Fix unanchored regexp.

2001-06-10  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/perl-mode.el (perl-font-lock-syntactic-keywords):
	New var, to recognize ${ $' and PODs.
	(perl-font-lock-syntactic-face-function): New function.
	(perl-mode): Use them.
	(perl-continuation-line-p): New function, from perl-calculate-indent.
	(perl-calculate-indent): Use it, to properly handle continuation
	lines of continuation lines.

2001-06-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* server.el (server-process, server-buffer-clients): Doc fix.
	From Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

2001-06-09  John Wiegley  <johnw@gnu.org>

	* eshell/esh-cmd.el (eshell-exit-success-p): Use a string-match to
	test if the last command was Lisp or not.
	(eshell-rewrite-if-command): "if" syntax is "if A B C", not "if A
	B x C".

2001-06-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* dos-w32.el (grep-regexp-alist): Remove definition, since the
	general one on compile.el supports drive letters.

2001-06-08  Carsten Dominik  <dominik@strw.leidenuniv.nl>

	* textmodes/reftex-ref.el (reftex-select-label-help): Add "z"
	key description.

	* textmodes/reftex-sel.el (reftex-select-jump): New command.

	* textmodes/reftex-toc.el (reftex-toc-help): Add "z" key description.
	(reftex-toc-jump): New command.

	* textmodes/reftex-cite.el (reftex-parse-bibitem): Regexp changed
	to parse international characters as well.

	* textmodes/reftex.el: Add autoloads for `reftex-varioref-vref',
	`reftex-fancyref-fref', `reftex-fancyref-Fref'.

	* textmodes/reftex-vars.el: Protect single backslash in docstrings.

	* textmodes/reftex-dcr.el (reftex-view-crossref): Add SPACE and
	TAB to the key separators.

2001-06-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/mule.el (auto-coding-alist): Remove redundant
	up-cased versions of the extensions (auto-coding-alist-lookup is
	case-insensitive where needed).  Recognize .gz, .Z, .bz, .bz2, and
	.gpg files as binary.  Suggested by Karl Berry <karl@gnu.org>.

2001-06-05  Eli Zaretskii  <eliz@is.elta.co.il>

	* emacs-lisp/lisp-mode.el (lisp-indent-offset): Add a doc string.

2001-06-01  Richard M. Stallman  <rms@gnu.org>

	* help.el (describe-variable): Put value on same line
	with preceding text, if it is short enough to look good that way.

2001-06-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/internal.el (IT-unicode-translations): New variable.
	(IT-setup-unicode-display): New function.

2001-06-01  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Handle before-string and after-string overlay properties
	in ps-print-*-with-faces commands.  Doc fix.
	(ps-print-version): New version number (6.5.2).
	(ps-e-overlay-end): Alias for overlay-end to avoid compilation gripes
	for XEmacs.
	(ps-prefix-quote): Doc fix.
	(ps-setup, ps-print-quote, ps-generate-postscript-with-faces): Code fix.
	(ps-basic-plot-str, ps-plot-string): New funs.

2001-05-31  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/etags.el (tags-compression-info-list): Fix docstring
	and :type spec.

2001-05-31  Gerd Moellmann  <gerd@gnu.org>

	* international/mule-cmds.el (inactivate-input-method):
	Set input-method-function to nil.

	* xml.el (xml-parse-tag): The document may contain invalid characters.
	From ShengHuo ZHU  <zsh@cs.rochester.edu>

2001-05-31  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mail/rmailsum.el (rmail-message-subject-p): Don't call
	`rmail-summary-line-decoder' if the message does not have
	a Subject: field.

	* mail/rmail.el (rmail-revert): Modify to work in rmail-view-buffer.

	* mail/rmail.el (rmail-insert-mime-resent-message-function):
	New variable.
	(rmail-resend): Modify to work in `rmail-view-buffer'; call
	`rmail-insert-mime-resent-message-function' if `rmail-enable-mime'
	is non-nil.

2001-05-30  Stefan Monnier  <monnier@rum.cs.yale.edu>

	* textmodes/tex-mode.el (latex-find-indent): Handle the BOBP case.

2001-05-29  Sam Steingold  <sds@gnu.org>

	* faces.el (face-valid-attribute-values): Bind `valid' directly
	instead of using `setq'.

	* textmodes/tex-mode.el (tex-feed-input, tex-display-shell):
	Use `tex-shell-buf'.
	(tex-shell-proc): Use `tex-shell-running'.
	(tex-shell-buf-no-error): New function.
	(tex-send-tex-command): Use it.
	(tex-shell-running): Kill tex-shell when the buffer is dead for w32.
	(tex-kill-job): Check the process before calling `quit-process'.

2001-05-29  Gerd Moellmann  <gerd@gnu.org>

	* international/utf-8.el (ccl-decode-mule-utf-8): Handle invalid
	UTF-8 sequences.

2001-05-28  Miles Bader  <miles@gnu.org>

	* comint.el (comint-carriage-motion): Renamed from
	`comint-cr-magic'.  Operate on the buffer instead of the string
	(for use as a comint post-output filter, instead of as a
	pre-output filter).  Handle backspaces too.  Add to the
	`comint-output-filter-functions' hook instead of
	`comint-preoutput-filter-functions'.

2001-05-28  Gerd Moellmann  <gerd@gnu.org>

	* language/japan-util.el (japanese-hankaku): Prefer the charset
	`jisx0201' when the optional argument `ascii-only' is not specified.
	(japanese-hankaku-region): Ditto.
	From Katsumi Yamaoka <yamaoka@jpl.org>

2001-05-28  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/outline.el (outline-mode): Fix font-lock-defaults.
	(outline-invisible-p): New function.
	(hide-leaves): Save excursion.
	(hide-other): Stop looping when reaching bobp.

2001-05-28  Eli Zaretskii  <eliz@is.elta.co.il>

	* cus-edit.el (custom-file): Fix last change.

2001-05-27  Stefan Monnier  <monnier@cs.yale.edu>

	* emacs-lisp/bytecomp.el (byte-compile-file-form-autoload): Use the
	same definition in byte-compile-function-environment as `autoload'
	would put in `symbol-function'.

	* emacs-lisp/byte-opt.el (byte-compile-inline-expand): Complete Dave's
	patch to correct the error message as well.

2001-05-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* cus-edit.el (custom-file): Don't assume we were invoked with -q
	unless ~/.emacs exists.

	* novice.el (enable-command): If user-init-file is nil or does not
	exist, default to "~/.emacs" (~/_emacs on DOS and, maybe, Windows).

2001-05-25  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/tex-mode.el (tex-mode-syntax-table): Add ^.
	(tex-font-lock-keywords-1, tex-font-lock-keywords-2):
	Allow spaces around macro arguments.
	(tex-mode-map): Inherit from text-mode-map, but rebind \t to
	indent-for-tab-command.
	(latex-mode-map, plain-tex-mode-map): New keymaps.
	Inherit from tex-mode-map.
	(tex-common-initialization): Don't setup the keymap any more
	since it's now done right by define-derived-mode.
	(latex-mode): Set skeleton-end-hook to nil.
	(latex-skeleton-end-hook): Remove.
	(tex-latex-block, latex-insert-item): Simplify.
	(latex-syntax-after): Use following-char rather than char-after.
	(tex-discount-args-cmds, tex-count-words): New functions.

	* textmodes/tildify.el (tildify-ignored-environments-alist):
	Recognize \verb* as well.

	* progmodes/perl-mode.el (perl-mode): Use define-derived-mode.
	(perl-comment-indent): Simplify to let newcomment.el do its job.
	(perl-electric-terminator, perl-calculate-indent, perl-indent-exp)
	(perl-mark-function): Cleanup the namespace.
	(perl-calculate-indent): Don't be fooled by nested functions.

	* speedbar.el (speedbar-find-selected-file): RE-quote the filename.

	* emacs-lisp/byte-opt.el (byte-compile-inline-expand):
	Fix the arg of `load'.  From Dave Love <fx@gnu.org>.

2001-05-25  Andrew Choi  <akochoi@i-cable.com>

	* international/titdic-cnv.el (ctlau-gb-converter): `\' should
	actually be `\\'.
	(ctlau-b5-converter): Likewise.

2001-05-24  Andrew Choi  <akochoi@i-cable.com>

	* international/titdic-cnv.el (quail-misc-package-ext-info):
	Change CTLauB.el to CTLau-b5.el.

2001-05-23  Stefan Monnier  <monnier@cs.yale.edu>

	* gud.el (gud-gdb-run-command-fetch-lines): Use forward-line
	rather than beginning-of-line to avoid problems with fields.
	(gud-perldb-massage-args): Use unless and push.
	(gud-chdir-before-run): New var.
	(gud-common-init): Use it.

2001-05-24  Andrew Choi  <akochoi@i-cable.com>

	* international/titdic-cnv.el (quail-cxterm-package-ext-info):
	delete entries for chinese-ctlau and chinese-ctlaub.
	(quail-misc-package-ext-info): Add entries for chinese-ctlau and
	chinese-ctlaub.
	(ctlau-converter, ctlau-gb-converter, ctlau-b5-converter):
	New functions.

2001-05-22  Gerd Moellmann  <gerd@gnu.org>

	* cus-edit.el (custom-comment-show): Remove debug code.

	* language/japan-util.el (japanese-symbol-table): Fix handling of
	Japanese long tone sign.  From Kenichi Handa <handa@etl.go.jp>.

2001-05-21  Stefan Monnier  <monnier@cs.yale.edu>

	* diff-mode.el (diff-jump-to-old-file, diff-update-on-the-fly):
	Renamed by removing the silly `-flag' suffix.
	(diff-mode, diff-minor-mode, diff-find-source-location): Update.

2001-05-20  Stefan Monnier  <monnier@cs.yale.edu>

	* replace.el (keep-lines-read-args): Use `copy-marker'.
	(how-many): Save excursion properly.
	(occur-mode): Use define-derived-mode.
	(perform-replace): Use with-current-buffer.

2001-05-20  Richard M. Stallman  <rms@gnu.org>

	* play/landmark.el (lm): Use "p" not "P" for interactive spec.

	* mail/rmail.el (rmail-retry-failure): Do save-window-excursion.

	* info.el (Info-read-subfile): Widen before finding the
	desired node in the subfile.

	* startup.el (command-line-1): When >2 files visited,
	leave the last one visible, and make that the selected window.

2001-05-20  Gerd Moellmann  <gerd@gnu.org>

	* font-lock.el (lisp-font-lock-keywords-1): Add `defvaralias'.

2001-05-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/ccl.el (define-ccl-program): Fix a typo.
	From Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

	* international/mule.el (decode-char): Fix a typo.  From Pavel
	Jan,Bm(Bk <Pavel@Janik.cz>.

	* textmodes/artist.el (artist-mode): Fix a typo.  From Pavel
	Jan,Bm(Bk <Pavel@Janik.cz>.

	* frame.el (automatic-hscrolling): Fix a typo.  From Pavel
	Jan,Bm(Bk <Pavel@Janik.cz>.

2001-05-18  Sam Steingold  <sds@gnu.org>

	* pcvs-defs.el (cvs-mode-map): Bind "z" to `kill-this-buffer'
	and [RET] to `cvs-mode-find-file'.

2001-05-18  John Wiegley  <johnw@gnu.org>

	* eshell/esh-ext.el (eshell-explicit-command-char): A new
	configuration variable, which determines the initial character
	that forces use of an external version of a command.  The default
	is *, but may be set to \, for example.

	* eshell/esh-ext.el (eshell-explicit-command):
	Use `eshell-explicit-command-char' instead of ?*.

	* eshell/esh-cmd.el (eshell/which):
	Use `eshell-explicit-command-char' instead of ?*.

	* eshell/em-cmpl.el (eshell-completion-command-name)
	(eshell-complete-commands-list): Use `eshell-explicit-command-char'
	instead of ?*.

2001-05-18  Gerd Moellmann  <gerd@gnu.org>

	* net/ange-ftp.el (ange-ftp-fix-name-for-vms): Reverse args of
	subst-char-in-string.
	(ange-ftp-after-parse-ls-hook): New variable.
	(ange-ftp-ls): Run that hook.
	From Peter Milliken <Peter.Milliken@GTECH.COM>.

	* tmm.el (tmm-get-keymap): Fix handling of :filter.
	(tmm-add-prompt): Bind buffer-read-only to nil when inserting
	text into *Completions*.

	* net/goto-addr.el (goto-address-at-point): Deal with URLs
	part of which look like email addresses.

2001-05-18  Andrew Innes  <andrewi@gnu.org>

	* makefile.w32-in (compile-files-CMD, bootstrap-clean-CMD):
	Use . instead of absolute path for lisp dir, to avoid bug in W2K
	cmd.exe's handling of FOR loops.
	(autoloads): Set find-file-suppress-same-file-warnings to t to
	avoid slew of spurious messages.

2001-05-18  Simon Josefsson  <simon@josefsson.org>

	* mail/smtpmail.el (maybe-append-domain): Renamed to
	`smtpmail-maybe-append-domain'.
	(smtpmail-via-smtp): Use the new name.

	* net/browse-url.el (browse-url-browser-function): Add kde.
	(browse-url-kde-program, browse-url-kde-args): New variables.
	(browse-url-kde): New function.

2001-05-18  Miles Bader  <miles@gnu.org>

	* simple.el (delete-horizontal-space, just-one-space):
	Use `constrain-to-field' instead of `field-end'/`field-beginning',
	because it's more efficient for large files.

2001-05-17  Gerd Moellmann  <gerd@gnu.org>

	* mail/rmail.el (rmail-require-mime-maybe): New function.
	(rmail): Use it.
	(rmail-mode): Handle the case of finding Rmail files.

	* emacs-lisp/elp.el (elp-instrument-function): Handle advised
	functions.

2001-05-17  Stefan Monnier  <monnier@cs.yale.edu>

	* jit-lock.el (jit-lock-after-change): Check the font-lock-multiline
	text-property after moving to the beginning of line and regardless
	of the value of font-lock-multiline.

2001-05-17  Gerd Moellmann  <gerd@gnu.org>

	* startup.el (fancy-splash-screens): Ignore events on the mode-line.

	* net/ange-ftp.el (ange-ftp-write-region): Make sure to record the
	last coding system used before calling set-buffer-modified-p
	because that function changes last-coding-system.

2001-05-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.el (switch-to-buffer-other-window)
	(switch-to-buffer-other-frame): Add an xref to display-buffer in
	the doc string.

2001-05-17  Gerd Moellmann  <gerd@gnu.org>

	* language/slovak.el, language/czech.el: New maintainer.

2001-05-16  Sam Steingold  <sds@gnu.org>

	* emacs-lisp/cl-indent.el (toplevel): Indent the :method
	sub-form of `defgeneric' correctly.

2001-05-16  Gerd Moellmann  <gerd@gnu.org>

	* tooltip.el (tooltip) <defgroup>: Put it in `gud' group instead
	of `c'.

	* textmodes/outline.el (outline-font-lock-level): Remove the
	condition-case, test what outline-level returns instead, to
	ease debugging.

	* international/mule.el (auto-coding-regexp-alist): New user-option.
	(auto-coding-from-file-contents): New function.
	(set-auto-coding): Use it to determine a coding system.

2001-05-15  Gerd Moellmann  <gerd@gnu.org>

	* mouse.el (mouse-delete-other-windows): Doc fix.

	* emacs-lisp/lisp-mode.el (lisp-mode):
	Make font-lock-keywords-case-fold-search a buffer-local variable with
	make-local-variable before setting it.

2001-05-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* emacs-lisp/elp.el (elp-instrument-package): Don't allow empty
	prefixes.

2001-05-14  Gerd Moellmann  <gerd@gnu.org>

	* hexl.el (hexl-current-address): Print a message when called
	interactively.

2001-05-11  Stefan Monnier  <monnier@cs.yale.edu>

	* gud.el (gud-jdb-build-source-files-list): Fix paren typo.

	* pcvs-defs.el (cvs-mode-map): Don't rebind `undo'.

	* files.el (auto-mode-alist): Add *.perl and fix the *.<rev> case.

2001-05-11  Gerd Moellmann  <gerd@gnu.org>

	* startup.el (command-line): If parameters have been changed in
	the init files which influence font selection, clear the face
	cache so that faces get realized with the new parameters.

	* Makefile.in (compile-files): Redirect output of chmod to /dev/null.

2001-05-10  Stefan Monnier  <monnier@cs.yale.edu>

	* smerge-mode.el (smerge-mode): Force font-lock-multiline to t.

2001-05-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/emacsbug.el (report-emacs-bug): Don't switch the buffer to
	unibyte.  Suggested by Kenichi Handa <handa@etl.go.jp>.

2001-05-10  Gerd Moellmann  <gerd@gnu.org>

	* net/browse-url.el (browse-url-filename-alist): Allow UNC file
	names for MS-Windows and MS-DOS.  From Dan Holmsand <dan@eyebee.com>.

2001-05-09  John Wiegley  <johnw@gnu.org>

	* eshell/esh-util.el (eshell-convert-numeric-arguments):
	Annotated the documentation string to tell users about
	`eshell-no-numeric-conversions'.

	* eshell/esh-cmd.el (eshell-lisp-command): Don't perform numeric
	conversions if a Lisp function has the property
	`eshell-no-numeric-conversions' set to a non-nil value.

	* eshell/em-dirs.el, eshell/em-ls.el, eshell/em-script.el,
	eshell/em-unix.el, eshell/esh-ext.el, eshell/esh-cmd.el: Set the
	property `eshell-no-numeric-conversions' on the following
	functions (which all deal with filesystem entities, and never Lisp
	numerical values): eshell/cd, eshell/pushd, eshell/popd,
	eshell/ls, eshell/source, eshell/., eshell/man, eshell/rm,
	eshell/mkdir, eshell/rmdir, eshell/mv, eshell/cp, eshell/ln,
	eshell/cat, eshell/make, eshell/diff, eshell/locate, eshell/occur,
	eshell/which, eshell/addpath.

2001-05-09  John Wiegley  <johnw@gnu.org>

	* eshell/esh-arg.el (eshell-parse-argument-hook): If a number is
	encountered as an argument, don't convert it right away, but tag
	the first character of the string with the text properties
	`number', which signifies to `eshell-lisp-command' that the
	argument should be passed through `string-to-number' if it is
	actually used in the call to a Lisp function.

	* eshell/esh-cmd.el (eshell-lisp-command): Before calling a Lisp
	function, convert any string arguments that have been tagged as
	"numbers", by calling string-to-number.

	* eshell/esh-util.el (eshell-number-regexp): Now that number
	conversions only happen for Lisp function calls, the number regexp
	should now match all integer and floating point forms.

	* eshell/esh-proc.el: Disable `eshell-stop-process' and
	`eshell-continue-process', since they are both nonfunctional at
	the moment.
	(eshell-proc-initialize): Don't bind keys for
	`eshell-stop-process' or `eshell-continue-process'.

	* eshell/em-unix.el (eshell-shuffle-files):
	Apply `directory-file-name' before calling `file-name-directory'.

	* eshell/em-hist.el (eshell-add-to-history): Reference to
	`eshell-history-ring' needed to be `eshell-history-index'.

	* calendar/timeclock.el (timeclock-find-discrep):
	Initialize `elapsed' to 0.
	(timeclock-find-discrep): Set `timeclock-last-event-workday' if
	it's still nil.

2001-05-09  Stefan Monnier  <monnier@cs.yale.edu>

	* arc-mode.el (archive-int-to-mode): Construct the string directly.
	(archive-mode): Use capitalize.
	(archive-unique-fname): Use make-temp-file.

2001-05-09  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-interaction-mode): Doc fix.

2001-05-09  Eli Zaretskii  <eliz@is.elta.co.il>

	* tar-mode.el (tar-extract): Pay attention to the value of
	coding-system-for-read, if it is non-nil.

	* calendar/holidays.el (holidays): Add an autoload cookie.
	From Pavel Jan,Bm(Bk <Pavel@Janik.cz>.

2001-05-08  John Wiegley  <johnw@gnu.org>

	* calendar/timeclock.el (timeclock-workday-remaining):
	Changed logic for determining how much time is remaining.
	(timeclock-workday-elapsed): Don't accept a "relative" argument
	for the current day's elapsed time.  What could that have meant?
	(timeclock-workday-elapsed-string): No "relative" argument anymore.
	(timeclock-when-to-leave): Changed logic, similarly to what was
	done for `timeclock-workday-remaining'.
	(timeclock-find-discrep): Removed "today-only" argument, which had
	no meaning.  Fixed some more math problems.  The function now
	returns a three member list: (TOTAL-TIME-DISCREPANCY
	TODAYS-TIME-DISCREPANCY TODAYS-ELAPSED-TIME).

2001-05-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* w32-fns.el (convert-standard-filename): Start replacing slashes
	from the beginning of the file name, not from where the last
	invalid character was.  From "Andrew Maguire (SWW)"
	<Andrew.Maguire@Smallworld.co.uk>

2001-05-07  MORIOKA Tomohiko  <tomo@m17n.org>

	The following changes are to provide infrastructure for handling
	MIME messages to rmail.  They don't affect the original behaviour
	if rmail-enable-mime is nil.

	* mail/rmail.el (rmail-insert-mime-forwarded-message-function)
	(rmail-search-mime-message-function)
	(rmail-search-mime-header-function): New variables.
	(rmail-expunge-and-save): Be sure to set-buffer to the Rmail buffer.
	(rmail-quit, rmail-get-new-mail): Bury `rmail-buffer' after
	`rmail-view-buffer' is hidden.
	(rmail-toggle-header): Likewise.  If rmail-enable-mime is non-nil,
	call rmai-show-mime-function.
	(rmail-display-labels): If rmail-enable-mime is non-nil, update
	mode-line-process of rmail-view-buffer.
	(rmail-set-attribute): Be sure to set-buffer to the Rmail buffer.
	(rmail-show-message): Be sure to call rmail-auto-file in the Rmail
	buffer.
	(rmail-next-message, rmail-next-undeleted-message): Be sure to
	set-buffer to the Rmail buffer.
	(rmail-message-regexp-p): If rmail-enable-mime is non-nil, call
	rmail-search-mime-header-function.
	(rmail-search-message): New function.
	(rmail-search): Call rmail-search-message to check if a message
	matches REGEXP, lastly update point after calling
	rmail-show-message.
	(rmail-undelete-previous-message, rmail-expunge-confirmed)
	(rmail-only-expunge): Be sure to set-buffer to the Rmail buffer.
	(rmail-reply): If rmail-enable-mime is non-nil, don't narrow to
	header region, refer to rmail-msgref-vector while setting the
	current buffer to rmail-buffer temporarily.
	(rmail-forward): Be sure to bind forward-buffer to the Rmail buffer.
	If rmail-enable-mime is non-nil, call
	rmail-insert-mime-forwarded-message-function instead of inserting
	forwarded message by itself.

	* mail/rmailkwd.el (rmail-read-label): Be sure to work in the
	Rmail buffer.
	(rmail-set-label, rmail-next-labeled-message): Likewise.

	* mail/rmailout.el (rmail-output-read-rmail-file-name): Be sure to
	set-buffer to the Rmail buffer.
	(rmail-output-to-rmail-file): Likewise.
	(rmail-output): Likewise.

	* mail/rmailsum.el (rmail-message-subject-p): Process the result
	of mail-fetch-field by rmail-summary-line-decoder.
	(rmail-new-summary): Be sure to go to the Rmail buffer.
	If rmail-enable-mime is non-nil, set rmail-summary-buffer of
	rmail-view-buffer to nil.
	(rmail-summary-undelete): If rmail-enable-mime is non-nil, pop to
	rmail-view-buffer.
	(rmail-summary-scroll-msg-up): Handle rmail-view-buffer, not
	rmail-buffer.
	(rmail-summary-scroll-msg-down): Likewise.
	(rmail-summary-beginning-of-message): Likewise.
	(rmail-summary-wipe): Likewise.
	(rmail-summary-toggle-header): Use save-window-excursion, not
	save-excursion.  Update point in rmail-view-buffer, not in
	rmail-buffer.
	(rmail-summary-reply): Before calling rmail-reply, set buffer to
	rmail-view-buffer, not rmail-buffer.

2001-05-07  Gerd Moellmann  <gerd@gnu.org>

	* cus-edit.el (custom-file): Signal an error if user-init-file is
	nil (running -q).

	* mail/rmailedit.el (rmail-edit-mode-hook): Add :version.

	* mail/smtpmail.el (smtpmail-warn-about-unknown-extensions):
	Add :version.

	* mail/smtpmail.el (smtpmail-warn-about-unknown-extensions):
	New option.
	(smtpmail-via-smtp): Print warnings about unknown SMTP extensions
	only if smtpmail-warn-about-unknown-extensions is set.

	* mail/rmail.el (rmail-mode-map): Use rmail-sort-by-labels
	instead of rmail-sort-by-keywords.

	* mail/rmailsort.el (rmail-sort-by-labels): Renamed from
	rmail-sort-by-keywords.

	* mail/rmailsum.el (rmail-summary-sort-by-labels): Renamed from
	rmail-summary-sort-by-keywords.  Doc fix.
	(rmail-summary-mode): Doc fix.

	* mail/rmail.el (rmail-edit): New Custom group.

	* mail/rmailedit.el (rmail-edit-mode): Doc fix.
	(rmail-edit-mode-hook): New user-option.

2001-05-05  Richard M. Stallman  <rms@gnu.org>

	* help.el (help-xref-symbol-regexp): Recognize "source of"
	and friends, meaning make a link to the source file.
	(help-make-xrefs): Handle "source of" and friends
	by constructing a link that visits the source file.

	* dabbrev.el (dabbrev-select-buffers-function): Doc fix.

2001-05-04  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/cperl-mode.el (cperl-font-lock-keywords)
	(cperl-font-lock-keywords-1, cperl-font-lock-keywords-2):
	Renamed from perl-font-lock-keywords to avoid clashes.
	(cperl-mode, cperl-load-font-lock-keywords, cperl-init-faces)
	(cperl-load-font-lock-keywords-1, cperl-load-font-lock-keywords-2):
	Updated correspondingly.

	* diff-mode.el (diff-nonexistent-face, diff-font-lock-keywords):
	Typo `nonexistant' -> `nonexistent'.

2001-05-04  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-electric-delete, c-electric-delete-forward):
	Split `c-electric-delete' into two functions where
	`c-electric-delete-forward' always deletes forward and
	`c-electric-delete' only contains the code necessary for XEmacs to
	choose between backward and forward deletion.

	* cc-mode.el: `c-electric-delete-forward' is now bound to C-d to
	get the electric behavior on that key too.
	(c-fill-paragraph): Fixed bogus direct use of
	c-comment-prefix-regexp, which caused an error when it's a list.

2001-05-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* dired-aux.el (dired-diff): Doc fix.

	* dired.el (dired-diff): Likewise.

2001-05-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* textmodes/ispell.el (ispell-change-dictionary): Doc fix.

2001-05-02  Stefan Monnier  <monnier@cs.yale.edu>

	* vc.el (vc-next-action-on-file): Only force buffer+file to writable
	if both the buffer and the file are read-only.

	* progmodes/sh-script.el (sh-prev-line): Look for sh-heredoc-face
	rather than font-lock-string-face.
	(sh-get-indent-info): Treat heredocs like strings.

2001-05-02  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/texinfmt.el (texinfo-format-parse-args): Don't consume
	a newline following `}'.
	(texinfo-format-email): New function.
	(toplevel): Use texinfo-format-email for @email.
	(texinfo-format-kbd-regexp, texinfo-format-kbd-end-regexp):
	Add `display'.
	(texinfo-sort-region): Goto point-min before sorting.
	(texinfo-set): Remove leading white space from value.
	From yagi@is.titech.ac.jp.

	* replace.el (query-replace-regexp-eval): Doc fix.

2001-05-01  Stefan Monnier  <monnier@cs.yale.edu>

	* diff-mode.el (diff-nonexistant-face): New face.
	(diff-font-lock-keywords): Use it.

2001-04-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* font-lock.el (font-lock-mode): Doc fix.

	* dired-aux.el (dired-do-rename-regexp, dired-do-copy-regexp)
	(dired-do-hardlink-regexp, dired-do-symlink-regexp): Doc fix.

2001-04-30  Gerd Moellmann  <gerd@gnu.org>

	* progmodes/sh-script.el (sh-font-lock-heredoc): Allow optional
	backslash at the start of the here-document delimiter.
	(sh-font-lock-syntactic-keywords): Likewise.

	* mail/rmail.el (rmail-message-regexp-p): Yet another fix.

2001-04-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/tty-colors.el (tty-color-define, tty-color-off-gray-diag)
	(tty-color-translate, tty-color-by-index, tty-color-values)
	(tty-color-desc): Doc fix.

2001-04-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* dired-aux.el (dired-do-create-files, dired-do-copy)
	(dired-do-symlink, dired-do-hardlink, dired-do-rename):
	Mention dired-dwim-target in the doc string.

2001-04-28  Miles Bader  <miles@gnu.org>

	* dabbrev.el (dabbrev--ignore-buffer-p): New function.
	(dabbrev--find-expansion): Use it.
	(dabbrev--select-buffers): Don't select ignored buffers.

2001-04-27  Gerd Moellmann  <gerd@gnu.org>

	* mail/rmail.el (rmail-message-regexp-p): Don't match before headers.

2001-04-26  Richard M. Stallman  <rms@gnu.org>

	* dabbrev.el: Add doc strings for some functions.
	(dabbrev--eliminate-newlines): New variable.
	(dabbrev--substitute-expansion): Convert newlines to spaces
	if dabbrev--eliminate-newlines is set.
	If abbrev and expansion are both all-lower-case,
	leave dabbrev--last-case-pattern nil.

2001-04-26  Gerd Moellmann  <gerd@gnu.org>

	* mail/rmail.el (rmail-message-regexp-p): Use rfc822-goto-eoh
	if necessary, like in rmail-show-message.

2001-04-26  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Color specified by number is forced to be float number.
	(ps-print-version): New version number (6.5.1.1).
	(ps-header-frame-alist, ps-footer-frame-alist): Adjust color
	initialization.
	(ps-prefix-quote): New internal var.
	(ps-print-quote): New fun.
	(ps-setup, ps-output-frame-properties, ps-float-format)
	(ps-format-color): Code fix.
	(ps-plot-region): Eliminate redundant foreground color text setting.

2001-04-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* dabbrev.el (dabbrev--select-buffers): Add a doc string.

2001-04-25  Gerd Moellmann  <gerd@gnu.org>

	* faces.el (tty-handle-reverse-video): Don't set inverse-video.

2001-04-25  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-additional-directory-list): Doc fix.

	* find-lisp.el (find-lisp-find-dired-filter)
	(find-lisp-find-dired-subdirectories, find-lisp-find-dired):
	Add autoload cookies.  From Richard Y. Kim <ryk@dspwiz.com>.

2001-04-25  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/make-mode.el (makefile-font-lock-keywords):
	Rationalize the rules for includes and conditionals and use the
	keyword face for them.

	* faces.el (modify-face): Add compatibility for non-interactive use.

2001-04-24  John Wiegley  <johnw@gnu.org>

	* eshell/esh-cmd.el (eshell-find-alias-function): Corrected the
	fix from last night, since it wasn't finding eshell/cd.

2001-04-24  Gerd Moellmann  <gerd@gnu.org>

	* rect.el (string-rectangle): Revert to 20.x behaviour.
	(replace-rectangle): Make it an alias for string-rectangle.
	(string-insert-rectangle): New function.

2001-04-23  John Wiegley  <johnw@gnu.org>

	* eshell/em-unix.el (eshell/diff): Fixed problems that were
	occurring with Emacs 21's diff.el/compile.el interaction layer.

2001-04-23  Colin Walters  <walters@cis.ohio-state.edu>

	* eshell/esh-cmd.el (eshell-find-alias-function): Return t in the
	case where the function was defined in a file, but not part of an
	eshell module.

2001-04-23  John Wiegley  <johnw@gnu.org>

	* eshell/em-smart.el (eshell-smart-redisplay): Added some safety
	code to work around a redisplay problem I've been having.

2001-04-23  John Wiegley  <johnw@gnu.org>

	* calendar/timeclock.el (timeclock-day-required): If the time
	required for a particular day is not set, use `timeclock-workday'.
	(timeclock-find-discrep): Added some sample code in a comment.

	* eshell/eshell.el (eshell-command): Made a few changes so that
	`eshell-command' could be called programmatically.

	* eshell/esh-mode.el (eshell-non-interactive-p): Moved to eshell.el.

	* eshell/eshell.el (eshell-non-interactive-p): Moved from esh-mode.el.

2001-04-23  John Wiegley  <johnw@gnu.org>

	* calendar/timeclock.el: Updated copyright.
	(timeclock-generate-report): Don't report the daily or two-week
	total, if no time has been worked in that period.
	(timeclock-find-discrep): Moved call to `file-readable-p'; removed
	final computational form, which was unnecessary; corrected a
	parsing problem when timeclock-relative was nil.

2001-04-23  Kahlil Hodgson  <kahlil@discus.anu.edu.au>

	* calendar/timeclock.el (timeclock-modeline-display): Check if
	`list-entry' is null.
	(timeclock-use-display-time): The first argument to `set-variable'
	must be a symbol.

2001-04-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* calendar/calendar.el (diary-entry-marker)
	(calendar-today-marker, calendar-holiday-marker):
	Use display-color-p instead of window-system.
	(calendar-mode-map, calendar-mode): Use display-popup-menus-p
	instead of window-system.
	(calendar-hide-window): Use display-multi-frame-p instead of
	window-system.

	* calendar/cal-x.el (calendar-two-frame-setup)
	(calendar-only-one-frame-setup, calendar-one-frame-setup):
	Use display-multi-frame-p instead of window-system.

2001-04-23  Gerd Moellmann  <gerd@gnu.org>

	* play/fortune.el (fortune-from-region): Use `eq' instead of `eql'.

	* textmodes/ispell.el, emacs-lisp/checkdoc.el,
	* progmodes/ebrowse.el, play/fortune.el: Fix autoload cookies.

2001-04-23  Alex Schroeder  <alex@gnu.org>

	* goto-addr.el: Instead of defining line-beginning-position and
	line-end-position a defalias is used for point-at-bol and point-at-eol.

2001-04-23  Alex Schroeder  <alex@gnu.org>

	* goto-addr.el: Added XEmacs compatibility code.
	(goto-address-highlight-keymap): Made keybindings XEmacs compatible.

2001-04-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* textmodes/paragraphs.el (sentence-end): Doc fix.

2001-04-20  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-escape-newlines-and-send): New function.
	(sql-db2): Set comint-input-sender to sql-escape-newlines-and-send.

2001-04-20  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-db2-program): New option.
	(sql-db2-options): New option.
	(sql-db2): New function.

2001-04-20  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-mode-menu): Added highlighting entries.
	(sql-highlight-oracle-keywords): New function.
	(sql-highlight-postgres-keywords): New function.
	(sql-highlight-ansi-keywords): New function.

2001-04-20  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-help): Doc change.

2001-04-19  Karl Fogel  <kfogel@collab.net>

	* saveplace.el (save-place-alist-to-file): Removed no-effect code
	that inserted file content only to delete it immediately.
	Probably a cut-and-paste bug.  Thanks to Juanma Barranquero
	<lektu@terra.es> for the patch.

2001-04-19  Stefan Monnier  <monnier@cs.yale.edu>

	* emacs-lisp/easy-mmode.el (easy-mmode-defsyntax): Unquote `doc'.

2001-04-18  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/cl-indent.el (toplevel): Comment out the spec
	for defmethod.

	* comint.el (comint-cr-magic): New function.
	(toplevel): Add it to comint-preoutput-filter-functions.

2001-04-18  Andrew Innes  <andrewi@gnu.org>

	* makefile.w32-in (EMACSLOADPATH): Define.
	(custom-deps, autoloads, .el.elc, compile-files-CMD, compile-files-SH)
	(recompile): Remove stuff to set EMACSLOADPATH.

2001-04-18  Gerd Moellmann  <gerd@gnu.org>

	* language/slovak.el ("Slovak"): Add tutorial entry.

	* net/browse-url.el (browse-url-new-window-flag): Renamed from
	browse-url-new-window-p.

2001-04-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-menu-update): When there are no menus and/or no
	cross references in the node, make the respective items of the
	Info menu-bar menu inactive.

2001-04-17  Gerd Moellmann  <gerd@gnu.org>

	* indent.el (indent-for-tab-command): Call indent-line-function
	with no argument if PREFIX-ARG is non-nil.

	* frame.el (delete-other-frames): Handle minibuffer-only frames.

2001-04-17  Eli Zaretskii  <eliz@is.elta.co.il>

	* vc-cvs.el (vc-cvs-print-log, vc-cvs-diff): Don't invoke CVS as
	an async subprocess if start-process is unavailable.  Suggested by
	Tim Van Holder <tim.van.holder@pandora.be>.

2001-04-15  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-additional-directory-list): Doc fix.  Suggested by
	Kai Gro,A_(Bjohann <Kai.Grossjohann@CS.Uni-Dortmund.DE>.

2001-04-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-file-list-for-emacs): Add an entry for the "info"
	manual.

2001-04-13  Stefan Monnier  <monnier@cs.yale.edu>

	* pcvs-defs.el (cvs-mode-map): Bind C-o like in dired.
	(cvs-menu): Add a few entries.

	* pcvs.el (cvs-addto-collection): Don't merge MESSAGE fileinfos.
	(cvs-update-filter): Only advertise `cvs-mode-delete-lock' if the
	lock file appears to be reachable from Emacs.
	(cvs-mode-mark-on-state, cvs-mode-display-file): New functions.
	(cvs-mode-find-file): Look for cvs-header-face rather than
	cvs-dirname-face (which doesn't exist).
	(cvs-mode-find-file): Allow `other' to be set to `dont-select'.

	* pcvs-parse.el (cvs-parse-run-table): Remove misleading text.

2001-04-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* emulation/pc-select.el (pc-selection-mode): Don't turn on
	normal-erase-is-backspace on a tty.  Instead, bind some keys such
	as [delete] directly, like pc-select.el did before
	normal-erase-is-backspace was invented.

2001-04-12  Eli Zaretskii  <eliz@is.elta.co.il>

	* ls-lisp.el (ls-lisp-format): Leave a blank before "root".

2001-04-11  John Wiegley  <johnw@gnu.org>

	* eshell/em-ls.el (eshell-ls-insert-directory):
	Set font-lock-defaults to nil, to prevent fontification in dired
	buffers, if Eshell's ls is being used.

2001-04-11  John Wiegley  <johnw@gnu.org>

	* calendar/timeclock.el (timeclock-completing-read): New function.
	(timeclock-ask-for-project, timeclock-ask-for-reason):
	Call `timeclock-completing-read'.

	* eshell/em-alias.el (eshell-command-aliased-p): `assoc' was
	required where `member' was being used.

2001-04-11  Colin Walters  <walters@cis.ohio-state.edu>

	* eshell/em-hist.el (eshell-previous-matching-input):
	Don't display "History item" if the minibuffer is active.

2001-04-11  Gerd Moellmann  <gerd@gnu.org>

	* startup.el (command-line): Output a newline after printing
	an error from loading the window system's init file.

2001-04-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* textmodes/texinfo.el (texinfo-font-lock-keywords):
	Add fontification for @value, @dfn, @dmn, @acronym, @anchor, and
	@inforef.  Add an OVERRIDE of `keep' to highlight specs of
	keywords whose arguments routinely include @@.

2001-04-10  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/advice.el (ad-make-advised-definition):
	Construct advice for subrs differently.

	* textmodes/paragraphs.el (forward-sentence): Put the sentence-end
	regexp in parentheses when building the regexp for searching backwards.

	* simple.el (completion-list-mode-finish): New function.
	(toplevel): Add completion-list-mode-finish to temp-buffer-show-hook.

	* language/european.el ("Polish"): Change sample text.
	From jsbien@mimuw.edu.pl (Janusz S. Bie,Bq(B).

	* progmodes/sh-script.el (sh-indent-line): Add optional PREFIX-ARG
	parameter.

	* faces.el (menu): Doc fix.

2001-04-10  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Footer implementation.  Doc fix.
	(ps-print-version): New version number (6.5.1).
	(ps-header-frame-alist): New customization var for header frame
	properties.
	(ps-line-number-color): New customization var for line number color.
	(ps-footer-offset, ps-footer-line-pad, ps-print-footer)
	(ps-print-footer-frame, ps-footer-frame-alist, ps-footer-lines)
	(ps-footer-font-family, ps-footer-font-size, ps-left-footer)
	(ps-right-footer): New customization vars for footers.
	(ps-footer-pad, ps-footer-font-size-internal): New internal vars for
	footers.
	(ps-setup, ps-get-page-dimensions, ps-generate-header-line)
	(ps-generate-header, ps-begin-file, ps-begin-job, ps-begin-page):
	Code fix.
	(ps-prologue-file): Indentation fix.
	(ps-print-quote): Fun eliminated.
	(ps-value, ps-get, ps-put, ps-del): New funs for alist handling.
	(ps-output-frame-properties): New fun.
	(ps-fonts, ps-font-number, ps-rgb-color, ps-end-page, ps-next-page)
	(ps-skip-newline): Replace defun by defsubst.

2001-04-10  Colin Walters  <walters@cis.ohio-state.edu>

	* eshell/eshell.el (eshell-command): Needed a "%s" format
	specifier, in case the buffer contains percent characters.

2001-04-10  John Wiegley  <johnw@gnu.org>

	* calendar/timeclock.el (timeclock-generate-report): Added a
	missing insert of the project name.

2001-04-09  Gerd Moellmann  <gerd@gnu.org>

	* obsolete/profile.el: Moved from emacs-lisp/.

	* Makefile.in (nonobsolete_setwins): New macro.
	(finder-data): Use it instead of `setwins'.
	From: Dave Love <fx@gnu.org>.

	* server.el (server-visit-files): Set server-existing-buffer correctly.
	(server-visit-files): Run server-visit-hook after going to
	line 1 so that the hook can set point as it sees fit.

	* bindings.el (mode-line-modified): Unify help messages.

2001-04-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* dos-fns.el (dos-8+3-filename): Rename from dos-truncate-to-8+3.
	All callers changed.

2001-04-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/titdic-cnv.el (miscdic-convert): For MS-DOS, if
	long file names aren't supported, truncate the file names in
	quail-misc-package-ext-info to 8+3 before matching them against
	FILENAME.

	* dos-fns.el (dos-truncate-to-8+3): New function.

	* progmodes/compile.el (grep-compute-defaults): Use null-device
	instead of literal /dev/null. Reported by Jens Schmidt
	<schmidt@mathematik.uni-kl.de>.

	* simple.el (normal-erase-is-backspace-mode): Doc fix.

2001-04-06  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/sgml-mode.el: Add unknown maintainer.
	(sgml-tag): Pass `str' explicitly through skeleton-transformation.
	(html-mode-map): Use set-keymap-parent.

2001-04-06  Dave Love  <fx@gnu.org>

	* international/encoded-kb.el (encoded-kbd-self-insert-ccl):
	Remove redundant string-to-list.

2001-04-05  Stefan Monnier  <monnier@cs.yale.edu>

	* composite.el (reference-point-alist): Doc fix.

2001-04-05  Sam Steingold  <sds@gnu.org>

	* font-lock.el (font-lock-keywords-case-fold-search):
	Make buffer-local.  This fixes a very annoying bug when loading a Lisp
	file made font-lock case-insensitive.

2001-04-05  Gerd Moellmann  <gerd@gnu.org>

	* faces.el (defface menu): Doc fix.

	* wid-edit.el (widget-color-sample-face-get): Don't make
	faces for undefined colors.

	* version.el (emacs-version): Include LessTif/Motif version info.

2001-04-04  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-mule.el: Eliminate cl package dependence.
	(char-valid-p, multibyte-string-p, string-make-multibyte): Define funs
	if they aren't defined yet.
	(ps-mule-encode-header-string, ps-mule-header-string-charsets):
	Eliminate cl package dependence.

2001-04-04  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/cc-cmds.el (c-outline-level):
	Bind buffer-invisibility-spec.  Originally from Dave Love, but
	got lost when incorporating version 5.26.

2001-04-04  Eli Zaretskii  <eliz@is.elta.co.il>

	* emulation/pc-select.el (pc-selection-mode):
	Call normal-erase-is-backspace-mode instead of binding
	keys individually.

	* cus-load.el (normal-erase-is-backspace): Use it instead of
	delete-key-deletes-forward.

	* startup.el (command-line): Use normal-erase-is-backspace and
	normal-erase-is-backspace-mode.

	* simple.el (normal-erase-is-backspace): Rename from
	delete-key-deletes-forward.  Doc fix.
	(normal-erase-is-backspace-mode): Rename from
	delete-key-deletes-forward-mode.  Doc fix.
	Run normal-erase-is-backspace-hook.

	* dired.el (dired-move-to-filename-regexp): Support file sizes in
	``human-readable'' format produced by GNU `ls'.
	(dired-move-to-filename-regexp): Recognize ISO format dates.
	From Paul Eggert <eggert@twinsun.com>.

2001-04-04  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/lisp-mnt.el (lm-keywords-list, lm-keywords-finder-p):
	New functions.
	(lm-verify): Check keywords.
	From Eric M. Ludlam <eric@siege-engine.com>.

2001-04-03  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-insert-image-button-maybe): Check for
	`xemacs' feature instead of for the function `set-extent-property'.

2001-04-03  Stefan Monnier  <monnier@cs.yale.edu>

	* mail/mh-utils.el (mh-folder-hist): New var.
	(mh-prompt-for-folder): Use it and pass `default' to completing-read.

2001-04-03  Eli Zaretskii  <eliz@is.elta.co.il>

	* hexl.el (hexl-scroll-up): If scrolling gets outside the hexl
	region, position point on the first or last 16-byte group.
	(hexl-mode-map): Bind C-Home and C-End to hexl-beginning-of-buffer
	and hexl-end-of-buffer.  Bind End and Home to hexl-end-of-line and
	hexl-beginning-of-line.

2001-04-03  Gerd Moellmann  <gerd@gnu.org>

	* icomplete.el (icomplete-mode): Treat an argument like other
	modes do.

	* startup.el (fancy-splash-head): Use splash8.xpm for color
	depth 8.

	* emacs-lisp/checkdoc.el (checkdoc-common-verbs-wrong-voice):
	Add an antry for ``converts''.

	* language/slovak.el ("Slovak"): Add documentation string.
	From Pavel@Janik.cz (Pavel Jan,Bm(Bk).

	* language/czech.el ("Czech"): Add documentation string.
	From Pavel@Janik.cz (Pavel Jan,Bm(Bk).

	* ps-mule.el (ps-mule-font-info-database-bdf): Change `isci24-etl.bdf'
	to `isci24-mule.bdf'.  From: Kenichi Handa <handa@etl.go.jp>.

2001-04-02  Stefan Monnier  <monnier@cs.yale.edu>

	* mail/mail-extr.el (mail-extr-delete-char, mail-extr-safe-move-sexp)
	(mail-extr-skip-whitespace-forward, mail-extr-nuke-char-at)
	(mail-extr-skip-whitespace-backward, mail-extr-undo-backslash-quoting):
	Use `defsubst' rather than a macro to ease debugging.
	(mail-extr-last): Remove (use `last' instead).
	(mail-extract-address-components): Properly reset the syntax-table
	after parsing an address.  Use `last' rather than mail-extr-last.
	Make sure the end marker stays at the very end.

2001-04-02  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/titdic-cnv.el (miscdic-convert): Fix a typo in the
	last change.

2001-04-02  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Line and paragraph spacing feature.  Region to cut
	out when printing.  Doc fix.
	(ps-print-version): New version number (6.5).
	(ps-line-spacing, ps-paragraph-spacing, ps-paragraph-regexp):
	New vars.  Line and paragraph spacing feature.
	(ps-begin-cut-regexp, ps-end-cut-regexp): New vars.  Region to cut
	out when printing.
	(ps-setup, ps-nb-pages, ps-get-page-dimensions, ps-begin-file)
	(ps-get-font-size, ps-begin-job, ps-continue-line)
	(ps-plot-region): Code fix.
	(ps-print-prologue-2): Var eliminated.
	(ps-line-spacing-internal, ps-paragraph-spacing-internal):
	New internal vars.
	(ps-get-size): New fun.
	(ps-output-string-prim, ps-init-output-queue, ps-print-page-p)
	(ps-next-line): Replace defun by defsubst.
	(ps-mule-plot-string): Autoload doc fix.

	* ps-bdf.el: XEmacs compatibility.  Doc fix.
	(installation-directory, coding-system-for-read): Declare vars if
	it's not declared yet.
	(bdf-read-font-info, bdf-read-bitmap, bdf-get-bitmaps): Code fix.

	* ps-mule.el: XEmacs compatibility.  Doc fix.
	(leading-code-private-22): Declare var if it's not declared yet.
	(charset-bytes, charset-dimension, charset-id, charset-width)
	(find-charset-region, split-char, char-width, chars-in-region)
	(forward-point, decompose-composite-char, encode-coding-string)
	(coding-system-p, ccl-execute-on-string, define-ccl-program):
	Define funs if not defined yet.
	(encode-composition-rule, find-composition): Define funs if not
	loaded yet.
	(ps-mule-prologue): PostScript code fix.

2001-04-02  Kenichi Handa  <handa@etl.go.jp>

	* ps-mule.el (ps-mule-generate-font): New arg HEADER-P.  If it is
	non-nil, generate font for the header strings.
	(ps-mule-prepare-font): Likewise.
	(ps-mule-generate-glyphs): Likewise.
	(ps-mule-string-encoding): Likewise.
	(ps-mule-header-charsets): New variable.
	(ps-mule-encode-header-string): New function.
	(ps-mule-header-string-charsets): New function.
	(ps-mule-begin-job): Check charsets in the header strings.  If there
	are non-ASCII and non-Latin1 charsets, prepare fonts for them.

	* ps-print.el (ps-generate-header-line): Encode the header string by
	ps-mule-encode-header-string.
	(ps-mule-encode-header-string): Declare autoload.

2001-04-02  Gerd Moellmann  <gerd@gnu.org>

	* frame.el (cursor-in-non-selected-windows):
	Replaces show-cursor-in-non-selected-windows.

2001-03-31  Kenichi Handa  <handa@etl.go.jp>

	* international/titdic-cnv.el (quail-cxterm-package-ext-info):
	Delete entries for "chinese-py" and "chinese-ziranma".
	(quail-misc-package-ext-info): New variable.
	(tsang-quick-converter): New function.
	(tsang-b5-converter, quick-b5-converter, tsang-cns-converter)
	(quick-cns-converter, py-converter, ziranma-converter)
	(miscdic-convert, batch-miscdic-convert): New functions.

2001-03-30  Kenichi Handa  <handa@etl.go.jp>

	* international/utf-8.el (ccl-encode-mule-utf-8): Fix handling of
	eight-bit-control chars.

	* international/encoded-kb.el (encoded-kbd-self-insert-ccl):
	Reduce making temporary vector (suggested by Dave Love).

2001-03-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (transient-mark-mode): Mention ESC ESC ESC in the doc
	string as well.

2001-03-30  Andreas Schwab  <schwab@suse.de>

	* files.el (backup-directory-alist): Fix typo.

2001-03-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* time-stamp.el (time-stamp-format): Doc fix.  From Paul Eggert
	<eggert@twinsun.com>.

2001-03-30  Dave Love  <fx@gnu.org>

	* progmodes/fortran.el (fortran-comment-region): Fix typo.

2001-03-30  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (transient-mark-mode): Mention C-g in the doc string.

2001-03-30  Miles Bader  <miles@gnu.org>

	* subr.el (interactive-form): Fix paren typo.

2001-03-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* emacs-lisp/profile.el: Say that it's obsolete in the header
	line, so that finder.el puts that into its data-base.
	Suggested by Alex Schroeder <alex@gnu.org>.

2001-03-29  Paul Eggert  <eggert@twinsun.com>

	* mail/emacsbug.el (report-emacs-bug): Report LC_COLLATE,
	LC_MESSAGES, LC_MONETARY, LC_NUMERIC, and LC_TIME as well.

2001-03-29  Stefan Monnier  <monnier@cs.yale.edu>

	* generic.el (generic-mode-set-comments): Use "" rather than nil
	for comment-end.

2001-03-29  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/advice.el (ad-make-advised-definition):
	Call interactive-form to obtain the interactive spec of subrs.

	* subr.el (interactive-form): New function.

2001-03-29  Andre Spiegel  <spiegel@gnu.org>

	* vc-sccs.el (vc-sccs-register): Use relative file names.

2001-03-28  Gerd Moellmann  <gerd@gnu.org>

	* bookmark.el (bookmark-get-bookmark): Handle case that
	BOOKMARK is not a string.

	* image.el (image-type-regexps): Change type for PS files
	to `postscript'.

	* subr.el (read-passwd): Clear command history after each
	character entered.  From: Stephen Gildea
	<gildea@stop.mail-abuse.org>.

2001-03-27  Kenichi Handa  <handa@etl.go.jp>

	* international/kkc.el (kkc-save-init-file): Locally bind
	print-length to nil.

2001-03-26  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/flyspell.el: Some doc fixes.
	(flyspell-maybe-correct-transposition)
	(flyspell-maybe-correct-doubling): Use a temporary buffer

	* textmodes/ispell.el (ispell-parse-output): Doc fix.

	* emacs-lisp/byte-opt.el (byte-optimize-while)
	(byte-optimize-form-code-walker): Diagnose too few arguments
	for `if' and `while'.

2001-03-26  Kenichi Handa  <handa@etl.go.jp>

	* international/titdic-cnv.el (quail-cxterm-package-ext-info):
	Prepend `\' to "\<quail-translation-docstring>".

2001-03-26  Gerd Moellmann  <gerd@gnu.org>

	* autorevert.el (global-auto-revert-non-file-buffers):
	Remove duplicate defcustom.

2001-03-26  Miles Bader  <miles@gnu.org>

	* international/latin1-disp.el (latin1-char-displayable-p):
	Add leading "-" for X font pattern.

2001-03-26  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-diag.el (describe-coding-system):
	For raw-text and emacs-mule, don't add anymore text about what
	charsets they can encode.

2001-03-25  Eli Zaretskii  <eliz@is.elta.co.il>

	* help.el (view-lossage): Mention open-dribble-file in the doc
	string.  Suggested by Riku Saikkonen <rjs@lloke.dna.fi>.

2001-03-23  Stefan Monnier  <monnier@cs.yale.edu>

	* skeleton.el (skeleton-internal-list): Fix bogus logic.
	(skeleton-pair-insert-maybe): Don't pair after a backslash.

2001-03-23  Kenichi Handa  <handa@etl.go.jp>

	* international/encoded-kb.el (encoded-kbd-self-insert-ccl):
	Call ccl-execute-on-string directly so that CCL program handling
	multibyte sequence can work correctly.
	(encoded-kbd-setup-keymap): Fix the default value of `valid-codes'
	property of the coding system.

2001-03-23  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/fill.el (fill-individual-paragraphs-prefix):
	Fix transcription typo.

2001-03-22  Rajesh Vaidheeswarran  <rv@gnu.org>

	* whitespace.el: Add buffer local variables to toggle testing of
	whitespaces in buffers without affecting the default values.
	Bump version to 3.0 to account for a few other changes.
	(whitespace-toggle-ateol-check, whitespace-toggle-leading-check)
	(whitespace-toggle-trailing-check, whitespace-toggle-indent-check)
	(whitespace-toggle-spacetab-check): New functions.

2001-03-21  Stefan Monnier  <monnier@cs.yale.edu>

	* obsolete/cplus-md.el: Moved from progmodes/cplus-md.el.

2001-03-21  Gerd Moellmann  <gerd@gnu.org>

	* bs.el (bs-cycle-next, bs-cycle-previous): Fix handling of
	bs-cycle-configuration-name.  From Juanma Barranquero
	<lektu@terra.es>.

	* Makefile.in, makefile.w32-in (COMPILE_FIRST): Add cc-mode.el
	and cc-vars.el.

	* mail/sendmail.el (sendmail-send-it): Don't parse Resent-*
	headers.  Always invoke sendmail with option -t.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* Release of cc-mode 5.28.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-mode.el, cc-vars.el (c-common-init, c-default-style):
	Removed the hardcoded switch to "java" style in Java mode.
	It's instead taken care of by the default value for c-default-style.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-align.el (c-lineup-math): Fix bug where lineup was
	triggered by equal signs in string literals.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-fill-paragraph): Fixed bug in the paragraph
	limit detection when at the ends of the buffer.

	* cc-engine.el (c-guess-basic-syntax): Removed bogus check for
	"for" statement clause in case 7F; a better one is done
	earlier in case 7D anyway.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-guess-fill-prefix): Improved the heuristics
	somewhat more and did a small optimization.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-beginning-of-statement, c-end-of-statement):
	Use the limit argument only to limit the syntactic context
	search, not to limit the actual movement.

	* cc-cmds.el (c-beginning-of-statement): Move by sentence
	inside multiline strings, just like in comments.  Also various
	fixes to the paragraph and comment prefix recognition, block
	comment ender handling etc.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-fill-paragraph): Take more care to preserve
	the relative position of the point.

	* cc-cmds.el (c-electric-continued-statement): New function to
	use as abbrev hook to reindent for keywords such as "else"
	that continues an earlier statement.

	* cc-menus.el (cc-imenu-c++-generic-expression): Treat structs
	like classes.

	* cc-mode.el (c-mode, c++-mode, java-mode, objc-mode)
	(pike-mode): Populate the default abbrev tables to reindent for
	keywords such as "else" that can continue earlier statements.
	Abbrev mode is therefore turned on by default now.  (Note that
	this doesn't apply to idl-mode, since IDL afaik doesn't have
	statements at all.)

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-engine.el (c-inside-bracelist-p): Fix for handling
	bracelists where the declaration contains template arguments.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-comment-indent):
	Use `c-get-syntactic-indentation' to correctly calculate the
	syntactic indentation.  Fixes bug with lineup functions that
	return vectors.

	* cc-engine.el (c-get-syntactic-indentation): Split the
	indentation sum calculation from `c-indent-line' to a separate
	function.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-beginning-of-statement, c-comment-indent):
	Fixed places where it was assumed that preprocessor directives
	have to start in column zero.

	* cc-engine.el (c-beginning-of-member-init-list): Handle C++
	template arguments after a class identifier properly.

	* cc-engine.el (c-guess-basic-syntax): Treat initializer brace
	lists for `new Foo[]' constructs in Java as expressions and
	not top level definition brace lists on the top level, so that
	they'll get indented consistently with the same type of
	expression in a normal block.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-fill-paragraph): The kludge that checks
	whether the adaptive filling package fails to keep the comment
	prefix is now kludged further to check for filladapt-mode
	which doesn't have that problem. This is really icky, but it's
	the only way that works with the current misfeatures/bugs in
	both adaptive-fill-mode and filladapt-mode.

	* cc-cmds.el (c-fill-paragraph): Made the way the paragraph
	around point is recognized more robust.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el, cc-engine.el, cc-lobotomy.el (c-state-cache)
	(c-in-literal-cache, c-auto-fill-prefix, c-lit-limits)
	(c-lit-type): Fixed all internal variables used dynamically so
	that they are always bound.

	* cc-cmds.el, cc-engine.el: Improved recovery of syntactic
	errors:

	(c-indent-region): Fixed reporting of syntactic errors so that
	the region is fully reindented even when an error occurs.
	The last syntactic error is printed afterwards.  Also cleanup up a
	whole lot of code that tried to optimize indentation of whole
	sexps but in reality accomplishes nothing.

	(c-indent-sexp): Use c-indent-region.

	(c-parsing-error): Changed this variable to hold the message
	for any syntactic error that is discovered.

	(c-parse-state): Search backward from point instead of the bod
	position when the latter is invalid.  This makes CC Mode
	recover faster when there are unbalanced close braces.

	(c-backward-to-start-of-if): Use c-parsing-error to report
	dangling "else" clauses instead of throwing an error, and fall
	back to a reasonable position.

	(c-indent-line): Added argument to avoid reporting syntactic errors.

	(c-show-syntactic-information): Don't report any syntactic errors.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-beginning-of-statement): Fixed bugs with
	paragraph recognition when moving by sentence in literals.

	* cc-langs.el (c-Java-javadoc-paragraph-start): Modified paragraph
	start regexp for javadoc to recognize javadoc markup in general instead
	of a specific set of keywords, to be more future-safe.

	(c-Pike-pikedoc-paragraph-start)
	(c-Pike-pikedoc-paragraph-separate): New regexps to recognize
	pikedoc markup.

	* cc-mode.el: Fixed initialization and use of c-current-comment-prefix.

	(pike-mode): Initialize paragraph settings pikedoc recognition.

	* cc-vars.el (c-default-style): Made a nicer Customize widget.

	(c-comment-prefix-regexp): Made it possible to use an
	association list on this to specify mode specific regexps.
	The default value now use a special regexp in Pike mode to
	recognize pikedoc markup.

	(c-current-comment-prefix): New variable containing the actual
	regexp from c-comment-prefix-regexp for the current buffer.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-electric-brace): Fixed check for special brace
	lists: We can't look at the syntax, since a brace list can get
	recognized as a plain statement-cont.

	* cc-engine.el (c-guess-basic-syntax): Fixed bug where a
	special brace list opener broken over two lines got recognized
	as a statement on the second line.  Case 9A changed.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-electric-brace): Fixed bug in c-state-cache
	adjustment after line is reindented.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-defs.el (c-point): Added optional argument for position
	to use instead of the current point.

	* cc-defs.el, cc-engine.el (c-add-class-syntax): Do not add
	the in-expression block symbols when the construct starts at
	boi, to avoid the extra level of indentation in that case.
	Cases 4, 16A and 17E affected.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el: Use `indent-according-to-mode' instead of direct
	calls to `c-indent-line', to adhere better to Emacs conventions.

	* cc-engine.el (c-indent-line): Use the syntax already bound
	to `c-syntactic-context', if there is any.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-engine.el (c-get-offset): Fixed bug where the indentation
	wasn't added up correctly when a lineup function returned nil.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-engine.el (c-collect-line-comments): Fixed bug where
	empty lines were ignored when collecting line comments backwards.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-align.el (c-lineup-dont-change): Return an absolute
	indentation column to work correctly in the case when several
	syntactic elements are processed for the same line.

	* cc-engine.el, cc-styles.el, cc-vars.el (c-evaluate-offset)
	(c-get-offset, c-indent-line, c-valid-offset, c-read-offset)
	(c-set-offset): Added absolute indentation column settings by
	using the vector type.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el, cc-vars.el (c-electric-paren, c-cleanup-list):
	Implemented two new cleanups `space-before-funcall' and
	`compact-empty-funcall'.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-defs.el (c-paren-re, c-identifier-re): Two new macros for
	helping building regexps.

	* cc-engine.el (c-on-identifier): New function for detecting
	identifiers.  It takes keywords into account.

	* cc-langs.el, cc-mode.el: Added regexps for complete keyword
	lists.  `c-keywords' is set to a regexp matching all keywords
	in the current language.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-engine.el (c-beginning-of-statement-1): Added '#' to the
	list of characters to skip backwards over at the beginning of
	a statement, since it can precede string literals in Pike.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-guess-fill-prefix): Fixed bug with prefix
	recognition when standing on the last line in a C++ comment
	with nothing but whitespace after the prefix.

	* cc-engine.el (c-backward-to-start-of-if): Fixed bug when
	given no limit argument.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-engine.el (c-inside-bracelist-p): Fixed brace list
	recognition for the `[]= operator symbol in Pike.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-bytecomp.el (cc-eval-when-compile): New macro that works
	around a bug in `eval-when-compile' in the byte compiler.

	* cc-engine.el (c-forward-token-1): Fixed bug with return
	value when count is zero and there's no token start within the limit.

	(c-guess-basic-syntax): Don't add 'comment-intro to lines with
	"prefix comments", i.e. comments which are followed by code on
	the same line.

	* cc-mode-19.el: Fixes so that checks that must be done at
	compile time also are done then.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-defs.el: Make sure cc-mode-19 is loaded both at compile
	time and at runtime, and only when it's needed.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	Major cleanup for less error prone and more warning free
	compilation, including some fixes for bugs due to different
	compilation orders. Thanks to Martin Buchholz for providing
	the basis for all this.

	* cc-bytecomp.el: New file that provides some byte compilation
	features: It ensures that files always are loaded from the
	current source directory during compilation, and it provides a
	set of macros to turn off specific compiler warnings for
	specific symbols.  (It's not CC Mode specific in any way.)

	Fixed a nearly acyclic dependency tree (both runtime and
	compile-time) between all files.

	* cc-defs.el: Separated all macros before the inline functions,
	to ensure correct compilation.

	* cc-defs.el, cc-engine.el: Moved c-beginning-of-macro to from
	cc-defs.el to cc-engine.el and made it a function instead.

	* cc-mode-19.el: Patch the byte compiler in Emacs 19 not to warn
	about char-after.

	* cc-vars.el: Cope even when there isn't a custom package
	containing defcustom available.

	* cc-make.el: Removed since it's no longer necessary.

	README: Updated installation instructions.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el, cc-langs.el, cc-mode.el: Moved around things to
	improve the modularity: Moved all mode init stuff from
	cc-langs.el to cc-mode.el, including the keymap
	initialization; cc-langs now only contains the various
	variables for configuring the language syntax.

	* cc-engine.el, cc-styles.el (c-evaluate-offset)
	(c-get-offset): Moved from cc-styles to cc-engine since file
	dependency analysis suggests they belong there (which also
	makes more sense).  Thanks to Martin Buchholz for doing the analysis.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-fn-region-is-active-p): New function that
	wraps the corresponding macro, for use in places that aren't
	compiled.  Thanks to Martin Buchholz for pointing out this.

	* cc-langs.el (c-mode-menu): Use c-fn-region-is-active-p.

	* cc-mode.el (c-prepare-bug-report-hooks): Hook variable to
	add things to the bug report.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-guess-fill-prefix): Fixed bug where the
	returned prefix could contain a newline when the search for a
	good prefix line failed.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-cmds.el (c-toggle-auto-state, c-toggle-hungry-state)
	(c-toggle-auto-hungry-state): Made the argument optional, as
	the documentation says it is.

2000-03-21  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* cc-engine.el (c-guess-basic-syntax): Don't treat the Pike
	multiline string syntax, #"...", as a cpp macro.

2001-03-21  Paul Eggert  <eggert@twinsun.com>

	* international/mule-cmds.el (set-locale-environment):
	Set system-messages-locale and system-time-locale, but only if the
	caller specifies a non-nil locale name.

2001-03-20  Gerd Moellmann  <gerd@gnu.org>

	* pcvs-util.el (cvs-bury-buffer): Bodiless `if' statements cause
	problems for the interpreter.  From: John Wiegley  <johnw@gnu.org>

2001-03-20  Gerd Moellmann  <gerd@gnu.org>

	* follow.el (follow-avoid-tail-recenter): Doc fix.

	* custom.el (custom-set-variables): Avoid reversing the list
	of args needlessly.

	* startup.el (fancy-splash-head): Don't change the colors of the
	XPM image on a dark background.

	* comint.el (comint-exec-1): Set columns of the terminal to
	window-width instead of frame-width.

	* info.el (Info-scroll-down): Add missing WINDOW arg for
	pos-visible-in-window-p.

	* ehelp.el (electric-help-mode-hook): Add defcustom.

	* mail/sendmail.el (mail-mode): Activate case-folding in
	font-lock-defaults.

2001-03-19  Stefan Monnier  <monnier@cs.yale.edu>

	* bindings.el (mode-line-mode-menu): `glasses-mode' might be unbound.
	(completion-ignored-extensions): Remove duplicate ".class".

2001-03-19  Andreas Schwab  <schwab@suse.de>

	* textmodes/reftex-dcr.el (reftex-view-crossref): Doc fix.
	From Roland Winkler <Roland.Winkler@physik.uni-erlangen.de>.

2001-03-19  Gerd Moellmann  <gerd@gnu.org>

	* language/european.el ("Latin-5", "Latin-4"): Use postfix input
	methods since there are not prefix input methods.

2001-03-19  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (read-input-method-name):
	Locally bind enable-recursive-minibuffers to t.

2001-03-18  Stefan Monnier  <monnier@cs.yale.edu>

	* emacs-lisp/lmenu.el (add-menu): Re-added (was erroneously removed).

2001-03-17  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-util.el: Copyright years.
	(ediff-choose-syntax-table): New function.
	(ediff-setup): Use ediff-choose-syntax-table.

	* ediff-init.el (ediff-with-syntax-table): New macro, uses
	with-syntax-table.

	* ediff.el: Date of last update, copyright years.

	* ediff-wind (ediff-setup-control-frame): Nill->nil.

	* viper-ex.el (ex-token-list,ex-cmd-execute): Revamped, courtesy
	of Scott Bronson.
	(ex-cmd-assoc,ex-cmd-one-letr): New functions.
	(viper-check-sub,viper-get-ex-command,viper-execute-ex-command):
	Deleted functions.
	(viper-get-ex-com-subr,viper-ex,ex-mark): Changed to use the new
	ex-token-list.

	* viper-util.el: Spaces, indentation.

	* viper.el: Changed version, modification time.

2001-03-16  John Wiegley  <johnw@gnu.org>

	* calendar/timeclock.el (timeclock-workday-remaining):
	Check whether `discrep' is non-null before using it.

2001-03-16  John Wiegley  <johnw@gnu.org>

	* calendar/timeclock.el (timeclock-reread-log): Fixed problem with
	first-time checkins.
	(timeclock-log-data): Fixed problem with reading timelog log file.
	Resulting data in the "day list" was incorrect.
	(timeclock-find-discrep): Check if `timeclock-file' is readable
	before opening it.
	(timeclock-time-less-p): New function.
	(timeclock-day-base): New function.
	(timeclock-geometric-mean): New function.
	(timeclock-generate-report): Generate a summary report based on
	the contents of the log file.  This uses `timeclock-log-data', and
	is an example of writing a timelog manipulation function.
	(timeclock-visit-timelog): A quick command for opening the timelog
	file.
	(timeclock-log-data): Bound the variable event.

2001-03-16  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (select-safe-coding-system):
	Fix typo: symbol-name -> symbol-value.

	* mail/rmail.el (rmail-insert-inbox-text): Call expand-file-name
	before substitute-in-file-name to handle double slashes in FILE
	correctly.

2001-03-15  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/ispell.el (ispell-dictionary-alist-6): Add support
	for Slovak.  From Pavel.Janik@suse.cz (Pavel Jan,Bm(Bk ml.).

2001-03-14  Gerd Moellmann  <gerd@gnu.org>

	* bindings.el (features): Add `md5' and `overlay' to the list.

	* scroll-bar.el (toplevel): Test if `x-toolkit-scroll-bars' is
	bound before using it.  It's not bound when configured without X,
	for instance.

2001-03-13  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/hideshow.el: Update copyright.
	(hs-minor-mode-map): Change bindings to use `C-c @' prefix.
	(hs-minor-mode-hook): Include `:version' in defcustom form.

2001-03-13  Gerd Moellmann  <gerd@gnu.org>

	* help.el (string-key-binding): Don't call event-start on
	a non-list.

2001-03-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* startup.el (fancy-splash-tail, command-line-1): Fix the
	copyright year.

2001-03-13  Kenichi Handa  <handa@etl.go.jp>

	* term.el: These changes are based on a patch sent from Yong Lu
	<lyongu@yahoo.com>.
	(term-set-escape-char): Bind M-x to execute-extended-command in
	term-raw-escape-map.
	(term-move-columns): Don't try to move to negagive column.
	(term-emulate-terminal): Insert a string before deleting a text to
	overwrite.

2001-03-12  Gerd Moellmann  <gerd@gnu.org>

	* play/life.el (life): Rearrange code so that all calls to
	life-display-generation are in a catch-form.

	* progmodes/etags.el (tags-loop-continue): Don't change point in a
	file that isn't interesting.  In an interesting file, push the old
	value of point on the mark ring.

	* mail/rmailsum.el (rmail-summary-override-mail-send-and-exit):
	New function.
	(rmail-summary-mail, rmail-summary-reply, rmail-summary-forward):
	Use it.

	* emacs-lisp/autoload.el (generate-file-autoloads):
	Remove warning about line lengths.

2001-03-12  Philippe Waroquiers  <wao@gull.tact.cfmu.eurocontrol.be>

	* progmodes/etags.el (tags-compression-info-list): New variable.
	(find-tag-in-order): Use it to deal with compressed source files.
	(tag-file-name-match-p): New function.
	(etags-recognize-tags-table): Use it for better match of file names.

2001-03-12  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (register-input-method): Doc fix.

	* international/quail.el (quail-translate-key): Fix condition to
	check if there's another breaking point in the current key.

2001-03-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/rmailout.el (rmail-output-to-rmail-file): When writing the
	Babyl header to the newly-created output file, bind
	coding-system-for-write to either rmail-file-coding-system or
	emacs-mule-unix.

2001-03-11  Stefan Monnier  <monnier@cs.yale.edu>

	* textmodes/texnfo-upd.el (texinfo-update-menu-lower-regexps):
	Fix the name and regexp used for subsubsections.

2001-03-10  Dave Love  <fx@gnu.org>

	* toolbar/tool-bar.el (tool-bar-setup): Don't suppress write-file
	and save-buffer if buffer-file-name non-nil.  From rms.

2001-03-10  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-do-command): If the destination buffer is already
	current, don't set it up and don't erase it.  Updated doc string
	to reflect that.
	(vc-version-diff): When doing a single file diff, don't switch to the
	*vc-diff* buffer before the command.  This is to preserve local
	variable bindings that might affect the diff command.
	(vc-print-log): Don't switch to the *vc* buffer before the
	command, so that local variable bindings are preserved.

	* vc-cvs.el, vc-rcs.el, vc-sccs.el (vc-*-print-log): Output to
	buffer *vc*, not the current buffer.
	(vc-*-diff): Output to buffer *vc-diff*, not the current buffer.

	* vc-cvs.el (vc-cvs-checkin): When removing the sticky tag,
	make output go to buffer *vc*, not the current buffer.

2001-03-09  Stefan Monnier  <monnier@cs.yale.edu>

	* hi-lock.el (hi-lock-line-face-buffer): Wrap the regexp in a group
	so ^, $, *, ? and + are interpreted correctly.

2001-03-09  Gerd Moellmann  <gerd@gnu.org>

	* help.el (string-key-binding): Renamed from
	mode-line-key-binding.  Handle any event on a string.
	Check for `keymap' properties as well as `local-map' properties.

	* comint.el (comint-insert-clicked-input): Use the last key
	from this-command-keys to lookup the global key definition.

2001-03-09  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el: Add category `j' for
	katakana-jisx0201.   Fix syntaxes of katakana-jisx0201.

	* international/mule-conf.el (no-conversion): Fix docstring.
	(raw-text): Fix docstring.

2001-03-08  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (choose-completion-string): When not leaving the
	minibuffer, raise the minibuffer frame when minibuffer-auto-raise
	is set.

	* window.el (shrink-window-if-larger-than-buffer): Handle frame
	parameter `(minibuffer . t)'.

2001-03-07  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/sh-script.el (sh-st-symbol): New symbol.
	(sh-font-lock-syntactic-keywords): Use it and fix bogus comment regexp.
	(sh-mode): Remove `make-local-variable' for unused var
	`font-lock-unfontify-region-function'.

2001-03-07  Richard M. Stallman  <rms@gnu.org>

	* info.el (Info-scroll-down): Fix previous change.

	* mail/rmail.el (rmail-toggle-header): Use a window which
	is showing the Rmail buffer, rather than the selected window.

2001-03-07  Dave Love  <fx@gnu.org>

	* imenu.el (imenu--create-keymap-2): Revert use of menu-item for
	now, to avoid problems with binding imenu directly to a mouse event.

2001-03-07  Gerd Moellmann  <gerd@gnu.org>

	* info.el (Info-scroll-down): Call pos-visible-in-window-p with
	second arg t.

2001-03-07  Stefan Monnier  <monnier@cs.yale.edu>

	* log-edit.el (log-edit-common-indent): New var.
	(log-edit-set-common-indentation): Renamed from
	log-edit-delete-common-indentation.  Use the new var.
	(log-edit-insert-changelog, log-edit-done-hook): Use the new name.

	* pcvs.el (cvs-ignore-marks-modif): Use `rassoc' rather than `member*'.
	(cvs-mode-add-change-log-entry-other-window):
	Don't presume change-log-default-name is defined.

	* pcvs-util.el (cvs-bury-buffer): In doubt, don't delete window.

	* pcvs-defs.el (cvs-buffer-name-alist): Use *cvs-info* for
	the "tree" operation as well.

	* pcvs-parse.el (cvs-parse-table): Add another ignored message.

	* textmodes/fill.el (fill-context-prefix): Allow first-line-prefix
	to match paragraph-start.

	* textmodes/sgml-mode.el (sgml-mode-common): Correct value of
	comment-start-skip and set comment-end-skip as well.
	(sgml-comment-indent): Fix for new value of comment-start-skip.
	(html-autoview-mode): Don't bother using make-local-hook.

2001-03-07  Gerd Moellmann  <gerd@gnu.org>

	* cus-edit.el (custom-save-delete): Move in front of local
	variables, otherwise long Custom entries would make them ineffective.

	* uniquify.el: Set maintainer to FSF.

2001-03-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* dired-aux.el (dired-do-shell-command): Doc fix.

2001-03-06  Stefan Monnier  <monnier@cs.yale.edu>

	* emulation/viper.el (viper-vi-state-mode-list): Add cperl-mode.

	* which-func.el (which-func-modes): Add cperl-mode.
	(which-func-mode-global): Use define-minor-mode.

	* info-look.el: Docstring fixes and dead code eliminated.
	(cperl-mode): Add support.
	(emacs-lisp-mode): List all entries from elisp manual, whether
	or not they are currently (f)bound or not.  Update regexp.

	* add-log.el (add-log-current-defun): Accept `cperl-mode' as well.

	* progmodes/cperl-mode.el (cperl-mode): Set major-mode to cperl-mode
	so that C-h m shows the correct information.
	Use make-local-variable rather than make-variable-buffer-local.
	(cperl-info-buffer, cperl-setup-tmp-buf):
	Use make-local-variable rather than make-variable-buffer-local.
	(cperl-msb-fix, cperl-get-help-defer):
	Check major-mode for `cperl-mode' as well.

	* progmodes/cperl-mode.el: Updated to author version 4.23.
	(cperl-electric-pod): SYNOPSIS was misspelled.
	(cperl-find-pods-heres): @if ? a : b was considered a REx.
	(cperl-after-expr-p): Make true after __END__.

2001-03-06  Gerd Moellmann  <gerd@gnu.org>

	* bookmark.el (bookmark-get-bookmark): Use assoc-ignore-case if
	bookmark-completion-ignore-case is t.

	* term/x-win.el (x-handle-xrm-switch): Accept more than one -xrm
	switch, like xterm, and concat resource strings, with a newline
	between them.

2001-03-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/codepage.el (cp770-decode-table)
	(cp773-decode-table, cp774-decode-table): New variables.

	* man.el (Man-hyphenated-reference-regexp): New variable.
	(Man-build-references-alist): Use it to search for referenced
	manpages.  If hyphenated is non-nil, record a concatenated word in
	Man-refpages-alist only if it matches Man-reference-regexp.
	Update word's length when it is concatenated.  Reverse the list,
	to get the first manpage at the head.
	(Man-possibly-hyphenated-word): New function.
	(Man-follow-manual-reference): Use it instead of current-word to
	find a manpage at point, in a way that accounts for hyphenated
	references.

2001-03-06  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-interbase): New function.
	(sql-interbase-program): New option.
	(sql-interbase-options): New option.
	And some typos fixed: "customise" to "customize".

2001-03-06  Dave Love  <fx@gnu.org>

	* textmodes/flyspell.el (flyspell-region):
	Set up flyspell-local-mouse-map.

2001-03-05  Richard M. Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-retry-failure):
	Don't call rmail-beginning-of-message.
	Don't discard From: field.  Do discard Received: field.
	Use unwind-protect to re-prune.
	(rmail-retry-ignored-headers): Discard X-Authentication-Warning field.

2001-03-06  Kenichi Handa  <handa@etl.go.jp>

	* international/quail.el (quail-title): Add autoload cookie.

2001-03-05  Dave Love  <fx@gnu.org>

	* emacs-lisp/cl.el (dotimes, dolist): Undef prior to autoloading
	new defs.

2001-03-05  Kenichi Handa  <handa@etl.go.jp>

	* language/ethio-util.el (ethio-toggle-space):
	Update current-input-method-title if necessary.
	(ethio-toggle-punctuation): Likewise.

	* international/quail.el (quail-title): Fix for the case that a
	title of an input method is specified by a list of the same form
	as used in mode-line-format.

	* international/mule-cmds.el (activate-input-method):
	If current-input-method-title is set by activating INPUT-METHOD,
	respect that value.

2001-03-05  Gerd Moellmann  <gerd@gnu.org>

	* play/dunnet.el (dun-mode): Set major-mode to `dun-mode'.

2001-03-05  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-sybase): Fix typo (was: query user about server two
	times instead of server and database).

	* sql.el (sql-sybase): Doc change.
	(sql-mysql): Doc change.
	(sql-postgres): Doc change.

2001-03-05  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-conf.el (emacs-mule, raw-text):
	Docstring modified.

2001-03-04  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/internal.el: Update copyright notice.

	* term/pc-win.el: Update copyright notice.

2001-03-02  Dave Love  <fx@gnu.org>

	* files.el (insert-file-contents-literally):
	Bind inhibit-file-name-handlers and inhibit-file-name-operation,
	not jka-compr-compression-info-list.

2001-03-02  Stefan Monnier  <monnier@cs.yale.edu>

	* newcomment.el (comment-normalize-vars): Use [ \t] for the trailing
	spaces in default comment-start-skip settings rather than \s-.

2001-03-02  Eli Zaretskii  <eliz@is.elta.co.il>

	* term/pc-win.el (msdos-handle-reverse-video): Look for reverse in
	default-frame-alist as well.

2001-03-01  Dave Love  <fx@gnu.org>

	* textmodes/reftex.el (defvar): Wrap some defvars in
	eval-when-compile.  From Markus Rost <rost@math.ohio-state.edu>.

	* subr.el (event-basic-type): Doc fix.

	* international/quail.el: Doc fixes.

	* international/utf-8.el: Doc fixes.

	* international/mule-cmds.el: Doc fixes.
	(leim-list-header): Fix header text.

	* international/mule.el (coding-system-category): Doc fix.

	* international/ccl.el (ccl-compile): Doc fix.

2001-03-01  Stefan Monnier  <monnier@cs.yale.edu>

	* font-lock.el (save-buffer-state): Use inhibit-modification-hooks
	rather than (before|after)-change-functions.

2001-03-01  Gerd Moellmann  <gerd@gnu.org>

	* ediff-util.el (ediff-scroll-horizontally): Arrange for
	scroll-left and scroll-right being called interactively so that
	they set the window's min_hscroll.

2001-03-01  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (info-insert-file-contents-1): Accept an additional
	argument `lfn': if it is non-nil, concatenate `filename' and
	`suffix'; otherwise use the complicated MS-DOS code.
	All callers changed.
	(info-insert-file-contents, Info-find-node): If the MS-DOS port
	can access long file names, try the long file-name version of
	`info-insert-file-contents-1', then the short file-name version.

2001-02-28  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* language/ethio-util.el (setup-ethiopic-environment-internal):
	Change bindings of functions keys to conform to "Emacs Lisp Coding
	Convention".

	* language/ethiopic.el ("Ethiopic"): Add documentation.

2001-02-28  Kenichi Handa  <handa@etl.go.jp>

	* international/utf-8.el (mule-utf-8): Set coding-category
	property to coding-category-utf-8.

2001-02-27  Richard M. Stallman  <rms@gnu.org>

	* lpr.el (lpr-page-header-switches, print-region-1):
	Undo 2000-07-06 change.
	(lpr-add-switches): Default to t on gnu/linux.

2001-02-27  Gerd Moellmann  <gerd@gnu.org>

	* bs.el (bs-attributes-list): Doc fix.

2001-02-26  Gerd Moellmann  <gerd@gnu.org>

	* help.el (describe-project): Display the file THE-GNU-PROJECT.

	* help.el (view-order-manuals): Use goto-address.

	* startup.el (command-line-1): Add info about ordering manuals
	to the not so fancy splash screens.

2001-02-26  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-default-workfile-unchanged-p)
	(vc-default-latest-on-branch-p): Add missing BACKEND argument.

2001-02-26  Gerd Moellmann  <gerd@gnu.org>

	* lazy-lock.el (lazy-lock-fontify-after-idle): Make sure to
	fontify in the right buffer.

	* allout.el (outline-flag-region): Move macro in front of first
	use to avoid a run-time error.

2001-02-24  Andrew Innes  <andrewi@gnu.org>

	* makefile.w32-in: Fix copyright notice.

2001-02-24  Kenichi Handa  <handa@etl.go.jp>

	* international/utf-8.el (mule-utf-8): Set correct value for
	valid-codes property.

	* international/fontset.el (x-complement-fontset-spec): In the
	case that we use ASCII font for the other charsets, use only
	family and registry part of it.

2001-02-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* window.el (fit-window-to-buffer, window-safely-shrinkable-p)
	(shrink-window-if-larger-than-buffer): Doc fix.

2001-02-23  Stefan Monnier  <monnier@cs.yale.edu>

	* hi-lock.el (hi-lock-unface-buffer): Use nil rather than t for
	predicate passed to completing-read.

2001-02-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* startup.el (command-line): Fix last change.

2001-02-23  Jason Rumney  <jasonr@gnu.org>

	* startup.el (tool-bar-originally-present): New variable.
	(command-line): Set it if the tool-bar is switched on at startup.

	* frame.el (frame-notice-user-settings): Only adjust frame height
	for no tool-bar case if tool-bar was originally switched on.
	From E. Jay Berkenbilt.

2001-02-22  Stefan Monnier  <monnier@cs.yale.edu>

	* server.el (server-switch-buffer): Only switch window if the
	current one is dedicated.

	* textmodes/fill.el (fill-region-as-paragraph): Skip spaces backward
	rather than using (match-beginning 0) when searching for break point.

2001-02-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* textmodes/texinfmt.el (texinfo-format-scan): Signal an error if
	@ follows an accent command such as @'.  Support optional braces
	in commands that insert accents, like makeinfo does.

2001-02-22  Gerd Moellmann  <gerd@gnu.org>

	* startup.el (fancy-splash-text): Add a line for ordering
	manuals.  Reverse order of splash screens shown.
	(use-fancy-splash-screens-p): Adapt to the text line added.

	* menu-bar.el (menu-bar-help-menu): Add an item for ordering
	manuals from the FSF.

	* help.el (view-order-manuals): New function.
	(toplevel): Bind C-h C-m to this function.

2001-02-21  Stefan Monnier  <monnier@cs.yale.edu>

	* newcomment.el (comment-forward): Skip the comment-start before
	searching for the comment-end.

2001-02-21  Dave Love  <fx@gnu.org>

	* custom.el (custom-initialize-changed, defcustom): Doc fix.

	* international/mule-cmds.el, international/mule.el: Doc fixes.

2001-02-21  Gerd Moellmann  <gerd@gnu.org>

	* startup.el (fancy-splash-screens): Use display-hourglass
	instead of display-busy-cursor.

	* frame.el (display-hourglass): Renamed from busy-cursor.
	(hourglass-delay): Renamed from busy-cursor-delay-seconds.
	(show-cursor-in-non-selected-windows): Doc fix.

2001-02-20  Dave Love  <fx@gnu.org>

	* international/utf-8.el: Doc and commentary fixes.

2001-02-20  Eli Zaretskii  <eliz@is.elta.co.il>

	* ehelp.el (with-electric-help): Doc fix.

2001-02-20  Gerd Moellmann  <gerd@gnu.org>

	* msb.el (msb-mode): Call the update-buffers function explicitly
	with a FORCE argument.

	* menu-bar.el (menu-bar-update-buffers): Add optional parameter
	FORCE.  If set, update the menu even if frame-or-buffer-changed-p
	returns nil.

2001-02-20  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Timestamp package replacement.  Some enhancements.
	Some XEmacs compatibility.  Doc fix.
	(ps-print-version): New version number (6.4).
	(ps-printer-name): Initialization fix.
	(ps-zebra-stripe-follow): Funcionality enhancement.
	(ps-prologue-file): Code enhancement.
	(ps-right-header): Timestamp package replacement.
	(ps-setup, ps-face-bold-p, ps-face-italic-p)
	(ps-get-page-dimensions)
	(ps-generate-header, ps-begin-file, ps-begin-job)
	(ps-generate-postscript-with-faces, ps-do-despool): Code fix.
	(ps-time-stamp-mon-dd-yyyy, ps-time-stamp-hh:mm:ss): New funs.
	(ps-zebra-stripe-full-p, ps-zebra-stripe-alist): New vars.
	(coding-system-for-write): Var declaration (XEmacs compatibility).

2001-02-20  Miles Bader  <miles@gnu.org>

	* image-file.el (image-file-name-extensions): Add "tif".

2001-02-19  Gerd Moellmann  <gerd@gnu.org>

	* wid-edit.el (widget-button-click): Save the selected window
	around the code handling clicks on buttons.

2001-02-18  Dave Love  <fx@gnu.org>

	* imenu.el (imenu--generic-function): Use mapc to iterate over
	syntax characters.

2001-02-17  Richard M. Stallman  <rms@gnu.org>

	* progmodes/fortran.el (fortran-strip-sqeuence-nos): Doc fix.

	* uniquify.el (uniquify-buffer-name-style): Doc fix.

2001-02-16  Gerd Moellmann  <gerd@gnu.org>

	* mouse.el (mouse-save-then-kill): If the distance from the new
	point to the mark is equal to the distance of point from the new
	point, move point instead of the mark.

2001-02-16  Dave Love  <fx@gnu.org>

	* textmodes/flyspell.el (flyspell-get-word): Return string without
	properties.

2001-02-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* generic.el (generic-find-file-regexp): Doc fix.
	(generic-ignore-files-regexp): New defcustom.
	(generic-mode-find-file-hook): If the file's name matches the
	regexp in `generic-ignore-files-regexp', don't enter
	default-generic-mode.  Doc fix.

2001-02-16  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/flyspell.el (flyspell-region, flyspell-buffer):
	Add autoload cookies.

	* calendar/cal-tex.el (cal-tex-weekly4-box): Respect setting
	of cal-tex-24.

2001-02-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (kill-region, kill-line, kill-ring-save): Doc fix.

	* progmodes/compile.el (grep-regexp-alist): Remove the blank from
	the character class after the (optional) drive, to support file
	names with embedded blanks.

2001-02-15  Sam Steingold  <sds@gnu.org>

	* textmodes/tex-mode.el (tex-shell-running):
	Check the process buffer too.

2001-02-15  Dave Love  <fx@gnu.org>

	* battery.el (battery-status-function): Fix doc, :type.

	* calendar/timeclock.el (timeclock-get-workday-function): Fix :type.

2001-02-15  Gerd Moellmann  <gerd@gnu.org>

	* subr.el (read-passwd): Clear Lisp memory holding password.

2001-02-15  Miles Bader  <miles@gnu.org>

	* info.el (Info-copy-current-node-name): New function.
	(Info-mode-menu): Add it to the menu.

2001-02-14  Richard M. Stallman  <rms@theobromine.ai.mit.edu>

	* international/mule-cmds.el (toggle-input-method): Doc fix.

2001-02-13  Stefan Monnier  <monnier@cs.yale.edu>

	* replace.el (occur): Stop at end of buffer.

2001-02-13  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/mule-cmds.el (set-input-method): Another doc fix.

2001-02-13  David M. Koppelman  <koppel@ee.lsu.edu>

	* hi-lock.el (hi-lock-find-patterns): Don't activate font-lock-mode.

2001-02-13  Miles Bader  <miles@gnu.org>

	* faces.el (set-face-background, set-face-foreground)
	(set-face-stipple): Treat a value of nil as being `unspecified'.

2001-02-12  Dave Love  <d.love@dl.ac.uk>

	* international/latin1-disp.el:  Doc fixes.
	(latin1-display) <defgroup>: Add :link.
	(latin1-display) <function>: Set variable latin1-display.

2001-02-12  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/mule-cmds.el (set-input-method): Doc fix.

2001-02-12  Eric M. Ludlam  <zappo@choochoo.ultranet.com>

	* speedbar.el (speedbar-frame-parameters): No toolbar lines.
	(speedbar-line-file): Return nil if not a file.
	(speedbar-buffers-line-path): Return file for tags, and dir for files.

2001-02-12  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-diff.el (ediff-make-diff2-buffer): Removed bogus checks
	for remote files.
	(ediff-coding-system-for-read): Replaced the no-conversion default
	with raw-text.

	* ediff-init.el: Removed :version from defcustom vars.

	* ediff-util.el (ediff-compute-custom-diffs-maybe):
	Better handling of the diff mode.

	* ediff.texi: Added ediff-coding-system-for-read.

	* viper.texi: Fix typos.

2001-02-11  Dave Love  <fx@gnu.org>

	* shadowfile.el: Doc fixes.
	(shadow) <defgroup>: Add :link.
	(shadowfile-unload-hook): New function.
	(shadow-initialize): Use defalias, not fset.
	(shadow-define-cluster, shadow-define-literal-group)
	(shadow-define-regexp-group, shadow-initialize): Add autoload cookie.

	* international/mule.el: Doc and message fixes.

	* international/ccl.el (define-ccl-program): Doc fix.

2001-02-11  Kenichi Handa  <handa@etl.go.jp>

	* faces.el (mode-line): Set :line-width property to -1.

2001-02-10  Richard M. Stallman  <rms@gnu.org>

	* complete.el (partial-completion-mode): Doc fix.

	* simple.el (delete-key-deletes-forward-mode):
	Change `let' to `let*' to fix gross bug in last change.

	* repeat.el (repeat): Don't let execute-kbd-macro alter
	real-last-command.

2001-02-10  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (eval-expression): Doc fix.

2001-02-09  Dave Love  <fx@gnu.org>

	* imenu.el (imenu-generic-expression): Doc fix.

	* emacs-lisp/re-builder.el (reb-mode): Quote the hook name.
	From Juanma Barranquero <lektu@terra.es>.

	* emacs-lisp/authors.el (authors): Expand `root' before running find.

2001-02-09  Kenichi Handa  <handa@etl.go.jp>

	* faces.el (set-face-attribute): Describe the case of a negative
	value specified for :line-width.

2001-02-08  Stefan Monnier  <monnier@cs.yale.edu>

	* which-func.el (which-func-mode): Invert which-func-mode-global.
	From Juanma Barranquero <lektu@terra.es>.

2001-02-08  Dave Love  <fx@gnu.org>

	* wid-edit.el (widget-plist-convert-widget): Replace binding of
	widget-plist-value-type.
	(widget-alist-convert-widget): Replace binding of
	widget-alist-value-type.

	* textmodes/paragraphs.el (sentence-end): Doc fix.

	* eshell/em-rebind.el (eshell-cannot-leave-input-list):
	Remove `backward-line'.

	* play/pong.el (pong-blank-color, pong-bat-color)
	(pong-ball-color, pong-border-color, pong-left-key)
	(pong-right-key, pong-up-key, pong-down-key, pong-quit-key)
	(pong-pause-key, pong-resume-key, pong-timer-delay):
	* mail/mh-comp.el (mh-compose-letter-function):
	* eshell/esh-mode.el (eshell-skip-prompt-function):
	* emulation/viper-ex.el (ex-unix-type-shell-options):
	* recentf.el (recentf-menu-filter):
	* ps-print.el (ps-print-region-function):
	* lpr.el (print-region-function):
	* forms.el (forms-mode-hooks):
	* dirtrack.el (dirtrack-directory-change-hook):
	* cus-start.el (temp-buffer-show-function, display-buffer-function):
	* textmodes/spell.el (spell-filter):
	* textmodes/fill.el (adaptive-fill-function):
	* textmodes/bibtex.el (bibtex-autokey-before-presentation-function):
	* progmodes/etags.el (find-tag-default-function):
	* progmodes/dcl-mode.el (dcl-calc-command-indent-function):
	* progmodes/ada-mode.el (ada-popup-key): Fix :type.

2001-02-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* emulation/viper-init.el (viper-fast-keyseq-timeout)
	(viper-translate-all-ESC-keysequences): Doc fix.  From Jim
	Meyering <jim@meyering.net>.

	* loadup.el: Revert last change.

2001-02-07  Kenichi Handa  <handa@etl.go.jp>

	* international/mule.el (transform-make-coding-system-args):
	Make it work also for coding systems not using CCL.

2001-02-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (previous-matching-history-element)
	(next-matching-history-element): Doc fix.

	* loadup.el: Load ccl before utf-8; don't load ccl in the ms-dos
	specific part.

2001-02-06  Dave Love  <fx@gnu.org>

	* add-log.el (add-log-current-defun-function)
	(add-log-buffer-file-name-function, add-log-file-name-function):
	Fix :type.
	(change-log-mode) <font-lock-defaults>: Set SYNTAX-BEGIN.

2001-02-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (info-initialize): Remove the test for system-type when
	invocation-directory is non-nil.

	* progmodes/make-mode.el (makefile-mode): Set SYNTAX-BEGIN member
	of `font-lock-defaults' to `backward-paragraph' rather than nil.

2001-02-06  Andrew Innes  <andrewi@gnu.org>

	* makefile.w32-in (EMACS): Use $(THISDIR) to make emacs.exe path
	absolute.

2001-02-06  David M. Koppelman  <koppel@ee.lsu.edu>

	* hi-lock.el (hi-lock-mode): Toggling hi-lock-mode now affects all
	buffers.  When hi-lock turned on rather than only checking current
	buffer for regexps, all buffers are checked. Moved activation of
	font-lock to hi-lock-refontify. When font-lock turned off rather
	than removing added highlighting just in current buffer, remove it
	in all buffers.  Changed edit menu text from "Automatic
	Highlighting" to "Regexp Highlighting" Documentation for
	highlighting phrases, minor documentation changes.
	(hi-lock-set-file-patterns): Execute only if there are new or
	existing file patterns.
	(hi-lock-refontify): Assume font-lock-fontify-buffer will first
	unfontify and, if a support mode is active, will not refontify the
	whole buffer.  If necessary, turn on font lock. (Removed
	font-lock-unfontify and font-lock support-mode-specific calls,
	such as lazy-lock-fontify-window.)
	(hi-lock-find-patterns): Do not turn on hi-lock-mode even if
	patterns are found. Not useful now since find-file-hook is removed
	if hi-lock is off, but may be needed for per-buffer hi-lock activation.
	(hi-lock-face-phrase-buffer): New function.  Also added related
	menu item and keybinding.
	(highlight-phrase): New alias, to hi-lock-face-phrase-buffer.
	(hi-lock-process-phrase): New function.
	(hi-lock-line-face-buffer): Doc fixes.
	(hi-lock-face-buffer): Doc fixes.
	(hi-lock-unface-buffer): Doc fixes.

2001-02-06  Gerd Moellmann  <gerd@gnu.org>

	* dabbrev.el (dabbrev-ignored-buffer-regexps): Renamed from
	dabbrev-ignored-regexps.

2001-02-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (kill-line): Doc fix.

2001-02-05  Dave Love  <fx@gnu.org>

	* loadup.el: Revert last two changes -- bootstrapping works with
	regenerated loaddefs.

2001-02-05  Eli Zaretskii  <eliz@is.elta.co.il>

	* isearch.el (isearch-forward): Doc fix.

	* textmodes/nroff-mode.el (nroff-mode): Set the SYNTAX-BEGIN part
	of font-lock-defaults to backward-paragraph.

2001-02-05  Gerd Moellmann  <gerd@gnu.org>

	* mail/rmail.el (rmail-ignored-headers): Add X-Trace,
	X-Complaints-To, NNTP-Posting-Date, and User-Agent.

2001-02-05  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ebnf2ps.el: Eliminate time-stamp functions.
	(ebnf-version): New version (3.5).
	(ebnf-eps-finish-and-write): Replace time-stamp functions by
	format-time-string.

2001-02-05  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (next-line): Goto end-of-line before inserting a newline.

2001-02-05  Miles Bader  <miles@gnu.org>

	* image-file.el (insert-image-file): When visiting an image, also
	set `truncate-lines' to t so that any fringe arrow looks correct.

2001-02-05  Kenichi Handa  <handa@etl.go.jp>

	* isearch.el (isearch-forward): Add description about input method
	in the docsting.

2001-02-04  Stefan Monnier  <monnier@cs.yale.edu>

	* skeleton.el (skeleton-internal-1): Always push the mark for @.

2001-02-02  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (info-initialize): If installation-directory is nil, for
	DOS/Windows systems try looking in a sibling of invocation-directory.

2001-02-02  Gerd Moellmann  <gerd@gnu.org>

	* wid-edit.el (widget-button-click): Fix last change.

	* frame.el (frame-notice-user-settings): When resizing the initial
	frame because the tool bar is off, also change the frame's top
	position if a negative top position was specified.

2001-02-02  Miles Bader  <miles@gnu.org>

	* image-file.el (insert-image-file): When visiting an image,
	suppress the cursor in the image buffer.

2001-02-01  Dave Love  <fx@gnu.org>

	* progmodes/f90.el (f90-mode): Remove startup message.

	* vc-cvs.el: Remove autoloads.  Require vc when compiling.

2001-02-01  Gerd Moellmann  <gerd@gnu.org>

	* startup.el (command-line): Fix code determining whether or not
	to use delete-key-deletes-forward-mode.

2001-02-01  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-diff-switches): New user option.
	(vc-version-diff): Use it.
	(vc-diff-switches-list): New macro.

	* vc-{rcs,cvs,sccs}.el: (vc-BACKEND-diff-switches):
	New customization options.
	(vc-BACKEND-diff): Use new options via vc-diff-switches-list.

	* vc-sccs.el (vc-sccs-workfile-unchanged-p): Return correct status.

2001-02-01  Gerd Moellmann  <gerd@gnu.org>

	* msb.el (toplevel): Quote hook symbols.

2001-02-01  Kenichi Handa  <handa@etl.go.jp>

	* international/mule.el (make-coding-system): Add description
	about recognized properties in the docstring.

	* international/mule-conf.el: Remove unused charsets
	mac-roman-lower and mac-roman-upper.

2001-01-31  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/fill.el (set-fill-prefix): Cancel fill prefix if point
	is in front of the left-margin, if any.

	* simple.el (delete-key-deletes-forward-mode): Treat `kp-delete'
	like `delete'.

	* bindings.el: Define `kp-delete' like `delete' in function-key-map.

	* term/w32-win.el (mouse-set-font): Doc fix.

2001-01-31  Stefan Monnier  <monnier@cs.yale.edu>

	* hi-lock.el (hi-lock-mode, hi-lock-line-face-buffer): Doc fix.
	(hi-lock-find-patterns): Turn on font-lock-mode, if it is not
	on already.

2001-01-31  Markus Rost  <rost@math.ohio-state.edu>

	* files.el (save-buffer): Don't give message if (buffer-file-name)
	returns nil.

2001-01-31  Eli Zaretskii  <eliz@is.elta.co.il>

	* toolbar/tool-bar.el (tool-bar-add-item): Doc fix.

	* emacs-lisp/re-builder.el (reb-update-modestring): Don't use
	concat for integers.  From Juanma Barranquero <lektu@terra.es>.

	* term/w32-win.el (redisplay-dont-pause): Set to t to alleviate
	display problems.

2001-01-31  Kenichi Handa  <handa@etl.go.jp>

	* international/mule.el (charset-info): Fix docstring.

	* international/mule-diag.el (describe-character-set): Check final
	char valid before printing it.

2001-01-30  Gerd Moellmann  <gerd@gnu.org>

	* lpr.el (lpr-windows-system, lpr-lp-system): Add autoload cookies.

	* frame.el (frame-notice-user-settings): Do the tool-bar
	stuff only for graphical displays.  Fix a braino.

	* frame.el (frame-initialize): Create initial frame visible.
	(frame-notice-user-settings): When tool-bar has been switched off,
	correct the frame size and sync tool-bar-mode.

	* startup.el (command-line): Remove manipulation of frame
	height for tool bars.

2001-01-30  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* lpr.el: Compatibility with XEmacs and doc fixes.
	(lpr-windows-system, lpr-lp-system): New vars.
	(lpr-printer-switch): New defcustom.
	(printer-name, lpr-command): Customization fix.
	(print-region-1): Code fix.
	(print-region-new-buffer, printify-region): Indentation fix.
	(lpr-eval-switch, lpr-flatten-list, lpr-flatten-list-1):
	New functions.

2001-01-29  Gerd Moellmann  <gerd@gnu.org>

	* msb.el (toplevel): Fix the eval-after-load.

2001-01-29  Dave Love  <fx@gnu.org>

	* eshell/esh-ext.el (eshell-windows-shell-file): Fix :type.

	* eshell/em-ls.el (eshell-ls-exclude-regexp): Fix :type.

	* progmodes/tcl.el (outline, dabbrev, add-log): Require when compiling.
	(tcl-using-emacs-19-23): Consider Emacs 21+.
	(tcl-help-directory-list, tcl-command-switches): Fix :type.
	(tcl-add-emacs-menu): Supply menu name.
	(tcl-beginning-of-defun, tcl-end-of-defun): Defalias, don't fset.

2001-01-29  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (delete-trailing-whitespace): Don't delete formfeeds.

2001-01-29  Stefan Monnier  <monnier@cs.yale.edu>

	* pcvs.el (cvs-mark-fis-dead): New function.
	(cvs-mode-add): Use it.
	(cvs-mode-add-change-log-entry-other-window):
	Rebind change-log-default-name to itself rather than to nil.

2001-01-29  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el: Replaced (require 'vc) with a bunch of
	`autoload' statements.

2001-01-29  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.el (confirm-kill-emacs): Doc fix.

	* frame.el (frame-initialize): Doc fix.

	* time-stamp.el (time-stamp-string): Doc fix.

	* woman.el (WoMan-log-1): Make the log buffer writable.
	From Markus Rost <rost@math.ohio-state.edu>.

2001-01-29  Gerd Moellmann  <gerd@gnu.org>

	* imenu.el (imenu-syntax-alist): Add autoload cookie for
	the `make-variable-buffer-local'.

2001-01-29  Dave Love  <fx@gnu.org>

	* ansi-color.el (ansi-color-for-comint-mode): Add :version.
	(ansi-color-for-comint-mode-on, ansi-color-process-output):
	Add autoload cookie.
	(ansi-color-apply-sequence): Fix typo.

2001-01-29  Gerd Moellmann  <gerd@gnu.org>

	* menu-bar.el (menu-bar-files-menu): Add menu items for
	Postscript printing in black and white.

	* mail/rmail.el (rmail-ignored-headers): Add X-Sign, X-BeenThere,
	X-Mailman-Version, Precedence, List-Help, List-Post,
	List-Subscribe, List-Id, List-Unsubscribe, List-Archive,
	Content-Type, Content-Length.

2001-01-29  Dave Love  <fx@gnu.org>

	* elide-head.el (elide-head): Make overlay evaporate.

	* international/mule-conf.el (chinese-big5-1, chinese-big5-2): Doc fix.

2001-01-28  Eli Zaretskii  <eliz@is.elta.co.il>

	* isearch.el (isearch-highlight): Don't punt if the display
	doesn't support colors, since isearch faces are defined for
	monochrome displays as well.

2001-01-27  Sam Steingold  <sds@gnu.org>

	* shell.el (shell-write-history-on-exit): Make sure that we are in
	the shell buffer (M-x tex-file RET inserted the error message into
	the TeX	buffer).

2001-01-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* simple.el (transient-mark-mode): Doc fix.

2001-01-27  Gerd Moellmann  <gerd@gnu.org>

	* progmodes/etags.el (find-tag-noselect): Don't bind tags-file-name.

2001-01-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* shell.el (shell-unquote-argument): If the shell is one of the
	mentioned in shell-dumb-shell-regexp, don't treat a backslash as a
	quote character.
	(shell-dumb-shell-regexp): Document that the shells which match
	this regexp are supposed to not treat a backslash as a quote character.

	* emacs-lisp/lisp-mode.el (lisp-mode-shared-map): Undo the change
	from 2001-01-12.  It is not needed, since backspace is mapped into DEL.

2001-01-27  Richard M. Stallman  <rms@gnu.org>

	* dabbrev.el (dabbrev--substitute-expansion):
	Treat a one-capital-letter abbrev as "not all upper case",
	so as to force preservation of the expansion's pattern
	if the expansion starts with a capital letter.

2001-01-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* facemenu.el (facemenu-set-face, facemenu-set-face-from-menu):
	Doc fix.

	* simple.el (transient-mark-mode): Document the fact that many
	commands act on the region when mark is active.

2001-01-27  Kenichi Handa  <handa@etl.go.jp>

	* international/quail.el (quail-setup-completion-buf): Make the
	multibyteness of current buffer inherited to Quail completion buffer.
	(quail-show-guidance-buf): Make the multibyteness of current
	buffer inherited to Quail guidance buffer.
	(quail-help): Make the multibyteness of current buffer inherited
	to Quail help buffer.

2001-01-26  Dave Love  <fx@gnu.org>

	* time-stamp.el: Doc fixes.

	* progmodes/delphi.el (delphi-comment-face, delphi-string-face)
	(delphi-keyword-face, delphi-other-face): Fix :type.

	* textmodes/flyspell.el: Doc fixes.  Add :version to new options.

	* mail/feedmail.el (feedmail): Add :link.
	(feedmail-send-it): Doc fix.

	* mail/sendmail.el: Doc fixes.
	(sendmail-send-it): Fix the non-ASCII regexp and use
	rfc2047-encode-string.

	* dired.el, dired-aux.el: Revert last change.

2001-01-26  Gerd Moellmann  <gerd@gnu.org>

	* makefile.w32-in (DONTCOMPILE): Add various term files.

2001-01-26  Dave Love  <fx@gnu.org>

	* Makefile.in (DONTCOMPILE): Add various term files.

2001-01-26  Gerd Moellmann  <gerd@gnu.org>

	* man.el (Man-default-man-entry, Man-mode): Doc fix.

	* startup.el (display-startup-echo-area-message): Make sure
	the echo area is resized to fit the size of the startup message.

	* gud.el (gud-perldb-massage-args): Avoid nreverse'ing a list
	part of which is a constant.

2001-01-26  Eli Zaretskii  <eliz@is.elta.co.il>

	* loadup.el (Top-level) [ms-dos]: Don't load international/ccl twice.

2001-01-26  Richard M. Stallman  <rms@gnu.org>

	* simple.el (next-line): Don't let `newline' expand abbrevs.
	Simplify slightly.
	(open-line): Don't let `newline' expand abbrevs.

2001-01-25  John Wiegley  <johnw@gnu.org>

	* eshell/esh-util.el (eshell-ange-ls-uids): Changed use of `alist'
	to `repeat' in the :type field.

	* pcomplete.el (pcomplete-file-ignore): Changed a :type field to
	allow a choice of regexp or nil.
	(pcomplete-dir-ignore): Same.

	* eshell/em-unix.el (eshell/occur): Fixed bug causing `occur' (as
	a command) to always fail.

2001-01-25  Gerd Moellmann  <gerd@gnu.org>

	* iswitchb.el (iswitchb-make-buflist): When nconc'ing lists, don't
	discard the result.
	(iswitchb-to-end): Likewise.

2001-01-25  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-mode-line-string): Doc & comment fix.
	Require vc.

2001-01-25  Stefan Monnier  <monnier@cs.yale.edu>

	* smerge-mode.el (smerge-font-lock-keywords): Relax submatch 1.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Docstring fix.

2001-01-25  Dave Love  <fx@gnu.org>

	* lisp/international/mule-diag.el (describe-char-after): Doc fix.
	(describe-coding-system): Tweak the English text.

	* loadup.el: Preload international/ccl for utf-8.

2001-01-25  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/rmail.el (rmail-redecode-body): Doc fix.

2001-01-25  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (reset-language-environment):
	Reset coding-category-utf-8 to mule-utf-8.

	* international/mule-conf.el (coding-category-utf-8):
	Initialize to mule-utf-8.

	* loadup.el: Preload international/utf-8.

	* international/utf-8.el: New file.

2001-01-24  Stefan Monnier  <monnier@cs.yale.edu>

	* diff-mode.el (diff-mode): Disable preliminary support for `compile'.

2001-01-24  Sam Steingold  <sds@gnu.org>

	* dired.el (dired-replace-in-string): Removed.
	(dired-sort-toggle): Use `replace-regexps-in-string'
	instead of `dired-replace-in-string'.

	* dired-aux.el (dired-shell-stuff-it, dired-rename-subdir)
	(dired-rename-subdir-2, dired-insert-subdir-doinsert): Ditto.

	* gs.el (gs-replace-in-string): Removed.
	(gs-options): Use `replace-regexps-in-string'
	instead of `gs-replace-in-string'.

2001-01-24  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/emacsbug.el (report-emacs-bug): Mention the fact that the
	bug report is mailed to an email list and posted to a news group.

2001-01-24  Gerd Moellmann  <gerd@gnu.org>

	* comint.el (comint-replace-by-expanded-history-before-point):
	Fix change of 2000-08-03 to move point to the start of the line again.

	* startup.el (tool-bar-images-pixel-height): New variable.
	(command-line): After loading the user's init file, when
	tool-bar-mode is on, increase the frame's size by some lines for
	the tool-bar.

	* frame.el (frame-initialize): Create the initial frame invisible.

2001-01-24  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* language/chinese.el (chinese-iso-8bit): MIME:GB2312.
	(chinese-big5): MIME:Big5.

2001-01-24  Gerd Moellmann  <gerd@gnu.org>

	* international/mule-cmds.el (universal-coding-system-argument):
	Handle commands with prefix args.

2001-01-24  Edward M. Reingold  <reingold@emr.cs.uiuc.edu>

	* calendar/diary-lib.el (diary-float): Fix case of MONTH
	being a list of numbers.
	(diary-mail-entries): Rewritten.

2001-01-23  Dave Love  <fx@gnu.org>

	* international/mule.el (make-coding-system): Fix typo.

	* textmodes/outline.el (outline-mode) <font-lock-defaults>:
	Add backward-paragraph as font-lock-beginning-of-syntax-function.

2001-01-23  Eli Zaretskii  <eliz@is.elta.co.il>

	* font-lock.el (font-lock-mode): Doc fix.

2001-01-23  Kenichi Handa  <handa@etl.go.jp>

	* international/mule.el (make-translation-table): Fix docstring.

2001-01-22  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/rmail.el (rmail-redecode-body): New function.

	* icomplete.el (icomplete-minibuffer-setup-hook): Doc fix.

2001-01-22  Gerd Moellmann  <gerd@gnu.org>

	* isearch.el (isearch-lazy-highlight-case-fold-search)
	(isearch-lazy-highlight-regexp): New variables.
	(isearch-lazy-highlight-cleanup): Update lazy highlight if
	case-fold search or regexp search has been toggled.

	* wid-edit.el (widget-button-click): Avoid a save-excursion
	around running a global binding.

	* isearch.el (isearch-lazy-highlight-initial-delay): Set default
	to 0.25.

2001-01-20  Miles Bader  <miles@gnu.org>

	* cus-edit.el (custom-face-save): Do post-processing on the face's
	new value like `custom-face-set' does.

2001-01-19  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/emacsbug.el (report-emacs-bug): Report the value of
	LC_CTYPE, not LC_TYPE.

	* isearch.el (isearch-forward): Add isearch-toggle-case-fold,
	isearch-toggle-regexp and isearch-edit-string to doc string.

2001-01-19  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/texinfo.el (texinfo-mode): Use backward-paragraph
	as font-lock-beginning-of-syntax-function in font-lock-defaults.

	* jit-lock.el (jit-lock-fontify-now): Don't bind
	font-lock-beginning-of-syntax-function to nil.

2001-01-19  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/emacsbug.el (report-emacs-bug): Report values of
	locale-coding-system, default-enable-multibyte-characters, and the
	environment variables LC_ALL, LC_TYPE, and LANG.

2001-01-19  Gerd Moellmann  <gerd@gnu.org>

	* font-lock.el (font-lock-default-fontify-region): Fix last change.

	* font-lock.el (font-lock-multiline): Default to nil.
	(font-lock-default-fontify-region): If font-lock-multiline is
	nil, don't check the property `font-lock-multiline'.

	* jit-lock.el (jit-lock-after-change): If font-lock-multiline
	is nil, don't check the `font-lock-multiline' text property.

2001-01-19  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper.el: Call initial-major-mode on startup.

	* ediff.el (ediff-patch-file): Use better defaults.

	* ediff-vers.el: Fix for 8+3 DOS file systems.

2001-01-19  Colin Walters  <walters@cis.ohio-state.edu>

	* ediff-util.el (ediff-compare-custom-diffs-maybe): Put diff in
	diff mode, if available.

2001-01-19  Michael Kifer  <kifer@cs.sunysb.edu>

	* ediff-hook.el (ediff-xemacs-init-menus): Fixed add-menu-button.

	* ediff-init.el (subst-char-in-string): Define and use it, unless
	it's already defined.

2001-01-18  Gerd Moellmann  <gerd@gnu.org>

	* tooltip.el (tooltip-hide-delay): New user-option.
	(tooltip-show): Use tooltip-hide-delay instead of the default.

2001-01-18  Kenichi Handa  <handa@etl.go.jp>

	* mail/sendmail.el (mail-setup): Call set-buffer-multibyte because
	kill-local-variable doesn't work for enable-multibyte-characters.

2001-01-17  Dave Love  <fx@gnu.org>

	* ediff-init.el (ediff-before-setup-hook)
	(ediff-merge-filename-prefix): Add :version.

	* international/latin1-disp.el: Require disp-table.
	(latin1-display): Fix :set.

	* net/eudc-vars.el (eudc-server, eudc-protocol): Fix :type.

2001-01-17  Gerd Moellmann  <gerd@gnu.org>

	* isearch.el (isearch-lazy-highlight-initial-delay)
	(isearch-lazy-highlight-interval): Default to 0.

2001-01-17  Bob Glickstein  <bobg@zanshin.com>

	* isearch.el (isearch-highlight): Set isearch-overlay priority to
	1 here rather than each time through
	isearch-lazy-highlight-new-loop.
	(isearch-lazy-highlight-max): Variable deleted.
	(isearch-lazy-highlight-max-at-a-time): New user variable, like
	isearch-lazy-highlight-max but controls a single invocation of
	isearch-lazy-highlight-update.
	(isearch-lazy-highlight-wrapped): Variable recreated.
	(isearch-lazy-highlight-window-start): New variable.
	(isearch-lazy-highlight-cleanup): Restored to behavior of
	before 2-Jan.
	(isearch-lazy-highlight-remove-overlays): Function deleted;
	behavior folded into isearch-lazy-highlight-cleanup.  "Keep"
	behavior removed.
	(isearch-lazy-highlight-new-loop): Restore old behavior of calling
	isearch-lazy-highlight-update in a loop rather than just once.
	Test isearch-invalid-regexp here and decide not to start a new
	loop, rather than testing it each time through
	isearch-lazy-highlight-update.
	(isearch-lazy-highlight-search): Function restored.
	(isearch-lazy-highlight-update): Get called in a timer loop again,
	but this time highlight more than one match each time through.
	Only highlight matches in the visible part of the window.
	Start at point, move in the direction of the search, and wrap around at
	the edge of the window.  Use sit-for to force redisplay and ensure
	window-start is credible.  "Face suppressing" behavior removed;
	overlay priorities should make it unnecessary, right?
	(isearch-highlight): Face suppressing behavior removed.
	(isearch-dehighlight): Face suppressing behavior removed.
	(isearch-set-lazy-highlight-faces-at): Removed.

2001-01-17  Kenichi Handa  <handa@etl.go.jp>

	* language/european.el ("Latin-1"): Make the format of description
	about additional language environments same as that of Latin-2.

2001-01-16  Dave Love  <fx@gnu.org>

	* isearch.el (isearch-lazy-highlight): Add :version.

	* simple.el (backward-delete-char-untabify-method)
	(next-line-add-newlines): Add :version.

2001-01-16  Gerd Moellmann  <gerd@gnu.org>

	* bindings.el: Bind <backspace> and <delete> via function-key-map.
	Don't bind <delete> otherwise.

	* simple.el (delete-key-deletes-forward-mode): Bind <backspace>
	and <delete> via function-key-map.

	* textmodes/flyspell.el (mail-mode-flyspell-verify): Check in
	Subject line only if point is after the `Subject:'.

2001-01-16  Kenichi Handa  <handa@etl.go.jp>

	* language/japanese.el ("Japanese"): Add japanese-jisx0213-1 and
	japanese-jisx0213-2 in `charset' property of this lang. env.

	* language/european.el ("Latin-1"): Add description for Dutch and
	Spanish lang. env.

	* international/mule.el (decode-char): Fix conditions.
	(encode-char): Handle eight-bit-control too.
	(transform-make-coding-system-args): New function.
	(make-coding-system): Accept XEmacs style arguments for CCL base
	coding system.

2001-01-15  Gerd Moellmann  <gerd@gnu.org>

	* progmodes/etags.el (find-tag-noselect): Save the value of
	tags-file-name before switching buffers, for the case it has a
	buffer-local value.

2001-01-15  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-colors) <defgroup>: Fix :version.
	From Dave Love <fx@gnu.org>.
	(ansi-color-for-comint-mode): Fix :version.

2001-01-15  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-unfontify-region): Doc change.

2001-01-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* dired.el (dired-insert-directory): If file-system-info fails,
	remove the " free " part, but don't signal an error.

2001-01-12  Sam Steingold  <sds@gnu.org>

	* bookmark.el (bookmark-maybe-historicize-string):
	Use new backquote syntax.

2001-01-12  Richard M. Stallman  <rms@gnu.org>

	* subr.el (last): Handle a list that doesn't end in nil.

2001-01-12  Sam Steingold  <sds@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-mode-shared-map): Bind `backspace'
	to `backward-delete-char-untabify'.

2001-01-12  Dave Love  <fx@gnu.org>

	* cus-edit.el (customize-menu-create): Fix the :filter following
	easymenu change.

	* wid-edit.el (function): Add :match-alternatives.
	(widget-color-action): Doc fix.

2001-01-12  Gerd Moellmann  <gerd@gnu.org>

	* calendar/calendar.el (calendar-basic-setup): Doc fix.

2001-01-12  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (prefer-coding-system): Fix docstring.

	* international/ccl.el (define-ccl-program): Fix docstring.

2001-01-11  Dave Love  <fx@gnu.org>

	* international/mule-cmds.el (standard-display-european-internal):
	Set display table for 2208 as for 160.

	* progmodes/ada-mode.el (ada-popup-key): Fix last change.

	* progmodes/fortran.el (fortran-mode-map): Modify Customization
	entry for custom-menu-create change.
	(fortran-strip-sqeuence-nos): Make arg optional.  Fix regexp and
	don't cons it in the search loop.

	* imenu.el (imenu--truncate-items): Revert last change.

2001-01-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-setup-header-line): If the node header includes
	either Next: or Prev: links, don't show the File: and Node: parts
	in the header line.

2001-01-11  Gerd Moellmann  <gerd@gnu.org>

	* comint.el (comint-goto-process-mark): Don't print a message
	when running in batch mode.

	* isearch.el (isearch-search): In the condition-case handler for
	`error', set isearch-invalid-regexp to the whole error message.

	* subr.el (eval-after-load): Call load-symbol-file-load-history to
	ensure that eval-after-load works for files dumped with Emacs.

	* help.el (load-symbol-file-load-history): New function extracted
	from function symbol-file.
	(symbol-file): Use it.

	* toolbar/save.xpm, toolbar/undo.xpm: Use the same colors as exit.xpm.

2001-01-11  Eli Zaretskii  <eliz@is.elta.co.il>

	* progmodes/etags.el (find-tag-interactive): If last-tag is nil,
	behave as if there were no prefix argument.
	(find-tag-noselect): If last-tag is nil, behave as if the NEXT-P
	argument were nil.

2001-01-11  Richard M. Stallman  <rms@gnu.org>

	* isearch.el (isearch-lazy-highlight-update):
	Don't look for more potential matches once maximum is exceeded.
	Use overlays-in to check correctly for overlap with current match.
	Ignore empty matches.

2001-01-11  Miles Bader  <miles@gnu.org>

	* textmodes/ispell.el (ispell-adjusted-window-height): New function.
	(ispell-overlay-window, ispell-help, ispell-show-choices)
	(ispell-command-loop): Use it instead of `window-height'.

2001-01-10  Gerd Moellmann  <gerd@gnu.org>

	* files.el (confirm-kill-emacs): New user-option.
	(save-buffers-kill-emacs): Ask for final confirmation before
	killing Emacs.

	* isearch.el (isearch-done): Set isearch-lazy-highlight-start
	to nil.

2001-01-10  Dave Love  <fx@gnu.org>

	* progmodes/etags.el (tags-apropos-additional-actions): Fix :type.

	* progmodes/sh-script.el (sh-imenu-generic-expression): Fix doc, :type.

	* hi-lock.el (hi-lock-exclude-modes): Fix :type.

	* calculator.el (calculator-number-digits): Fix :type.

	* vc-cvs.el (vc-cvs-header): Fix :type.
	* vc-rcs.el (vc-rcs-header): Fix :type.
	* vc-sccs.el (vc-sccs-header): Fix :type.

	* progmodes/ada-mode.el (ada-popup-key): Fix :type.

	* ansi-color.el (ansi-colors) <defgroup>: Fix :version.

	* eshell/esh-util.el (eshell-ange-ls-uids): Fix :type.

2001-01-10  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (set-variable): Force a thorough redisplay for the
	case that the variable has an effect on the display, like
	`tab-width' has.

2001-01-10  Andre Spiegel  <spiegel@gnu.org>

	* vc.el: Add documentation for backend interface.

2001-01-10  Kenichi Handa  <handa@etl.go.jp>

	* font-lock.el (c-font-lock-extra-types): Add "Lisp_Object".

	* international/mule-conf.el (latin-extra-code-table): Set to t
	for \223 and \224.

2001-01-09  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (locale-language-names): Map "es" to
	"Spanish" and "nl" to "Dutch".

2001-01-09  Gerd Moellmann  <gerd@gnu.org>

	* bindings.el (global-map): Bind <home> to beginning-of-line,
	<end> to end-of-line, C-<home> to beginning-of-buffer, and
	C-<end> to end-of-buffer.

	* language/european.el: Add Dutch and Spanish language info
	to be able to use the appropriate tutorials.

2001-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-process-output): Use markers instead
	of positions for start and end of region.
	(ansi-color-apply-on-region): Rewrote code to make it more robust.
	Previously, occasional mistakes happend when fontifying many
	chunks of output (eg. ls --color=yes /dev).  This happened
	whenever an overlay was created up to the end of the region, which
	coincided with the process-mark.  New text would then be added
	within that overlay instead of after it.
	(ansi-color-make-extent): Overlays are created with the property
	`modification-hooks' set to '(ansi-color-freeze-overlay).
	(ansi-color-freeze-overlay): New function.  When inserting text at
	the end of the overlay, the overlay will resize.

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-process-output): Doc change.
	(ansi-color-unfontify-region): Doc change.  No longer installed
	automatically in font-lock-unfontify-region-function.
	(ansi-color-apply): Doc change.
	(ansi-color-apply-on-region): Use extents or overlays instead of
	text-properties.
	(ansi-color-make-extent): New function.
	(ansi-color-set-extent-face): New function.

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-process): Removed, Emacs and XEmacs
	both use ansi-color-process-output, now.
	(ansi-color-process-output): Doesn't return string anymore.  It is
	installed in comint-output-filter-functions for both Emacs and
	XEmacs, now.
	(ansi-color-unfontify-region): Simplified code removing variables
	pos and start-ansi.
	(ansi-color-apply): Put text-property ansi-color before putting
	text-property face because ansi-color-unfontify-region is called
	immediately after the call to put-text-property.
	(ansi-color-context-region): Doc change.
	(ansi-color-filter-region): Simplified code.
	(ansi-color-apply-on-region): Changed start to start-marker, using
	a marker explicitly.  Put text-property ansi-color before putting
	text-property face because ansi-color-unfontify-region is called
	immediately after the call to put-text-property.

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-faces-vector): Doc change.
	(ansi-color-for-comint-mode): Changed :type property to choice.
	(ansi-color-last-context): Removed.
	(ansi-color-process-output): Don't use ansi-color-last-context, as
	the main functions will store their context now.
	(ansi-color-context): Doc change.
	(ansi-color-filter-apply): Rewrote it based on ansi-color-apply.
	Uses ansi-color-context such that repeated calls will strip
	partial escape sequences, too.
	(ansi-color-apply): Simplified code.  Colorize end of string if
	face is not null.  Store context in new (FACE STRING) format, such
	that repeated calls will strip partial escape sequences, too.
	Append faces to face property using ansi-color-apply-sequence such
	that cumulative mode actually works.
	(ansi-color-context-region): New variable.
	(ansi-color-filter-region): Rewrote it based on
	ansi-color-apply-on-region.  Uses ansi-color-context-region such
	that repeated calls will strip partial escape sequences, too.
	(ansi-color-apply-on-region): Simplified code.  Colorize end of
	region if face is not null.  Store context in new (FACE POS)
	format, such that repeated calls will strip partial escape
	sequences, too.  Append faces to face property using
	ansi-color-apply-sequence such that cumulative mode actually works.
	(ansi-color-apply-sequence): New function.
	(ansi-color-get-face): When the default face is added to the list
	of faces, all previous settings are discarded and the list of
	faces is set to '(default).

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-faces-vector): Use nil for the default
	face, such that ansi-color-apply and ansi-color-apply-on-region
	will do the right thing.
	(ansi-color-apply): Do the right thing, ie. if ansi-color-get-face
	returns nil, set the list of faces back to nil instead of
	appending the result of ansi-color-get-face to the front of the list.

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-for-comint-mode): Doc change.
	(ansi-color-process): Doc change.
	(ansi-color-last-context): New buffer-local variable.
	(ansi-color-process-output): New function.  It is automatically
	added to comint-output-filter-functions if this is XEmacs.
	(ansi-color-unfontify-region): New optional parameter for XEmacs
	compatibility.  Check wether font-lock-syntactic-keywords is
	boundp before removing the syntax table text property, as XEmacs
	doesn't have it.
	(ansi-color-filter-region): Doc change.
	(ansi-color-apply-on-region): Doc change.
	(ansi-color-make-face): New function.  Compatibility layer for
	XEmacs.  Return temporary faces instead of cons cells for XEmacs.
	(ansi-color-make-color-map): Use ansi-color-make-face.
	(ansi-color-get-face): Avoid face text property '(nil) as results
	in an errow for XEmacs.

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-unfontify-region): New function.
	Uses text-property ansi-color in order to preserve fontification by
	ansi-color.  When the package is loaded, a lambda expression is
	put onto font-lock-mode-hook.  This lambda expression will check
	font-lock-unfontify-region-function and replace
	font-lock-default-unfontify-region with ansi-color-unfontify-region.
	(ansi-color-apply): Add text-property ansi-color in addition to
	text-property face.
	(ansi-color-apply-on-region): Add text-property ansi-color in
	addition to text-property face.
	(save-buffer-state): Copy of the macro that is also used by
	lazy-lock and font-lock.

	(ansi-color-for-comint-mode): New option.
	(ansi-color-for-comint-mode-on): Set ansi-color-for-comint-mode.
	(ansi-color-for-comint-mode-off): Ditto.
	(ansi-color-for-comint-mode-filter): Ditto.
	(ansi-color-process): New function.  Uses ansi-color-for-comint-mode to
	decide what to do.  This function is added to
	comint-preoutput-filter-functions when the package is loaded.

	(ansi-color-for-shell-mode-set): Removed.
	(ansi-color-for-shell-mode): Removed.

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-for-shell-mode-set): New function with
	the lambda expression from the ansi-color-for-shell-mode :set
	property.  Additionally, modify shell-mode-hook to enable or
	disable font-lock-mode for future shell buffers.
	(ansi-color-for-shell-mode): The :set property calls
	ansi-color-for-shell-mode-set instead of a lambda expression.

2000-01-09  Alex Schroeder  <alex@gnu.org>

	* ansi-color.el (ansi-color-for-shell-mode): Doc change.
	(ansi-color-context): New variable.
	(ansi-color-apply): Save context between calls.

2001-01-09  Eli Zaretskii  <eliz@is.elta.co.il>

	* isearch.el (isearch, isearch-lazy-highlight-face):
	New definitions for face colors and attributes.

	* wid-edit.el (widget-choose): Call display-popup-menus-p instead
	of display-mouse-p.

2001-01-09  Kenichi Handa  <handa@etl.go.jp>

	* international/mule.el (make-coding-system): If the coding system
	accepts extra latin codes, register such codes as safe for the
	coding system.

2001-01-08  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-log-1): In non-batch case,
	don't mention the file name or the date here, because they are
	logged at the start of the file.

2001-01-08  Richard M. Stallman  <rms@gnu.org>

	* mouse-drag.el (mouse-drag-should-do-col-scrolling):
	Change screen-width to frame-width.

2001-01-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-search): Print the default as part of the prompt.

2001-01-08  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-default-latest-on-branch-p): New function, replaces
	constant implementations in backends.

	* vc-cvs.el (vc-cvs-latest-on-branch-p): Removed.
	(vc-cvs-checkout): Renamed arg WRITABLE to EDITABLE.

	* vc-rcs.el (vc-rcs-checkout, vc-rcs-cancel-version): Renamed arg
	WRITABLE to EDITABLE.

	* vc-sccs.el (vc-sccs-latest-on-branch-p): Removed.
	(vc-sccs-checkout, vc-sccs-cancel-version): Renamed arg WRITABLE
	to EDITABLE.

2001-01-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* emacs-lisp/copyright.el (copyright-current-year): Now a defvar.
	(copyright, copyright-update): Compute the current year at run time.

2001-01-08  Gerd Moellmann  <gerd@gnu.org>

	* isearch.el (isearch-old-signal-hook): Removed.
	(isearch-mode): Add isearch-done to kbd-macro-termination-hook
	instead of setting signal-hook-function.
	(isearch-done): Remove isearch-done from kbd-macro-termination-hook.

2001-01-08  Kevin Gallagher  <kevingal@onramp.net>

	* emulation/edt.el: Update to version 4.0.  Provide support for
	EDT scroll margins at top and bottom of the window.  Provide an
	emulation of the EDT SUBS command (bound to GOLD-Enter, by
	default).  Enhance edt-quit, bound to GOLD-q by default, to warn
	user when file-related buffer modifications exist.
	Provide support for running EDT Emulation in XEmacs.
	Provide customize access to some user updatable variables.
	Add Commentary section to file header.
	Fixed a few minor bugs and cleaned up some code.

	* emulation/edt-mapper.el: Update to version 4.0.  Provide support
	for detecting a keypress that generates an ASCII key sequence.
	(Previously, only a keypress that generates a vector was
	recognized.)  Embed Window Manager name into name of the generated
	EDT Emulation initialization file since the initialization file is
	Window Manager specific.  Add Commentary section to file header.

2001-01-07  Eli Zaretskii  <eliz@is.elta.co.il>

	* mail/sendmail.el (mail-mode): Doc fix.

	* info.el (Info-goto-emacs-command-node): Doc fix.
	(Info-goto-emacs-key-command-node): Doc fix.

2001-01-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* ediff-vers.el (noninteractive): Don't load generic-sc on MS-DOS
	systems without long file-name support.

2001-01-06  Andrew Innes  <andrewi@gnu.org>

	* makefile.w32-in (custom-deps): Set EMACSLOADPATH explicitly.

2001-01-06  Eli Zaretskii  <eliz@is.elta.co.il>

	* isearch.el (isearch-lazy-highlight-remove-overlays): Doc fix.
	(isearch-lazy-highlight-update): Doc fix.

	* ffap.el (ffap-bindings): Doc fix.

	* dired-x.el (dired-virtual-guess-dir): Doc fix.

2001-01-05  Dave Love  <fx@gnu.org>

	* emacs-lisp/cl-seq.el (remove, remq): Remove.

2001-01-05  Gerd Moellmann  <gerd@gnu.org>

	* mouse-drag.el (mouse-drag-safe-scroll):
	Bind scroll-preserve-screen-position to nil.

	* isearch.el (isearch-old-signal-hook): New variable.
	(isearch-mode): Set signal-hook-function to isearch-done.
	(isearch-done): Restore old signal-hook-function.

	* info.el (Info-fontify-node): Mark one more char as intangible.

2000-01-05  Kenichi Handa  <handa@etl.go.jp>

	* composite.el (compose-last-chars): New argument COMPONENTS.
	If it is non-nil, compose preceding characters by compose-region with
	COMPONENTS.

	* international/quail.el (quail-input-string-to-events): New function.
	(quail-input-method): Convert input string to events here.
	(quail-start-translation): Return input string, not event list.
	(quail-start-conversion): Likewise.

2001-01-04  Gerd Moellmann  <gerd@gnu.org>

	* tooltip.el (tooltip-cancel-delayed-tip)
	(tooltip-start-delayed-tip): Renamed from tooltip-disable-timeout
	and tooltip-add-timeout.
	(tooltip-show): Set border color from faces's foreground.
	(tooltip-show-help-function): If called with the same help string
	as last time, do nothing.
	(tooltip-help-tips): Don't set tooltip-help-message to nil.

	* startup.el (fancy-splash-screens): Don't bind show-help-function
	to nil.

	* tooltip.el (tooltip-frame-parameters): Remove colors.
	(tooltip): New face
	(tooltip-set-param): New function.
	(tooltip-show): Set up color frame parameters from face `tooltip'.
	Display the tooltip text in face `tooltip'.

2001-01-04  Dave Love  <fx@gnu.org>

	* whitespace.el (whitespace-global-mode): Fix typo.

	* hilit19.el, mail/rnewspost.el, mail/rnews.el: Moved to obsolete.

2001-01-04  Eli Zaretskii  <eliz@is.elta.co.il>

	* help.el (help-for-help): Fix a typo in a doc string.
	From kwzh@gnu.org (Karl Heuer).

2001-01-03  Dave Love  <fx@gnu.org>

	* dired-x.el: Doc fixes.  Maintainer change.
	(dired-guess-shell-gnutar, dired-guess-shell-znew-switches): Fix :type.
	(dired-guess-shell-alist-default): Don't use xloadimage for PNG.
	(dired-guess-shell-alist-user): Customize.
	(dired-x-help-address): Set to bug-gnu-emacs.
	(dired-x-maintainer, dired-x-file, dired-x-version): Deleted.
	(dired-default-directory): Renamed from default-directory.

	* hl-line.el (hl-line): Doc fix.

2001-01-03  Karl Fogel  <kfogel@red-bean.com>

	* mail/mail-hist.el (mail-hist-text-too-long-p): Doc fix.

2001-01-02  Richard M. Stallman  <rms@gnu.org>

	* isearch.el (isearch-lazy-highlight-cleanup): Arg now says
	to remove all the current alternative-match highlighting.
	If nil, remove only what's outside the current window.
	(isearch-lazy-highlight-remove-overlays): Take optional
	region within which NOT to remove them.
	(isearch-lazy-highlight-new-loop): Greatly simplified.
	(isearch-lazy-highlight-update): Find all the other occurrences
	visible in the window, in just one call.
	(isearch-lazy-highlight-start): Now holds start of region to scan.
	(isearch-lazy-highlight-end): Now holds end of region to scan.
	(isearch-lazy-highlight-wrapped): Variable deleted.
	(isearch-lazy-highlight-search): Function deleted.

2000-01-02  Andrew Innes  <andrewi@gnu.org>

	* w32-fns.el (convert-standard-filename): Do length check on name
	before aref.

2001-01-02  Dave Love  <fx@gnu.org>

	* progmodes/cperl-mode.el (cperl-invalid-face): Don't double-quote
	value.
	(cperl-init-faces): Allow cperl-invalid-face to be a normal face.

	* ls-lisp.el (ls-lisp) <defgroup>: Add :version.

	* net/browse-url.el (browse-url-filename-alist): Avoid backquote
	read syntax.

	* calendar/todo-mode.el (todo): Add :link, :version.
	(todo-save-top-priorities): Remove autoload cookie.
	(todo-add-category, todo-add-item-non-interactively)
	(todo-insert-item, todo-mode, todo-cp, todo-show): Fix autoload cookie.

2001-01-02  Gerd Moellmann  <gerd@gnu.org>

	* comint.el (comint-input-history-ignore): New variable.
	(comint-read-input-ring): Ignore entries matching
	comint-input-history-ignore.

2001-01-02  Eric M. Ludlam  <zappo@gnu.org>

	* emacs-lisp/lisp-mnt.el (lm-copyright-prefix): New Variable.
	(lm-copyright-mark): New function.
	(lm-crack-copyright): New function.
	(lm-verify): Check that the file has a copyright.
	Check that the file is copyright Free Software Foundation.

2000-12-30  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-diag.el (print-fontset): Indent font name by
	24 columns, not 25.

2000-12-29  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/flyspell.el (mail-mode-flyspell-verify): Spell-check
	in Subject line.

	* mail/mailabbrev.el (mail-abbrevs-enable, mail-abbrevs-disable):
	Use mail-mode-hook instead of mail-setup-hook.
	Otherwise continuing an interrupted message with C-u C-x m for
	instance, winds up in Mail mode without abbrevs.

2000-12-29  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ps-print.el: Handle form feed better when ps-zebra-stripe-follow is
	non-nil.  Adding almost all customization variables on ps-setup.
	Doc fix.
	(ps-print-version): New version number (6.3.3).
	(ps-end-with-control-d): Initialization fix.
	(ps-lines-printed): New var.
	(ps-skip-newline): New fun.
	(ps-setup, ps-prologue-file, ps-begin-job, ps-begin-page)
	(ps-next-line, ps-continue-line, ps-plot-region)
	(ps-generate-postscript-with-faces, ps-end-job): Code fix.

2000-12-29  Kenichi Handa  <handa@etl.go.jp>

	* international/fontset.el (x-complement-fontset-spec):
	Resolve ASCII font name so that the same family name is used for fonts
	registered in x-font-name-charset-alist.
	(create-fontset-from-fontset-spec): Adjusted for the above change.
	The name of fontset alias should be a unresolved ASCII font name.

2000-12-28  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (delete-key-deletes-forward-mode): Bind backspace
	and delete in isearch-mode-map.

2000-12-28  Richard M. Stallman  <rms@gnu.org>

	* dired-x.el (dired-guess-shell-alist-default):
	Use xpdf instead of acroread.

2000-12-28  Kenichi Handa  <handa@etl.go.jp>

	* textmodes/artist.el (artist-butlast): Deleted.
	(artist-ellipse-mirror-quadrant): Use butlast instead of
	artist-butlast.

	* subr.el (butlast, nbutlast): Moved from cl.el to here.

	* emacs-lisp/cl.el (butlast, nbutlast): Moved to subr.el.

2000-12-27  Eli Zaretskii  <eliz@is.elta.co.il>

	From Francis J. Wright <F.J.Wright@maths.qmw.ac.uk>:

	* ls-lisp.el: Better support for the Mac and MS-Windows.
	(ls-lisp): New defgroup.
	(ls-lisp-emulation, ls-lisp-ignore-case, ls-lisp-dirs-first)
	(ls-lisp-verbosity, ls-lisp-use-insert-directory-program)
	(ls-lisp-support-shell-wildcards): New defcustoms.
	(ls-lisp-parse-symlink): New function.
	(insert-directory): Code to convert switches to a list and set up
	the wildcard argument copied from ls-lisp-insert-directory.
	(ls-lisp-insert-directory): New argument TIME-INDEX.  Add support
	for -C and -R switches.
	(ls-lisp-column-format): New function.
	(ls-lisp-delete-matching, ls-lisp-handle-switches)
	(ls-lisp-format-time): Add doc strings.
	(ls-lisp-handle-switches): Handle -U, -S, -X, and -F switches.
	Support ls-lisp-dirs-first.
	(ls-lisp-classify, ls-lisp-extension): New functions.
	(ls-lisp-format): Optionally support emulation of symlinks.
	Support -i, -s, and -G switches.

2000-12-27  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/texinfo.el (texinfo-mode): Set fill-column to 70.

	* version.el (emacs-version): Print X scroll bar information.

	* scroll-bar.el (toplevel): Check for x-toolkit-scroll-bars
	instead of x-toolkit-scroll-bars-p.

	* loadup.el (toplevel): Check for x-toolkit-scroll-bars instead
	of x-toolkit-scroll-bars-p.

2000-12-27  Eli Zaretskii  <eliz@is.elta.co.il>

	* ffap.el (ffap-bindings): Make interactive and add an autoload cookie.
	(ffap-bindings): Doc fix, to reflect the above change.

2000-12-27  Kenichi Handa  <handa@etl.go.jp>

	* term.el (term-char-mode): Define all non-ascii self-inserting
	characters to 'term-send-raw in term-raw-map.

2000-12-25  Michael Kifer  <kifer@cs.sunysb.edu>

	* viper-init.el (viper-restore-cursor-type): Added condition-case guard.

	* ediff-init.el (ediff-quit-hook,ediff-suspend-hook):
	Changed initialization; use add-hook.
	(ediff-file-remote-p): Use file-local-copy.

	* ediff-ptch.el (ediff-prompt-for-patch-buffer): Improved defaults.

	* ediff.el (ediff-patch-buffer): Bug fix.
	(ediff-revision): Allow selection of the file at the prompt.

2000-12-23  Stefan Monnier  <monnier@cs.yale.edu>

	* subr.el (combine-run-hooks): Remove.

	* emacs-lisp/edebug.el (define-minor-mode): Improve the spec
	and remove the rogue second spec.

2000-12-23  Gerd Moellmann  <gerd@gnu.org>

	* progmodes/compile.el (compilation-forget-errors): Fix indentation.

2000-12-22  Stefan Monnier  <monnier@cs.yale.edu>

	* smerge-mode.el (smerge-basic-map): Use `=' rather than `d'.
	Use minibuffer menu prompt for the `=' prefix.
	(smerge-command-prefix): Change default to C-^.
	(smerge-mode): Don't assume font-lock doesn't move point.

	* skeleton.el (skeleton-internal-1): Make sure the first line of
	the region is also re-indented.
	(skeleton-end-newline): New var.
	(skeleton-end-hook): Use it.

2000-12-22  Markus Rost  <markus.rost@mathematik.uni-regensburg.de>

	* comint.el (comint-password-prompt-regexp): Support CVS.

2000-12-22  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (delete-key-deletes-forward-mode): Simplify.
	Also backspace key combinations, depending on
	delete-key-deletes-forward.

	* bindings.el ([C-backspace]): Bind C-backspace to kill-word.

	* simple.el (delete-key-deletes-forward): Doc fix.

2000-08-22  Emmanuel Briot  <briot@gnat.com>

	* xml.el (top level comment): Updated to reflect the fact that
	white spaces are relevant in the XML file.
	(xml-parse-file): Do not kill an existing Emacs buffer if the file
	to parse was already edited. This allows for on-the-fly analysis
	of XML files.
	(xml-parse-tag): Check that the casing is the same in the start
	tag and end tag, since XML is case-sensitive.  Allows for spaces
	in the end tag, after the name of the tag.
	(xml-parse-attlist): Allow for the character '-' in the name of
	attributes, as in the standard http-equiv attribute Do not save
	the properties in the XML tree, since they are not relevant.

2000-12-21  Stefan Monnier  <monnier@cs.yale.edu>

	* generic.el (generic-read-type): Undo last change, inline into
	`generic-mode' and then remove.
	(generic-mode): Inline generic-read-type.
	(define-generic-mode): Push the symbol name rather than the symbol
	onto generic-mode-list.

2000-12-21  Gerd Moellmann  <gerd@gnu.org>

	* generic.el (generic-read-type): Build an alist for
	completing-read as in 20.7.

	* play/landmark.el (lm): Use interactive spec `P'.
	(toplevel): Don't set debug-on-error.

	* server.el (server-switch-buffer): Choose a window on a visible frame.

2000-12-21  Dave Pearson  <davep@davep.org>

	* quickurl.el: Commentry change, I've moved my web site.

2000-12-21  Vinicius Jose Latorre  <vinicius@cpqd.com.br>

	* ebnf2ps.el: Fix a problem with skip-chars-forward: it doesn't accept
	ranges like \177-\237, but accepts the character sequence from \177 to
	\237.  Doc fix.
	(ebnf-version): New version (3.4).
	(ebnf-setup): Code fix.
	(ebnf-range-regexp): New fun.
	(ebnf-8-bit-chars): Const fix.

	* ebnf-bnf.el: Fix the same problem as described on ebnf2ps.el log
	entry.  Doc fix.
	(ebnf-bnf-lex): Code fix.
	(ebnf-bnf-comment-chars): Const fix.

	* ebnf-iso.el: Fix the same problem as described on ebnf2ps.el log
	entry.  Doc fix.
	(ebnf-iso-comment-chars): Const fix.

	* ebnf-otz.el: Doc fix.

	* ebnf-yac.el: Fix the same problem as described on ebnf2ps.el log
	entry.  Doc fix.
	(ebnf-yac-skip-code): Code fix.
	(ebnf-yac-comment-chars): Const fix.

2000-12-21  Eli Zaretskii  <eliz@is.elta.co.il>

	* files.el (insert-directory-safely): New function.
	(recover-file): Use it instead of insert-directory.
	From Markus Rost <markus.rost@mathematik.uni-regensburg.de>

2000-12-21  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-cmds.el (select-safe-coding-system):
	Check coding-category-list more rigidly.  Improve help message.

	* dired.el (dired-move-to-filename-regexp): Fix previous change.

2000-12-21  Miles Bader  <miles@gnu.org>

	* mail/sendmail.el (mail-mode): Set `comment-start' to the yank prefix.

2000-12-21  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-diag.el (describe-char-after): Make *Help*
	buffer inherit multibyteness of the current buffer.

	* international/mule.el (make-char): Docstring adjusted for the
	change of make-char-internal.

2000-12-20  Stefan Monnier  <monnier@cs.yale.edu>

	* international/iso-cvt.el: Docstrings fix.

2000-12-20  Dave Love  <fx@gnu.org>

	* subr.el (eval-after-load): Doc fix.

2000-12-20  Kenichi Handa  <handa@etl.go.jp>

	* jka-compr.el (jka-compr-partial-uncompress): Don't use `concat'
	for numbers.

2000-12-20  Miles Bader  <miles@gnu.org>

	* international/quail.el (quail-help): Resize the help window
	again after it has all its contents.  Remove unneeded progn.

2000-12-19  Gerd Moellmann  <gerd@gnu.org>

	* pcmpl-linux.el: Fix copy/paste error.

2000-12-19  Andrew Innes  <andrewi@gnu.org>

	* simple.el (delete-key-deletes-forward-mode): Fix typo in docstring.

2000-12-19  Carsten Dominik  <dominik@strw.leidenuniv.nl>

	* progmodes/idlw-rinfo.el: Fixed copyright notice.

	* progmodes/idlw-toolbar.el: Fixed copyright notice.

	* progmodes/idlw-shell.el: Fixed copyright notice.

	* progmodes/idlwave.el: Fixed copyright notice.

	* textmodes/reftex-dcr.el (reftex-view-crossref): Added SPACE and
	TAB as key separators.

2000-12-19  Alex Schroeder  <alex@gnu.org>

	* sql.el (sql-sybase-options): New option.
	(sql-sybase): Use it.  Add sql-database to the list of parameters
	provided for login.  The options -w 2048 -n are not used any more.
	(sql-postgres-options): Changed default from "--pset" to "-P".
	(sql-mysql-options): Doc change.
	(sql-stop): Doc change.

2000-12-19  Kenichi Handa  <handa@etl.go.jp>

	* international/quail.el (quail-input-method): Always hide
	the guidance buffer on exiting.

2000-12-18  Gerd Moellmann  <gerd@gnu.org>

	* tooltip.el (tooltip-mode): Signal an error if x-show-tip
	isn't fboundp.

	* server.el (server-buffer-done): Bury the buffer before
	killing it.

	* faces.el (face-spec-set): Interpret a nil in specs for
	foreground and background colors as `unspecified', for
	compatibility with 20.x.

2000-12-18  Dave Love  <fx@gnu.org>

	* simple.el (mail-user-agent): Doc fix.
	(input-mode-8-bit): Removed.

	* international/mule.el (set-keyboard-coding-system): Doc fix.
	(keyboard-coding-system): New option.

	* mail/sendmail.el (send-mail-function): Customize.

2000-12-18  Eli Zaretskii  <eliz@is.elta.co.il>

	* international/codepage.el (cp866-decode-table): New table.

2000-12-18  Gerd Moellmann  <gerd@gnu.org>

	* version.el (emacs-version): Remove `%a' from the time format
	because the weekday doesn't fit well into each locale.

2000-12-18  Miles Bader  <miles@gnu.org>

	* image-file.el (image-file-name-extensions): Add "pgm" and "ppm".

	* textmodes/artist.el (artist-replace-chars, artist-replace-char):
	Check that emacs-major-version is `=' to 20, not `>='.
	(artist-replace-chars): Use `make-string' instead of a loop.

2000-12-17  Stefan Monnier  <monnier@cs.yale.edu>

	* pcvs.el (cvs-diff-backup-extractor): Return full-path for file.
	(cvs-execute-single-file): Don't change directory.
	Patch from Per Cederqvist.

2000-12-16  Eli Zaretskii  <eliz@is.elta.co.il>

	* textmodes/ispell.el (check-ispell-version):
	If `ispell-program-name' is "aspell", pass it the -v switch instead
	of -vv.

2000-12-16  Kenichi Handa  <handa@etl.go.jp>

	* international/mule-diag.el (mule-diag): Insert information about
	configure options, multibyte awareness, language env.

	* international/ja-dic-cnv.el (skkdic-get-candidate-list): Fix the
	regexp to search for candidates.

2000-12-15  Eli Zaretskii  <eliz@is.elta.co.il>

	* info.el (Info-forward-node): If the node has an
	Info-header-line, widen the buffer before searching for "next:"
	and "up:" pointers, and set the search limit to stay in the
	current node.

2000-12-16  Miles Bader  <miles@gnu.org>

	* simple.el (delete-trailing-whitespace): Remove extraneous let.

2000-12-15  Miles Bader  <miles@gnu.org>

	* comint.el (comint-send-string, comint-send-region): Also accept
	a buffer, buffer-name, or nil for PROCESS, for compatibility with
	process-send-string/region.

2000-12-15  Gerd Moellmann  <gerd@gnu.org>

	* isearch.el (isearch-lazy-highlight-max): New user-option.
	(isearch-lazy-highlight-update): Don't highlight more than
	isearch-lazy-highlight-max matches.

	* mail/mh-utils.el (mh-find-path): Set read-mail-command.

2000-12-15  Richard M. Stallman  <rms@gnu.org>

	* sort.el (sort-columns): Fix error message.

	* dabbrev.el (dabbrev--last-case-pattern): Value is now
	`upcase' or `downcase' or nil.
	(dabbrev-expand): Don't do anything with dabbrev--last-case-pattern.
	Pass new record-case-pattern arg to dabbrev--substitute-expansion.
	(dabbrev--substitute-expansion): New arg record-case-pattern.
	If it is non-nil, set dabbrev--last-case-pattern.
	If ABBREV is " ", use dabbrev--last-case-pattern to change EXPANSION.

	* dabbrev.el (dabbrev--find-expansion): Remove extra nreverse.

2000-12-15  Miles Bader  <miles@gnu.org>

	* paths.el (Info-default-directory-list): Don't delete
	configure-info-directory from the list of standard info
	directories when appending it to the end -- their order is important.

	* faces.el (read-face-attribute): If there's no entry for the
	user's input in VALID, just use it as-is (this will often result
	in an error, but it may be OK for e.g. colors using hexadecimal
	notation, and at least will yield a better error message).

	* window.el (mode-line-window-height-fudge): Function removed.
	(height-affecting-face-attributes, mode-line-window-height-fudge):
	Variables removed.
	* textmodes/ispell.el (ispell-overlay-window): Ensure that the new
	window is really the right size.  Use vertical-motion
	rather than forward-line.
	(ispell-help): Don't use ispell-mode-line-window-height-fudge.
	(ispell-command-loop, ispell-show-choices): Use the variable
	ispell-choices-win-default-height, rather than the function.
	(ispell-choices-win-default-height): Function removed.
	(ispell-mode-line-window-height-fudge): Function removed.

2000-12-14  Stefan Monnier  <monnier@cs.yale.edu>

	* add-log.el (add-change-log-entry): Only expand-file-name if non-nil.

2000-12-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* paths.el (Info-default-directory-list):
	If configure-info-directory is not one of the standard directories,
	put it first in the list; otherwise put it last.  Doc string
	changed accordingly.

	* info.el (Info-directory-list): Change doc string to reflect the
	change in Info-default-directory-list.

	* simple.el (delete-key-deletes-forward-mode): Treat ms-dos and
	windows-nt as windowed environments, even under -nw.

	* startup.el (command-line): Don't call x-backspace-delete-keys-p
	if not fboundp.  Switch delete-forward mode for the <delete> key
	on all PC platforms, even under -nw.

	* term/internal.el ([M-delete]): Remap to M-d.

2000-12-14  Gerd Moellmann  <gerd@gnu.org>

	* emacs-lisp/lisp-mnt.el: Change maintainer to FSF.

2000-12-14  Eli Zaretskii  <eliz@is.elta.co.il>

	* frame.el (show-cursor-in-non-selected-windows): Doc fix.

2000-12-14  Gerd Moellmann  <gerd@gnu.org>

	* startup.el (command-line): Call delete-key-deletes-forward-mode,
	if appropriate.

	* simple.el (delete-key-deletes-forward): New user-option.
	(delete-key-deletes-forward-mode): New function.

	* bindings.el: Bind `delete' to backward-delete-char.

	* emacs-lisp/easymenu.el (easy-menu-current-active-maps):
	Test if symbol is bound before getting its value.

	* tooltip.el (tooltip-show): If an error is signaled in
	x-show-tip, display that error, and display the help in the
	echo area.

2000-12-14  Kenichi Handa  <handa@etl.go.jp>

	* international/ja-dic-cnv.el (skkdic-set-okuri-nasi):
	Show "... entries" messages for every 10000 entries, not 10.

2000-12-13  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el: Provide a generic exit hook, as suggested by
	Ovidiu Predescu <ovidiu@cup.hp.com>:
	(bookmark-exit-hook): New var.
	(bookmark-exit-hook-internal): New func, replaces
	old raw lambda form in `kill-emacs-hook', and runs new
	`bookmark-exit-hooks'.  No longer tests for the bookmark feature,
	as logically that feature must have been provided if this function
	is running.
	Removed ;;;###autoload before the `add-hook' call.

2000-12-13  Stefan Monnier  <monnier@cs.yale.edu>

	* emacs-lisp/easymenu.el (easy-menu-define): Setup indentation.
	(easy-menu-current-active-maps): New function.
	(easy-menu-get-map): Use it.
	Make a proper menu entry when creating a new keymap.

2000-12-13  Kenichi Handa  <handa@etl.go.jp>

	* international/characters.el: Fix cases and syntaxes for
	mule-unicode-0100-24ff.

	* dired.el (dired-move-to-filename-regexp): Fixed for the case
	that a Japanese character is not appended after day and year.

	* info.el (Info-suffix-list): Change format for a command that
	requires arguments.
	(info-insert-file-contents): Adjusted for the above change.

2000-12-12  Andreas Schwab  <schwab@suse.de>

	* tar-mode.el (tar-extract): Base the name of the subfile buffer
	on the name of the tar buffer.  Verify that the existing buffer is
	visiting the same subfile.

2000-12-12  Dave Love  <fx@gnu.org>

	* subdirs.el: Add obsolete.

2000-12-12  Gerd Moellmann  <gerd@gnu.org>

	* mail/rmailsum.el (rmail-summary-expunge)
	(rmail-summary-expunge-and-save): Use rmail-expunge-confirmed
	instead of rmail-confirm-expunge.

	* replace.el (perform-replace): Don't use an empty match adjacent
	to a non-empty match when computing the next match before the
	replacement is performed.

2000-12-12  Milan Zamazal  <pdm@freesoft.cz>

	* progmodes/glasses.el: Use `define-minor-mode' for the minor mode
	definition (patch by Stefan Monnier).
	(glasses-mode): Use jit-lock instead of `after-change-functions'
	(patch by Stefan Monnier).

2000-12-12  Miles Bader  <miles@gnu.org>

	* info.el (Info-last-preorder): Don't barf on nodes without a prev.
	(Info-scroll-down): Respect `Info-scroll-prefer-subnodes'.

2000-12-12  Andrew Choi  <akochoi@i-cable.com>

	* term/mac-win.el: Remove load for ls-lisp.

	* loadup.el: Load ls-lisp for system-type `macos'.

2000-12-12  Miles Bader  <miles@gnu.org>

	* simple.el (delete-horizontal-space): Add BACKWARD-ONLY parameter.
	Respect field end too.
	(just-one-space): Respect fields as `delete-horizontal-space'.
	(newline-and-indent, reindent-then-newline-and-indent):
	Use `delete-horizontal-space'.

2000-12-11  Stefan Monnier  <monnier@cs.yale.edu>

	* newcomment.el (comment-indent-new-line): Use delete-horizontal-space
	(so as to obey the field property in the minibuffer).

	* obsolete/c-mode.el: Moved from lisp/progmodes.
	* obsolete/auto-show.el: Moved from lisp.
	* obsolete/ooutline.el: Moved from lisp/textmodes.

2000-12-11  Carsten Dominik  <dominik@strw.leidenuniv.nl>

	* progmodes/idlwave.el: Updated to IDLWAVE version 4.7.  Too many
	changes to list them here.

	* progmodes/idlw-shell.el: Updated to IDLWAVE version 4.7.
	Too many changes to list them here.

	* progmodes/idlw-rinfo.el: Updated to IDLWAVE version 4.7.
	Too many changes to list them here.

	* progmodes/idlw-toolbar.el: Updated to IDLWAVE version 4.7.

2000-12-11  Gerd Moellmann  <gerd@gnu.org>

	* simple.el (kill-new): Don't try to setcar kill-ring if it is nil.

	* cus-edit.el (custom-save-variables, custom-save-faces):
	Comment fix.

	* hscroll.el: Moved to `obsolete' subdir.

2000-12-11  Miles Bader  <miles@gnu.org>

	* window.el (window-text-height): Function removed (now in C).

2000-12-10  Stefan Monnier  <monnier@cs.yale.edu>

	* log-edit.el (log-edit-parent-buffer): New var.
	(log-edit): Set it.  Add BUFFER argument.
	(log-edit-done): Use char-before.
	Don't bother checking validity of vc-comment-ring.
	Only bury the buffer if log-edit popped it up.

	* pcvs.el: Update references to CVS-Edit (now Log-Edit).
	(cvs-mode-diff-help): Remove.
	(cvs-mode-commit): Use the new `log-edit' BUFFER argument.
	(cvs-mode-marked): Set up the default for CMD manually.

	* pcvs-defs.el (cvs-mode-diff-map): Use minibuffer menu prompt.
	Remove binding for ? now made unnecessary.

2000-12-10  Carsten Dominik  <dominik@strw.leidenuniv.nl>

	* textmodes/reftex.el (reftex-scanning-info-available-p): New function.
	(reftex-TeX-master-file): Check for `tex-main-file' early enough.

	* textmodes/reftex-global.el (reftex-create-tags-file): Fixed bug
	when master file is not open.

2000-12-09  Stefan Monnier  <monnier@cs.yale.edu>

	* progmodes/ada-stmt.el: Update `maintainer'.

2000-12-09  Stephen Gildea  <gildea@stop.mail-abuse.org>

	* time-stamp.el (time-stamp-old-format-warn): Reorder custom
	choices to match documentation string.

2000-12-09  Miles Bader  <miles@gnu.org>

	* minibuf-eldef.el: New file.

	* window.el (fit-window-to-buffer): Don't pass last argument to
	pos-visible-in-window-p, now that its meaning is inverted.

2000-12-08  Eli Zaretskii  <eliz@is.elta.co.il>

	* image.el (create-image): Doc fix; spotted by Per Cederqvist
	<ceder@lysator.liu.se>.

2000-12-08  Stefan Monnier  <monnier@cs.yale.edu>

	* autoinsert.el (auto-insert-alist): Add missing final \n.

	* pcvs-defs.el (cvs-menu): Move.  Make submenu for diff commands.
	(cvs-menu-map): Remove.
	* pcvs.el (cvs-menu): Use `cvs-menu' rather than `cvs-menu-map'.
	(cvs-mode-quit): Turn it back into a plain function.

	* textmodes/texnfo-upd.el (texinfo-chapter-level-regexp)
	(texinfo-filter): Remove (move to texinfo.el).

	* textmodes/texinfo.el: Move the (require 'cl) to the front of the
	file where it's more visible.
	(texinfo-filter, texinfo-chapter-level-regexp): New variables
	moved from texnfo-upd.el (for AUCTeX's compatibility, originally).
	(texinfo-mode): Use texinfo-chapter-level-regexp for page-delimiter.
	(texinfo-inside-macro-p): Only catch `scan-error's.
	(texinfo-inside-env-p): Make better use of the match info.
	(texinfo-insert-quote): Collapse calls to `texinfo-inside-macro-p'.
	(texinfo-insert-@end): Slight re-organization.
	Also remove useless `looking-at' call.

2000-12-08  Andrew Innes  <andrewi@gnu.org>

	* w32-fns.el: Add clipboard support from term/w32-win.el, so it is
	accessible in -nw mode.

	* term/w32-win.el: Remove stuff about selection timeout, which is
	irrelevant on Windows.  Move clipboard support to w32-fns.el, so
	it is accessible in -nw mode.

2000-12-08  Dave Love  <fx@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-mode):
	Set font-lock-keywords-case-fold-search.

2000-12-08  Gerd Moellmann  <gerd@gnu.org>

	* textmodes/ispell.el (ispell): Doc fix.

2000-12-08  Kenichi Handa  <handa@etl.go.jp>

	* international/quail.el (quail-insert-decode-map): Check the
	frame width of a window displaying the current buffer, not that of
	the selected frame.
